------------------------------------------------------------------------
r1898 | fabrice.colin@gmail.com | 2013-05-26 12:32:13 +0800 (Sun, 26 May 2013) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/po/cs.po
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Releasing 1.06.

------------------------------------------------------------------------
r1897 | fabrice.colin@gmail.com | 2013-05-24 14:33:39 +0800 (Fri, 24 May 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am
   M /trunk/Tokenize/Makefile.am

Install cjkv/CJKVTokenizer.h.

------------------------------------------------------------------------
r1896 | fabrice.colin@gmail.com | 2013-05-24 13:37:21 +0800 (Fri, 24 May 2013) | 2 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp

Look out for SQLITE_IOERR_BLOCKED and handle pre-3.6.24 specifics. 

------------------------------------------------------------------------
r1895 | fabrice.colin@gmail.com | 2013-05-24 13:35:20 +0800 (Fri, 24 May 2013) | 2 lines
Changed paths:
   M /trunk/Collect/NeonDownloader.cpp
   M /trunk/Collect/NeonDownloader.h

Brought this up to date, even though curl is still the preferred HTTP backend.

------------------------------------------------------------------------
r1894 | fabrice.colin@gmail.com | 2013-05-18 11:56:27 +0800 (Sat, 18 May 2013) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp

Query parameters were ignored.

------------------------------------------------------------------------
r1893 | fabrice.colin@gmail.com | 2013-05-18 11:55:38 +0800 (Sat, 18 May 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/configure.in

Support for boost 1.50, based on patch from Thierry Thomas.

------------------------------------------------------------------------
r1892 | fabrice.colin@gmail.com | 2013-04-30 21:39:11 +0800 (Tue, 30 Apr 2013) | 2 lines
Changed paths:
   M /trunk/Collect/DownloaderInterface.h
   M /trunk/Collect/FileCollector.cpp
   M /trunk/Collect/FileCollector.h

Added override to base class.

------------------------------------------------------------------------
r1891 | fabrice.colin@gmail.com | 2013-04-28 15:20:03 +0800 (Sun, 28 Apr 2013) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp
   M /trunk/Collect/CurlDownloader.h
   M /trunk/Utils/TimeConverter.cpp
   M /trunk/Utils/TimeConverter.h

Added TimeConverter::toNormalDate(), CurlDownloader::retrieveUrl() override.

------------------------------------------------------------------------
r1889 | fabrice.colin@gmail.com | 2013-03-03 10:33:25 +0800 (Sun, 03 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Current log.

------------------------------------------------------------------------
r1888 | fabrice.colin@gmail.com | 2013-03-03 10:32:53 +0800 (Sun, 03 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/NEWS
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Releasing 1.05.

------------------------------------------------------------------------
r1887 | fabrice.colin@gmail.com | 2013-02-26 20:30:24 +0800 (Tue, 26 Feb 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Less DEBUG.

------------------------------------------------------------------------
r1886 | fabrice.colin@gmail.com | 2013-02-26 20:29:52 +0800 (Tue, 26 Feb 2013) | 2 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h

Tweaked the backup interface.

------------------------------------------------------------------------
r1885 | fabrice.colin@gmail.com | 2013-02-26 20:29:15 +0800 (Tue, 26 Feb 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/cjkv/CJKVTokenizer.cc

Don't generate ngrams that include space.

------------------------------------------------------------------------
r1884 | fabrice.colin@gmail.com | 2013-02-26 20:28:29 +0800 (Tue, 26 Feb 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp

Skip tokens that don't validate.

------------------------------------------------------------------------
r1882 | fabrice.colin@gmail.com | 2013-02-11 07:39:49 +0800 (Mon, 11 Feb 2013) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/NEWS
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in
   M /trunk/po/cs.po
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Preparing for v1.04.

------------------------------------------------------------------------
r1881 | fabrice.colin@gmail.com | 2013-02-11 07:14:39 +0800 (Mon, 11 Feb 2013) | 2 lines
Changed paths:
   M /trunk/SQL/ActionQueue.cpp
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/SQLDB.cpp
   M /trunk/SQL/SQLDB.h
   M /trunk/SQL/ViewHistory.cpp

Added helper methods for counting.

------------------------------------------------------------------------
r1880 | fabrice.colin@gmail.com | 2013-02-05 21:45:20 +0800 (Tue, 05 Feb 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FieldMapperInterface.h
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Allow the FieldMapper to override the host name, directory and file name.

------------------------------------------------------------------------
r1879 | fabrice.colin@gmail.com | 2013-02-03 12:39:32 +0800 (Sun, 03 Feb 2013) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/cjkv/CJKVTokenizer.cc
   M /trunk/IndexSearch/cjkv/CJKVTokenizer.h

Fix stripping of diacritics.
Stem subject terms.

------------------------------------------------------------------------
r1877 | fabrice.colin@gmail.com | 2013-01-14 20:51:11 +0800 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Current log.

------------------------------------------------------------------------
r1876 | fabrice.colin@gmail.com | 2013-01-14 20:50:00 +0800 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/NEWS

News for 1.03.

------------------------------------------------------------------------
r1875 | fabrice.colin@gmail.com | 2013-01-14 20:49:12 +0800 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-label.1

Another man page.

------------------------------------------------------------------------
r1874 | fabrice.colin@gmail.com | 2013-01-14 20:48:24 +0800 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/README
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/aclocal.m4
   M /trunk/configure.in
   M /trunk/po/cs.po
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Preparing for 1.03.

------------------------------------------------------------------------
r1873 | fabrice.colin@gmail.com | 2013-01-14 20:31:08 +0800 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/IndexSearch/cjkv/CJKVTokenizer.cc

Fix normalization and http://code.google.com/p/pinot-search/issues/detail?id=18.

------------------------------------------------------------------------
r1872 | fabrice.colin@gmail.com | 2013-01-13 13:03:24 +0800 (Sun, 13 Jan 2013) | 2 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h

Support for sqlite's backup API.

------------------------------------------------------------------------
r1871 | fabrice.colin@gmail.com | 2013-01-13 11:50:53 +0800 (Sun, 13 Jan 2013) | 3 lines
Changed paths:
   M /trunk/configure.in

Patch for http://code.google.com/p/pinot-search/issues/detail?id=19 from
Kamil Rytarowski.

------------------------------------------------------------------------
r1870 | fabrice.colin@gmail.com | 2012-12-16 03:05:47 +0800 (Sun, 16 Dec 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/nl.po
   M /trunk/po/ru.po
   M /trunk/po/zh_CN.po

Update to the French translation by Eliovir.

------------------------------------------------------------------------
r1868 | fabrice.colin@gmail.com | 2012-11-04 16:22:32 +0800 (Sun, 04 Nov 2012) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/NEWS
   M /trunk/UI/GTK2/src/pinot.1

Updated NEWS, manuals.

------------------------------------------------------------------------
r1867 | fabrice.colin@gmail.com | 2012-11-04 15:01:00 +0800 (Sun, 04 Nov 2012) | 2 lines
Changed paths:
   M /trunk/po/cs.po
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current POs.

------------------------------------------------------------------------
r1866 | fabrice.colin@gmail.com | 2012-11-04 14:59:05 +0800 (Sun, 04 Nov 2012) | 2 lines
Changed paths:
   M /trunk/aclocal.m4

Updated for aclocal 1.11.6.

------------------------------------------------------------------------
r1865 | fabrice.colin@gmail.com | 2012-11-04 14:58:37 +0800 (Sun, 04 Nov 2012) | 3 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/pinot.spec.in

Bumped release to 1.02. Mempools are turned off by default.
Added a dependency on libuuid-devel, not used directly but required by Xapian.

------------------------------------------------------------------------
r1864 | fabrice.colin@gmail.com | 2012-11-04 14:57:35 +0800 (Sun, 04 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp

Less DEBUG.

------------------------------------------------------------------------
r1863 | fabrice.colin@gmail.com | 2012-11-04 14:57:17 +0800 (Sun, 04 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Utils/Url.cpp

Prefer %X for encoding.

------------------------------------------------------------------------
r1862 | fabrice.colin@gmail.com | 2012-11-03 13:26:36 +0800 (Sat, 03 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp
   M /trunk/Collect/CurlDownloader.h

New method putUrl().

------------------------------------------------------------------------
r1861 | fabrice.colin@gmail.com | 2012-11-03 13:25:59 +0800 (Sat, 03 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h

Minor include fixes.

------------------------------------------------------------------------
r1860 | fabrice.colin@gmail.com | 2012-10-26 00:21:27 +0800 (Fri, 26 Oct 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure.in
   A /trunk/po/cs.po

Czech translation by Zbyněk Schwarz.

------------------------------------------------------------------------
r1859 | fabrice.colin@gmail.com | 2012-09-23 12:46:58 +0800 (Sun, 23 Sep 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/pt_BR.po

Update by Adriano Steffler.

------------------------------------------------------------------------
r1858 | fabrice.colin@gmail.com | 2012-09-12 20:33:56 +0800 (Wed, 12 Sep 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Japanese translation update by Takafumi Arakaki.

------------------------------------------------------------------------
r1857 | fabrice.colin@gmail.com | 2012-09-12 20:29:00 +0800 (Wed, 12 Sep 2012) | 2 lines
Changed paths:
   M /trunk/FAQ

Entry to help with http://code.google.com/p/pinot-search/issues/detail?id=15

------------------------------------------------------------------------
r1855 | fabrice.colin@gmail.com | 2012-08-27 21:21:46 +0800 (Mon, 27 Aug 2012) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Current log.

------------------------------------------------------------------------
r1854 | fabrice.colin@gmail.com | 2012-08-27 21:20:31 +0800 (Mon, 27 Aug 2012) | 2 lines
Changed paths:
   M /trunk/Core/pinot-daemon.1
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/NEWS
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Releasing v1.01.

------------------------------------------------------------------------
r1853 | fabrice.colin@gmail.com | 2012-08-27 21:05:55 +0800 (Mon, 27 Aug 2012) | 2 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h

Allow to override MIME type detection with "-o/--override MIMETYPE:EXTENSION".

------------------------------------------------------------------------
r1852 | fabrice.colin@gmail.com | 2012-08-26 13:19:53 +0800 (Sun, 26 Aug 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/GMimeMboxFilter.cc
   M /trunk/Tokenize/filters/GMimeMboxFilter.h

Fixed parts parsing.

------------------------------------------------------------------------
r1851 | fabrice.colin@gmail.com | 2012-08-26 13:19:08 +0800 (Sun, 26 Aug 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/TextConverter.cpp
   M /trunk/Tokenize/filters/ExternalFilter.cc
   M /trunk/Tokenize/filters/FileOutputFilter.cc

Various fixes.

------------------------------------------------------------------------
r1850 | fabrice.colin@gmail.com | 2012-08-25 17:23:09 +0800 (Sat, 25 Aug 2012) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/README
   M /trunk/Tokenize/filters/external-filters.xml

Add an entry for RST files, as suggested by Takafumi Arakaki in
http://code.google.com/p/pinot-search/issues/detail?id=12

------------------------------------------------------------------------
r1849 | fabrice.colin@gmail.com | 2012-08-25 17:19:36 +0800 (Sat, 25 Aug 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/FileOutputFilter.cc

Catch zero outputs early.

------------------------------------------------------------------------
r1848 | fabrice.colin@gmail.com | 2012-08-05 16:58:44 +0800 (Sun, 05 Aug 2012) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/cjkv/CJKVTokenizer.cc
   M /trunk/IndexSearch/cjkv/CJKVTokenizer.h
   M /trunk/Utils/Makefile.am
   M /trunk/Utils/StringManip.cpp
   M /trunk/Utils/StringManip.h
   D /trunk/Utils/unac

Dropped unac in favour of our own code.
UTF-8 strings are normalized. Some other minor changes.

------------------------------------------------------------------------
r1847 | fabrice.colin@gmail.com | 2012-08-05 09:44:43 +0800 (Sun, 05 Aug 2012) | 2 lines
Changed paths:
   M /trunk/Utils/unac/unac.c

Updated to unac 1.8.0.

------------------------------------------------------------------------
r1846 | fabrice.colin@gmail.com | 2012-07-10 18:36:43 +0800 (Tue, 10 Jul 2012) | 2 lines
Changed paths:
   M /trunk/textcat32_conf.txt

This was in DOS format for some reason...

------------------------------------------------------------------------
r1844 | fabrice.colin@gmail.com | 2012-06-16 15:21:09 +0800 (Sat, 16 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Current logs.

------------------------------------------------------------------------
r1843 | fabrice.colin@gmail.com | 2012-06-15 23:09:30 +0800 (Fri, 15 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/Makefile.am
   M /trunk/UI/GTK2/src/pinot.1

Regenerated manuals with help2man 1.40.8.

------------------------------------------------------------------------
r1842 | fabrice.colin@gmail.com | 2012-06-15 23:06:04 +0800 (Fri, 15 Jun 2012) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Preparing for the v1.0 release.

------------------------------------------------------------------------
r1841 | fabrice.colin@gmail.com | 2012-06-15 23:01:55 +0800 (Fri, 15 Jun 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Forgot to mention K Rytarowski's input.

------------------------------------------------------------------------
r1840 | fabrice.colin@gmail.com | 2012-06-15 22:59:51 +0800 (Fri, 15 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/Exiv2ImageFilter.cc

Don't fail if no data was extracted, most images don't have comments etc...

------------------------------------------------------------------------
r1839 | fabrice.colin@gmail.com | 2012-06-15 22:57:49 +0800 (Fri, 15 Jun 2012) | 2 lines
Changed paths:
   M /trunk/configure.in

Moved check for ext/malloc_allocator.h.

------------------------------------------------------------------------
r1838 | fabrice.colin@gmail.com | 2012-06-15 22:57:13 +0800 (Fri, 15 Jun 2012) | 2 lines
Changed paths:
   M /trunk/aclocal.m4
   M /trunk/ltmain.sh

Updated for aclocal 1.11.3 and libtool 2.4.2.

------------------------------------------------------------------------
r1837 | fabrice.colin@gmail.com | 2012-06-12 23:04:14 +0800 (Tue, 12 Jun 2012) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am

Use DBUS_CFLAGS if HAVE_DBUS is defined.

------------------------------------------------------------------------
r1836 | fabrice.colin@gmail.com | 2012-06-11 18:43:00 +0800 (Mon, 11 Jun 2012) | 3 lines
Changed paths:
   M /trunk/README
   M /trunk/pinot.spec.in

Memory pooling in boost v1.48 seems problematic. It's turned off by the RPM
build by default.

------------------------------------------------------------------------
r1835 | fabrice.colin@gmail.com | 2012-06-11 18:41:54 +0800 (Mon, 11 Jun 2012) | 3 lines
Changed paths:
   M /trunk/Tokenize/filters/GMimeMboxFilter.cc
   M /trunk/Tokenize/filters/GMimeMboxFilter.h

Better at parsing combinations of alternative and mixed parts.
The ipath scheme changed.

------------------------------------------------------------------------
r1834 | fabrice.colin@gmail.com | 2012-06-10 22:53:48 +0800 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   A /trunk/textcat32_conf.txt

Support for libexttextcat v3.2 based on patches from Thierry Thomas.

------------------------------------------------------------------------
r1833 | fabrice.colin@gmail.com | 2012-06-10 22:52:04 +0800 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Collect/FileCollector.cpp

DEBUG message change.

------------------------------------------------------------------------
r1832 | fabrice.colin@gmail.com | 2012-06-10 21:33:25 +0800 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/Makefile.am

Fixed typo.

------------------------------------------------------------------------
r1831 | fabrice.colin@gmail.com | 2012-06-10 17:55:18 +0800 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/FilterFactory.cc

Fixed error handling.

------------------------------------------------------------------------
r1830 | fabrice.colin@gmail.com | 2012-06-10 17:50:55 +0800 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotUtils.cc
   M /trunk/UI/GTK2/src/ResultsTree.cc

Missing header and unused variable.

------------------------------------------------------------------------
r1829 | fabrice.colin@gmail.com | 2012-06-01 21:19:48 +0800 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/configure.in

Fixed libexttextcat's headers checks.
Bumped version number to 1.0.

------------------------------------------------------------------------
r1828 | fabrice.colin@gmail.com | 2012-06-01 20:59:45 +0800 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/README

Removed references to Deskbar applet.

------------------------------------------------------------------------
r1827 | fabrice.colin@gmail.com | 2012-06-01 20:58:28 +0800 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/pinot.spec.in

Fixed --with nodbus builds.

------------------------------------------------------------------------
r1826 | fabrice.colin@gmail.com | 2012-06-01 20:56:46 +0800 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/configure.in

Link with -lexttextcat if necessary.

------------------------------------------------------------------------
r1825 | fabrice.colin@gmail.com | 2012-05-26 12:17:24 +0800 (Sat, 26 May 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/ExternalFilter.cc
   M /trunk/Tokenize/filters/FileOutputFilter.cc

Removed dead code.

------------------------------------------------------------------------
r1824 | fabrice.colin@gmail.com | 2012-05-26 12:01:39 +0800 (Sat, 26 May 2012) | 2 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/DaemonState.h
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h
   M /trunk/Core/pinot-index.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/prefsWindow.hh
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

Moved queueing out of ThreadsManager, into QueueManager.

------------------------------------------------------------------------
r1823 | fabrice.colin@gmail.com | 2012-05-23 22:38:10 +0800 (Wed, 23 May 2012) | 2 lines
Changed paths:
   M /trunk/Utils/CommandLine.cpp
   M /trunk/Utils/CommandLine.h

Added runSync() overload, based on ExternalFilter::run_command().

------------------------------------------------------------------------
r1822 | fabrice.colin@gmail.com | 2012-05-20 10:57:52 +0800 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/Core/Makefile.am
   M /trunk/IndexSearch/Makefile.am
   M /trunk/UI/GTK2/src/Makefile.am

Follow up to SVN r1819.

------------------------------------------------------------------------
r1821 | fabrice.colin@gmail.com | 2012-05-20 10:11:25 +0800 (Sun, 20 May 2012) | 6 lines
Changed paths:
   M /trunk/Collect/Makefile.am
   M /trunk/Core/Makefile.am
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/Monitor/Makefile.am
   M /trunk/SQL/Makefile.am
   M /trunk/Tokenize/Makefile.am
   M /trunk/Tokenize/filters/FilterFactory.cc
   M /trunk/Tokenize/filters/GMimeMboxFilter.cc
   M /trunk/Utils/Makefile.am
   M /trunk/configure.in
   M /trunk/pinot.spec.in

Build private libraries statically only.
Provide a version number to the Xapian backend library.
Dropped exiv2 requirement down to v0.18.
FilterFactory ignores filters that duplicate existing types.
Minor edit to the mbox filter.

------------------------------------------------------------------------
r1820 | fabrice.colin@gmail.com | 2012-05-20 09:06:52 +0800 (Sun, 20 May 2012) | 2 lines
Changed paths:
   D /trunk/SQL/historytest.cpp

Obsolete file.

------------------------------------------------------------------------
r1819 | fabrice.colin@gmail.com | 2012-05-20 09:05:49 +0800 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/Collect/Makefile.am
   M /trunk/Core/Makefile.am
   M /trunk/IndexSearch/Makefile.am
   M /trunk/Monitor/Makefile.am
   M /trunk/SQL/Makefile.am
   M /trunk/Tokenize/Makefile.am
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/Utils/Makefile.am
   M /trunk/pinot.spec.in

Install headers and libraries needed to build apps based on Pinot.

------------------------------------------------------------------------
r1818 | fabrice.colin@gmail.com | 2012-05-17 22:30:17 +0800 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/zh_CN.po

Simplified Chinese translation update by happymeng.

------------------------------------------------------------------------
r1817 | fabrice.colin@gmail.com | 2012-05-16 07:47:42 +0800 (Wed, 16 May 2012) | 2 lines
Changed paths:
   M /trunk/Utils/CommandLine.cpp

Minor edit.

------------------------------------------------------------------------
r1816 | fabrice.colin@gmail.com | 2012-05-16 07:10:56 +0800 (Wed, 16 May 2012) | 2 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h
   M /trunk/UI/GTK2/src/mainWindow.cc

Moved crawl history checks out of MonitorThread, into HistoryMonitorThread.

------------------------------------------------------------------------
r1815 | fabrice.colin@gmail.com | 2012-05-13 12:28:38 +0800 (Sun, 13 May 2012) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/TextConverter.cpp
   M /trunk/Tokenize/filters/ArchiveFilter.cc
   M /trunk/Tokenize/filters/ChmFilter.cc
   M /trunk/Tokenize/filters/ExifImageFilter.cc
   M /trunk/Tokenize/filters/Exiv2ImageFilter.cc
   M /trunk/Tokenize/filters/ExternalFilter.cc
   M /trunk/Tokenize/filters/FileOutputFilter.cc
   M /trunk/Tokenize/filters/Filter.cc
   M /trunk/Tokenize/filters/FilterFactory.cc
   M /trunk/Tokenize/filters/GMimeMboxFilter.cc
   M /trunk/Tokenize/filters/HtmlFilter.cc
   M /trunk/Tokenize/filters/HtmlParser.cc
   M /trunk/Tokenize/filters/TagLibMusicFilter.cc
   M /trunk/Tokenize/filters/TarFilter.cc
   M /trunk/Tokenize/filters/TextFilter.cc
   M /trunk/Tokenize/filters/XmlFilter.cc
   M /trunk/UI/GTK2/src/EnginesTree.cc
   M /trunk/UI/GTK2/src/IndexPage.cc
   M /trunk/UI/GTK2/src/Notebook.cc
   M /trunk/UI/GTK2/src/PinotUtils.cc
   M /trunk/UI/GTK2/src/ResultsTree.cc
   M /trunk/UI/GTK2/src/UIThreads.cc
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/indexDialog.cc
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/propertiesDialog.cc
   M /trunk/UI/GTK2/src/queryDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Log to clog. Minor changes.

------------------------------------------------------------------------
r1814 | fabrice.colin@gmail.com | 2012-05-13 12:14:58 +0800 (Sun, 13 May 2012) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp
   M /trunk/Collect/DownloaderInterface.cpp
   M /trunk/Collect/FileCollector.cpp
   M /trunk/Collect/NeonDownloader.cpp
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/OnDiskHandler.cpp
   M /trunk/Core/PinotSettings.cpp
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/UniqueApplication.cpp
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/Core/pinot-index.cpp
   M /trunk/Core/pinot-search.cpp
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/IndexSearch/Google/GoogleAPIEngine.cpp
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/SearchEngineInterface.cpp
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/IndexSearch/WebEngine.cpp
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabaseFactory.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/XesamGLib/XesamEngine.cpp
   M /trunk/IndexSearch/pinot-label.cpp
   M /trunk/Monitor/INotifyMonitor.cpp
   M /trunk/Monitor/INotifyMonitor.h
   M /trunk/Monitor/MonitorInterface.h

Log to clog. Minor changes.

------------------------------------------------------------------------
r1813 | fabrice.colin@gmail.com | 2012-04-08 16:19:24 +0800 (Sun, 08 Apr 2012) | 3 lines
Changed paths:
   M /trunk/Collect/FileCollector.cpp
   M /trunk/Tokenize/FilterUtils.cpp

FileCollector puts filters in view mode.
FilterUtils copies all of the document's metadata when filtering it iteratively.

------------------------------------------------------------------------
r1812 | fabrice.colin@gmail.com | 2012-04-04 21:43:26 +0800 (Wed, 04 Apr 2012) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Support for file-based stub databases.
Let FieldMapper add custom values.

------------------------------------------------------------------------
r1811 | fabrice.colin@gmail.com | 2012-04-01 22:21:12 +0800 (Sun, 01 Apr 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/Exiv2ImageFilter.cc

Fixed typo.

------------------------------------------------------------------------
r1810 | fabrice.colin@gmail.com | 2012-04-01 19:46:09 +0800 (Sun, 01 Apr 2012) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/SQL/SQLiteBase.cpp

Less DEBUG.

------------------------------------------------------------------------
r1809 | fabrice.colin@gmail.com | 2012-04-01 11:41:41 +0800 (Sun, 01 Apr 2012) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/IndexSearch/FilterWrapper.h

Follow-up to SVN r1807.

------------------------------------------------------------------------
r1808 | fabrice.colin@gmail.com | 2012-03-31 14:00:59 +0800 (Sat, 31 Mar 2012) | 2 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h
   M /trunk/po/POTFILES.in

Changes to stepping and error logging.

------------------------------------------------------------------------
r1807 | fabrice.colin@gmail.com | 2012-03-31 13:59:06 +0800 (Sat, 31 Mar 2012) | 3 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/IndexSearch/FilterWrapper.h
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/FilterUtils.h

Preserve the filter interface while letting callers provide their own
IndexAction sub-class.

------------------------------------------------------------------------
r1806 | fabrice.colin@gmail.com | 2012-03-27 23:27:57 +0800 (Tue, 27 Mar 2012) | 2 lines
Changed paths:
   M /trunk/Utils/StringManip.cpp
   M /trunk/Utils/StringManip.h

Adedd toUpperCase().

------------------------------------------------------------------------
r1805 | fabrice.colin@gmail.com | 2012-03-25 16:58:00 +0800 (Sun, 25 Mar 2012) | 2 lines
Changed paths:
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h

Get a human-readable description with getDescription() if GIO is in use.

------------------------------------------------------------------------
r1804 | fabrice.colin@gmail.com | 2012-03-25 14:44:19 +0800 (Sun, 25 Mar 2012) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FieldMapperInterface.h
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

More comprehensive FieldMapper interface.

------------------------------------------------------------------------
r1803 | fabrice.colin@gmail.com | 2012-03-18 17:45:13 +0800 (Sun, 18 Mar 2012) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FieldMapperInterface.h
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

FieldMapper can extend the query language with new boolean filters.

------------------------------------------------------------------------
r1802 | fabrice.colin@gmail.com | 2012-03-18 15:19:01 +0800 (Sun, 18 Mar 2012) | 2 lines
Changed paths:
   A /trunk/IndexSearch/FieldMapperInterface.h
   M /trunk/IndexSearch/Google/ModuleExports.cpp
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/ModuleFactory.h
   M /trunk/IndexSearch/Xapian/ModuleExports.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/XesamGLib/ModuleExports.cpp
   M /trunk/Utils/DocumentInfo.cpp

Backends can be passed a field mapper that handles extra, app-specific fields.

------------------------------------------------------------------------
r1801 | fabrice.colin@gmail.com | 2012-03-11 21:18:32 +0800 (Sun, 11 Mar 2012) | 5 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Utils/DocumentInfo.cpp
   M /trunk/Utils/DocumentInfo.h

Filters may return any field, those not recognized will be added to documents
as foreign fields. Fields with name "id" are assumed to be foreign keys to be
indexed with prefix Q, following the convention used by Xapian.
Fixed XapianIndex::removeCommonTerms().

------------------------------------------------------------------------
r1800 | fabrice.colin@gmail.com | 2012-03-03 22:21:09 +0800 (Sat, 03 Mar 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/GMimeMboxFilter.cc

Fixes to date.

------------------------------------------------------------------------
r1799 | fabrice.colin@gmail.com | 2012-03-01 20:01:50 +0800 (Thu, 01 Mar 2012) | 2 lines
Changed paths:
   M /trunk/scripts/bash/pinot-check-file.sh

Minor message fix.

------------------------------------------------------------------------
r1798 | fabrice.colin@gmail.com | 2012-03-01 20:01:13 +0800 (Thu, 01 Mar 2012) | 2 lines
Changed paths:
   A /trunk/Core/pinot-daemon.1
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/Makefile.am

Some changes to help with no D-Bus builds.

------------------------------------------------------------------------
r1797 | fabrice.colin@gmail.com | 2012-02-24 22:49:08 +0800 (Fri, 24 Feb 2012) | 2 lines
Changed paths:
   M /trunk/po/de.po

German translation update by Gena Haltmair.

------------------------------------------------------------------------
r1796 | fabrice.colin@gmail.com | 2012-01-18 19:44:37 +0800 (Wed, 18 Jan 2012) | 2 lines
Changed paths:
   M /trunk/Tokenize/filters/FileOutputFilter.cc

DEBUG output changes.

------------------------------------------------------------------------
r1795 | fabrice.colin@gmail.com | 2012-01-04 20:46:49 +0800 (Wed, 04 Jan 2012) | 3 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h

Prefer URI enabled actions for remote files only.
This should fix http://code.google.com/p/pinot-search/issues/detail?id=7

------------------------------------------------------------------------
r1794 | fabrice.colin@gmail.com | 2011-12-27 18:11:06 +0800 (Tue, 27 Dec 2011) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

Fixed SVN r1782.

------------------------------------------------------------------------
r1793 | fabrice.colin@gmail.com | 2011-12-24 17:49:27 +0800 (Sat, 24 Dec 2011) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/Google.src

Fixed Google plugin.

------------------------------------------------------------------------
r1792 | fabrice.colin@gmail.com | 2011-12-24 17:48:41 +0800 (Sat, 24 Dec 2011) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp

Support for libextttexcat.

------------------------------------------------------------------------
r1791 | fabrice.colin@gmail.com | 2011-12-24 17:13:46 +0800 (Sat, 24 Dec 2011) | 2 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/pinot.spec.in

The RPM can be built with option "--with gtkmm3".

------------------------------------------------------------------------
r1790 | fabrice.colin@gmail.com | 2011-12-24 17:13:05 +0800 (Sat, 24 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Core/ServerThreads.cpp

Unused variable fix.

------------------------------------------------------------------------
r1789 | fabrice.colin@gmail.com | 2011-12-19 17:13:38 +0800 (Mon, 19 Dec 2011) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Fixed dynamically generated submenus.

------------------------------------------------------------------------
r1788 | fabrice.colin@gmail.com | 2011-12-18 17:29:18 +0800 (Sun, 18 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Follow up to SVN r1783.

------------------------------------------------------------------------
r1787 | fabrice.colin@gmail.com | 2011-12-18 17:27:08 +0800 (Sun, 18 Dec 2011) | 3 lines
Changed paths:
   M /trunk/textcat3_conf.txt

Removed reference to LM directory.
Fixes http://code.google.com/p/pinot-search/issues/detail?id=3

------------------------------------------------------------------------
r1786 | fabrice.colin@gmail.com | 2011-12-18 17:23:45 +0800 (Sun, 18 Dec 2011) | 2 lines
Changed paths:
   A /trunk/IndexSearch/cjkv
   A /trunk/IndexSearch/cjkv/CJKVTokenizer.cc
   A /trunk/IndexSearch/cjkv/CJKVTokenizer.h
   A /trunk/Tokenize/filters
   A /trunk/Tokenize/filters/ArchiveFilter.cc
   A /trunk/Tokenize/filters/ArchiveFilter.h
   A /trunk/Tokenize/filters/ChmFilter.cc
   A /trunk/Tokenize/filters/ChmFilter.h
   A /trunk/Tokenize/filters/ExifImageFilter.cc
   A /trunk/Tokenize/filters/ExifImageFilter.h
   A /trunk/Tokenize/filters/Exiv2ImageFilter.cc
   A /trunk/Tokenize/filters/Exiv2ImageFilter.h
   A /trunk/Tokenize/filters/ExternalFilter.cc
   A /trunk/Tokenize/filters/ExternalFilter.h
   A /trunk/Tokenize/filters/FileOutputFilter.cc
   A /trunk/Tokenize/filters/FileOutputFilter.h
   A /trunk/Tokenize/filters/Filter.cc
   A /trunk/Tokenize/filters/Filter.h
   A /trunk/Tokenize/filters/FilterFactory.cc
   A /trunk/Tokenize/filters/FilterFactory.h
   A /trunk/Tokenize/filters/GMimeMboxFilter.cc
   A /trunk/Tokenize/filters/GMimeMboxFilter.h
   A /trunk/Tokenize/filters/HtmlFilter.cc
   A /trunk/Tokenize/filters/HtmlFilter.h
   A /trunk/Tokenize/filters/HtmlParser.cc
   A /trunk/Tokenize/filters/HtmlParser.h
   A /trunk/Tokenize/filters/TagLibMusicFilter.cc
   A /trunk/Tokenize/filters/TagLibMusicFilter.h
   A /trunk/Tokenize/filters/TarFilter.cc
   A /trunk/Tokenize/filters/TarFilter.h
   A /trunk/Tokenize/filters/TextFilter.cc
   A /trunk/Tokenize/filters/TextFilter.h
   A /trunk/Tokenize/filters/XmlFilter.cc
   A /trunk/Tokenize/filters/XmlFilter.h
   A /trunk/Tokenize/filters/external-filters.xml

Merging in formerly external source.

------------------------------------------------------------------------
r1785 | fabrice.colin@gmail.com | 2011-12-18 17:22:25 +0800 (Sun, 18 Dec 2011) | 2 lines
Changed paths:
   M /trunk
   M /trunk/ChangeLog
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Removed externals.

------------------------------------------------------------------------
r1784 | fabrice.colin@gmail.com | 2011-12-18 17:15:00 +0800 (Sun, 18 Dec 2011) | 3 lines
Changed paths:
   A /trunk/IndexSearch/Plugins/Freecode.src (from /trunk/IndexSearch/Plugins/Freshmeat.src:1782)
   D /trunk/IndexSearch/Plugins/Freshmeat.src

Renamed the Freshmeat plugin to Freecode.
Fixes http://code.google.com/p/pinot-search/issues/detail?id=5

------------------------------------------------------------------------
r1783 | fabrice.colin@gmail.com | 2011-12-18 17:10:19 +0800 (Sun, 18 Dec 2011) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/pinot.spec.in
   D /trunk/scripts/python/pinot-live.py
   D /trunk/scripts/python/pinot-module.py

Dropped support for Deskbar.
Fixes http://code.google.com/p/pinot-search/issues/detail?id=4

------------------------------------------------------------------------
r1782 | fabrice.colin@gmail.com | 2011-12-18 17:06:47 +0800 (Sun, 18 Dec 2011) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

Suppress deprecated function call warnings.

------------------------------------------------------------------------
r1781 | fabrice.colin@gmail.com | 2011-12-18 16:50:05 +0800 (Sun, 18 Dec 2011) | 2 lines
Changed paths:
   M /trunk/configure.in

New --enable-gtkmm3 switch.

------------------------------------------------------------------------
r1780 | fabrice.colin@gmail.com | 2011-12-18 16:49:18 +0800 (Sun, 18 Dec 2011) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/EnginesTree.cc
   M /trunk/UI/GTK2/src/EnginesTree.hh
   M /trunk/UI/GTK2/src/IndexPage.cc
   M /trunk/UI/GTK2/src/ModelColumns.hh
   M /trunk/UI/GTK2/src/Notebook.cc
   M /trunk/UI/GTK2/src/ResultsTree.cc
   M /trunk/UI/GTK2/src/ResultsTree.hh
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/importDialog_glade.cc
   M /trunk/UI/GTK2/src/indexDialog.cc
   M /trunk/UI/GTK2/src/indexDialog_glade.cc
   M /trunk/UI/GTK2/src/launcherDialog_glade.cc
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/mainWindow_glade.cc
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/prefsWindow_glade.cc
   M /trunk/UI/GTK2/src/propertiesDialog.cc
   M /trunk/UI/GTK2/src/propertiesDialog_glade.cc
   M /trunk/UI/GTK2/src/queryDialog.cc
   M /trunk/UI/GTK2/src/queryDialog_glade.cc
   M /trunk/UI/GTK2/src/statisticsDialog_glade.cc

GTK 3.0 port, first stab. Submenus generated dynamically don't work.

------------------------------------------------------------------------
r1779 | fabrice.colin@gmail.com | 2011-11-14 21:52:31 +0800 (Mon, 14 Nov 2011) | 3 lines
Changed paths:
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-index.cpp
   M /trunk/README
   M /trunk/UI/GTK2/src/mainWindow.cc
   A /trunk/aclocal.m4
   M /trunk/pinot.spec.in

Replace URLs here and there.
Add missing file required for building.

------------------------------------------------------------------------
r1778 | fabrice.colin@gmail.com | 2011-11-08 21:33:49 +0800 (Tue, 08 Nov 2011) | 2 lines
Changed paths:
   M /trunk/README

Dependencies on exiv2 and chmlib were not documented here.

------------------------------------------------------------------------
r1776 | fabricecolin | 2011-11-07 12:35:20 +0800 (Mon, 07 Nov 2011) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current logs.

------------------------------------------------------------------------
r1775 | fabricecolin | 2011-11-07 12:31:08 +0800 (Mon, 07 Nov 2011) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/NEWS
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Bumped version to 0.98.

------------------------------------------------------------------------
r1774 | fabricecolin | 2011-10-30 13:18:19 +0800 (Sun, 30 Oct 2011) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/RollYOTopNews.src

Not sure whether this is still working.

------------------------------------------------------------------------
r1773 | fabricecolin | 2011-10-30 13:06:51 +0800 (Sun, 30 Oct 2011) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/GoogleCodeSearch.src

Google Code Search is now deprecated.

------------------------------------------------------------------------
r1772 | fabricecolin | 2011-10-30 12:56:19 +0800 (Sun, 30 Oct 2011) | 2 lines
Changed paths:
   M /trunk/Makefile.am

YahooBOSS.src was removed.

------------------------------------------------------------------------
r1771 | fabricecolin | 2011-10-30 12:55:37 +0800 (Sun, 30 Oct 2011) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/YahooBOSS.src

And Yahoo! BOSS requires OAuth, which we don't support.

------------------------------------------------------------------------
r1770 | fabricecolin | 2011-10-30 12:43:26 +0800 (Sun, 30 Oct 2011) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/Yahoo.src

The Yahoo! REST API was shut down earlier this year.

------------------------------------------------------------------------
r1769 | fabricecolin | 2011-10-23 13:49:17 +0800 (Sun, 23 Oct 2011) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   M /trunk/configure.in

Support for libexttextcat 3.1.1.

------------------------------------------------------------------------
r1768 | fabricecolin | 2011-10-23 13:48:33 +0800 (Sun, 23 Oct 2011) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot.cc

Expire query results and view history after 6 months, not 1.

------------------------------------------------------------------------
r1767 | fabricecolin | 2011-10-02 13:42:33 +0800 (Sun, 02 Oct 2011) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Monitor/Makefile.am
   M /trunk/ltmain.sh

Regenerated ltmain.sh with libtool 2.4.

------------------------------------------------------------------------
r1766 | fabricecolin | 2011-10-02 13:10:45 +0800 (Sun, 02 Oct 2011) | 2 lines
Changed paths:
   M /trunk/Utils/Memory.cpp
   M /trunk/Utils/Memory.h

Fixed length type.

------------------------------------------------------------------------
r1765 | fabricecolin | 2011-10-02 13:09:31 +0800 (Sun, 02 Oct 2011) | 5 lines
Changed paths:
   M /trunk/Core/PinotSettings.cpp
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   M /trunk/Makefile.am
   M /trunk/Tokenize/Makefile.am
   M /trunk/configure.in
   M /trunk/pinot.spec.in
   A /trunk/textcat31_conf.txt

Build the new exiv2-based filter.
Add support for LibreOffice's libexttextcat 3.1 as found at
http://cgit.freedesktop.org/libreoffice/libexttextcat/.
Drop SOAP/Google API support.

------------------------------------------------------------------------
r1764 | fabricecolin | 2011-03-28 18:20:44 +0800 (Mon, 28 Mar 2011) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/nl.po
   M /trunk/po/ru.po

Translation updates by Fitoschido, pkramerruiz, Tico and Nikolay Kachanov.

------------------------------------------------------------------------
r1763 | fabricecolin | 2011-02-23 22:07:23 +0800 (Wed, 23 Feb 2011) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/nl.po

Translation update by Martijn Verstrate.
General thanks to Martijn for his suggestions and help with testing.

------------------------------------------------------------------------
r1762 | fabricecolin | 2011-02-23 22:04:38 +0800 (Wed, 23 Feb 2011) | 3 lines
Changed paths:
   M /trunk/Tokenize/Makefile.am
   M /trunk/configure.in
   M /trunk/pinot.spec.in

Build the new CHM filter if --enable-chmlib=yes is passed to configure.
RPM-wise, that's done with the option "--with chmlib".

------------------------------------------------------------------------
r1761 | fabricecolin | 2011-02-20 18:17:00 +0800 (Sun, 20 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc

Added missing header for for_each().

------------------------------------------------------------------------
r1759 | fabricecolin | 2011-01-09 18:44:25 +0800 (Sun, 09 Jan 2011) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Releasing 0.97.

------------------------------------------------------------------------
r1758 | fabricecolin | 2011-01-09 18:41:31 +0800 (Sun, 09 Jan 2011) | 3 lines
Changed paths:
   M /trunk/ltmain.sh

Regenerated with libtool 2.2.10.
Changes for --as-needed from SVN r1713 are still in.

------------------------------------------------------------------------
r1757 | fabricecolin | 2011-01-06 19:41:18 +0800 (Thu, 06 Jan 2011) | 2 lines
Changed paths:
   M /trunk/pinot.desktop

desktop-file-validate v0.16 says that category Filesystem also requires System.

------------------------------------------------------------------------
r1756 | fabricecolin | 2011-01-06 19:37:25 +0800 (Thu, 06 Jan 2011) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/README
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Imminent 0.97 release.

------------------------------------------------------------------------
r1755 | fabricecolin | 2011-01-06 19:22:56 +0800 (Thu, 06 Jan 2011) | 2 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/WebEngine.cpp
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/TextConverter.cpp
   M /trunk/Utils/DocumentInfo.cpp

Compiler warning fixes.

------------------------------------------------------------------------
r1754 | fabricecolin | 2011-01-06 18:20:12 +0800 (Thu, 06 Jan 2011) | 2 lines
Changed paths:
   M /trunk/po/ru.po

Full Russian translation by Nikolay Kachanov.

------------------------------------------------------------------------
r1753 | fabricecolin | 2011-01-05 00:43:09 +0800 (Wed, 05 Jan 2011) | 2 lines
Changed paths:
   M /trunk/po/es.po

Update by Fitoschido.

------------------------------------------------------------------------
r1752 | fabricecolin | 2010-12-31 16:45:04 +0800 (Fri, 31 Dec 2010) | 2 lines
Changed paths:
   M /trunk/po/es.po
   M /trunk/po/ru.po
   M /trunk/po/zh_CN.po

Updates from Fitoschido, Nikolay Kachanov and mike2718.

------------------------------------------------------------------------
r1751 | fabricecolin | 2010-12-20 16:53:13 +0800 (Mon, 20 Dec 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/ru.po

Russian translation update and valuable feedback from Nikolay Kachanov.

------------------------------------------------------------------------
r1750 | fabricecolin | 2010-12-20 16:42:55 +0800 (Mon, 20 Dec 2010) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Less DEBUG.

------------------------------------------------------------------------
r1749 | fabricecolin | 2010-12-20 16:42:38 +0800 (Mon, 20 Dec 2010) | 6 lines
Changed paths:
   M /trunk/README
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/queryDialog_glade.cc

The UI checks for the environment variable PINOT_MAXIMUM_QUERY_RESULTS. This
overrides the number of results returned by queries run through the UI's Query
field as well as the number of results initially set for new stored queries,
which is now capped to 1000.
The UI calls mustQuit() on exit.

------------------------------------------------------------------------
r1748 | fabricecolin | 2010-12-15 21:29:36 +0800 (Wed, 15 Dec 2010) | 2 lines
Changed paths:
   M /trunk/FAQ
   M /trunk/README

Updates about env vars, DeskbarApplet, libtextcat.

------------------------------------------------------------------------
r1747 | fabricecolin | 2010-12-15 21:26:46 +0800 (Wed, 15 Dec 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/zh_CN.po

Simplified Chinese translation update by mike2718.

------------------------------------------------------------------------
r1746 | fabricecolin | 2010-12-15 21:24:41 +0800 (Wed, 15 Dec 2010) | 3 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/FilterUtils.h

If the environment variable PINOT_MAXIMUM_NESTED_SIZE is set, feed its value to
filters, as property MAXIMUM_NESTED_SIZE.

------------------------------------------------------------------------
r1745 | fabricecolin | 2010-12-15 21:19:48 +0800 (Wed, 15 Dec 2010) | 5 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Index components off terms that include dots separately, in line with how the
QueryParser processes such terms in queries.
When generating abstracts, we may find several terms at the same position, in
which case the shortest is preferred.

------------------------------------------------------------------------
r1744 | fabricecolin | 2010-12-14 22:00:43 +0800 (Tue, 14 Dec 2010) | 5 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/Core/pinot-index.cpp

Both call mustQuit() when signaled; simply quitting the main loop isn't enough
when running in single thread mode.
pinot-index's IndexingState provides a simple, queue-less queue_index(),
attempts to reclaim memory when threads end.

------------------------------------------------------------------------
r1743 | fabricecolin | 2010-12-14 21:27:33 +0800 (Tue, 14 Dec 2010) | 3 lines
Changed paths:
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h

Added ThreadsManager::mustQuit() for applications to signal that quitting is
necessary and try and stop threads.

------------------------------------------------------------------------
r1742 | fabricecolin | 2010-12-14 21:21:57 +0800 (Tue, 14 Dec 2010) | 2 lines
Changed paths:
   M /trunk/Utils/Document.cpp

Don't try and map more than 2Gb. Use shared mappings.

------------------------------------------------------------------------
r1741 | fabricecolin | 2010-12-10 10:15:33 +0800 (Fri, 10 Dec 2010) | 2 lines
Changed paths:
   M /trunk/Utils/Memory.cpp
   M /trunk/Utils/Memory.h

Obsoleted our custom memory pool class, use boost::singleton_pool if available.

------------------------------------------------------------------------
r1740 | fabricecolin | 2010-12-10 10:13:32 +0800 (Fri, 10 Dec 2010) | 4 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/ServerThreads.h
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h
   M /trunk/Core/pinot-index.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/prefsWindow.hh
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

The maximum number of indexing threads defaults to 1, can still be controlled
globally by PINOT_MAXIMUM_INDEX_THREADS. Crawler and DirectoryScanner threads
index documents inline by default, don't delegate to an Indexing thread.

------------------------------------------------------------------------
r1739 | fabricecolin | 2010-12-10 10:07:46 +0800 (Fri, 10 Dec 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/pinot.spec.in

Leave the old DeskBar handlers in libdir.

------------------------------------------------------------------------
r1738 | fabricecolin | 2010-12-08 23:03:04 +0800 (Wed, 08 Dec 2010) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Remove dots at the end of terms that don't look like acronyms.

------------------------------------------------------------------------
r1737 | fabricecolin | 2010-12-06 23:47:19 +0800 (Mon, 06 Dec 2010) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/pinot.spec.in

Moved the deskbar plugins to /usr/libexec, where they should have been since
version 2_27_91 !

------------------------------------------------------------------------
r1736 | fabricecolin | 2010-12-06 21:24:41 +0800 (Mon, 06 Dec 2010) | 4 lines
Changed paths:
   M /trunk/README
   M /trunk/textcat_conf.txt

README's reset of historical data bit ignored ActionQueue.
Brought textcat_conf.txt in line with how libtextcat 2.x is packaged on most
platforms.

------------------------------------------------------------------------
r1735 | fabricecolin | 2010-12-06 21:21:39 +0800 (Mon, 06 Dec 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/es.po
   M /trunk/po/it.po

Spanish and Italian translation updates by Fitoschido and Simone Sandri.

------------------------------------------------------------------------
r1734 | fabricecolin | 2010-10-25 19:41:55 +0800 (Mon, 25 Oct 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/pt.po

Update by Almufadado.

------------------------------------------------------------------------
r1733 | fabricecolin | 2010-10-13 18:58:55 +0800 (Wed, 13 Oct 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/it.po
   M /trunk/po/ru.po

Italian and Russian updates by Simone Sandri and Alexander Zinin.

------------------------------------------------------------------------
r1732 | fabricecolin | 2010-10-01 22:29:52 +0800 (Fri, 01 Oct 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/it.po

Italian translation update by Davide Vidal.

------------------------------------------------------------------------
r1731 | fabricecolin | 2010-09-11 00:15:04 +0800 (Sat, 11 Sep 2010) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/Notebook.cc
   M /trunk/UI/GTK2/src/Notebook.hh
   M /trunk/UI/GTK2/src/mainWindow.cc

When a spelling suggestion is available, don't connect to the Yes button's
signal multiple times, this caused the same revised query to be shown several
times.

------------------------------------------------------------------------
r1730 | fabricecolin | 2010-09-10 19:51:42 +0800 (Fri, 10 Sep 2010) | 2 lines
Changed paths:
   M /trunk/po/es.po

Updated by Matias Fonzo.

------------------------------------------------------------------------
r1729 | fabricecolin | 2010-09-02 20:43:31 +0800 (Thu, 02 Sep 2010) | 2 lines
Changed paths:
   M /trunk/po/pt_BR.po

Update by feen.

------------------------------------------------------------------------
r1728 | fabricecolin | 2010-08-16 23:34:09 +0800 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/po/ja.po

Update to the Japanese translation by Mizuki-san.

------------------------------------------------------------------------
r1727 | fabricecolin | 2010-07-28 22:09:50 +0800 (Wed, 28 Jul 2010) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/es.po
   M /trunk/po/nl.po

Spanish translation by Juan Miguel Boyero Corral.
Dutch translation by Dirk Roos.

------------------------------------------------------------------------
r1726 | fabricecolin | 2010-07-15 21:04:57 +0800 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Core/WorkerThreads.cpp

Skip symlinks if they are blacklisted, not if they aren't !!!

------------------------------------------------------------------------
r1724 | fabricecolin | 2010-07-12 22:23:52 +0800 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Change log and yet another update for the po's...

------------------------------------------------------------------------
r1723 | fabricecolin | 2010-07-12 22:08:59 +0800 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/ChangeLog-dijon
   M /trunk/NEWS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

News for 0.96.

------------------------------------------------------------------------
r1722 | fabricecolin | 2010-07-12 21:55:31 +0800 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Core/PinotSettings.cpp

Removed unused variable.

------------------------------------------------------------------------
r1721 | fabricecolin | 2010-07-11 15:57:41 +0800 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/ChangeLog-dijon
   M /trunk/README
   M /trunk/TODO
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current po's and misc files.

------------------------------------------------------------------------
r1720 | fabricecolin | 2010-07-01 18:34:37 +0800 (Thu, 01 Jul 2010) | 3 lines
Changed paths:
   M /trunk/po/fr.po
   M /trunk/po/he.po

Completed fr.po, added missing accents etc...
Updated he.po by Yaron.

------------------------------------------------------------------------
r1719 | fabricecolin | 2010-07-01 18:32:32 +0800 (Thu, 01 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Core/pinot-search.1
   M /trunk/Core/pinot-search.cpp
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/QueryProperties.h
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/Makefile.am
   M /trunk/pinot.spec.in

Dropped Xesam support.

------------------------------------------------------------------------
r1718 | fabricecolin | 2010-07-01 18:28:57 +0800 (Thu, 01 Jul 2010) | 3 lines
Changed paths:
   M /trunk/configure.in

Dropped option --enable-xesam-glib, don't build IndexSearch/XesamGLib.
Look for dlopen() in libc if not found in libdl (helps with build on BSD).

------------------------------------------------------------------------
r1717 | fabricecolin | 2010-07-01 18:26:40 +0800 (Thu, 01 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp

FreeBSD build patch by Thierry Thomas.

------------------------------------------------------------------------
r1716 | fabricecolin | 2010-06-29 22:06:52 +0800 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot.cc

Minor fixes.

------------------------------------------------------------------------
r1715 | fabricecolin | 2010-06-28 04:47:21 +0800 (Mon, 28 Jun 2010) | 3 lines
Changed paths:
   M /trunk/README
   M /trunk/configure.in

Be smart, check for gmime 2.4 first then 2.5.
This partially undoes SVN r1705.

------------------------------------------------------------------------
r1714 | fabricecolin | 2010-06-27 20:01:01 +0800 (Sun, 27 Jun 2010) | 3 lines
Changed paths:
   M /trunk/SQL/ActionQueue.cpp
   M /trunk/SQL/ActionQueue.h

Prepare more statements.
New method ActionQueue::deleteItems().

------------------------------------------------------------------------
r1713 | fabricecolin | 2010-06-27 19:11:56 +0800 (Sun, 27 Jun 2010) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   A /trunk/ltmain.sh

Added ltmain.sh to SVN so that everybody can enjoy the changes for --as-needed
as used in the Debian package, contributed by Jonas Smedegaard.
Also mention Jens Wilhelm Wulf's feedback.

------------------------------------------------------------------------
r1712 | fabricecolin | 2010-06-24 17:08:05 +0800 (Thu, 24 Jun 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current translations.

------------------------------------------------------------------------
r1711 | fabricecolin | 2010-06-24 15:46:06 +0800 (Thu, 24 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Bumped version number to 0.96.

------------------------------------------------------------------------
r1710 | fabricecolin | 2010-06-20 16:13:58 +0800 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp

Support for upower.

------------------------------------------------------------------------
r1709 | fabricecolin | 2010-06-20 16:11:12 +0800 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp

Fixed executeSimpleStatement().

------------------------------------------------------------------------
r1708 | fabricecolin | 2010-06-19 17:31:00 +0800 (Sat, 19 Jun 2010) | 2 lines
Changed paths:
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/pt_BR.po
   M /trunk/po/zh_CN.po

Updates from verdy_p, Yaron, andbelo and Eleanor Chen respectively. 

------------------------------------------------------------------------
r1707 | fabricecolin | 2010-06-19 17:30:07 +0800 (Sat, 19 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Core/WorkerThreads.cpp

Check symlinks against the blacklist.

------------------------------------------------------------------------
r1706 | fabricecolin | 2010-06-19 17:18:46 +0800 (Sat, 19 Jun 2010) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

Added SQLiteBase.cpp to the list.

------------------------------------------------------------------------
r1705 | fabricecolin | 2010-06-19 16:59:58 +0800 (Sat, 19 Jun 2010) | 4 lines
Changed paths:
   M /trunk/README
   M /trunk/configure.in

Added call to g_type_init() in the test program for GIO sniffing.
Set gmime dependency to "gmime-2.6 >= 2.5".
Link with -ldl.

------------------------------------------------------------------------
r1704 | fabricecolin | 2010-06-19 16:53:48 +0800 (Sat, 19 Jun 2010) | 2 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h

Prepare a lot more statements.

------------------------------------------------------------------------
r1703 | fabricecolin | 2010-06-19 16:53:13 +0800 (Sat, 19 Jun 2010) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Extended about box copyright to 2010.
Launch preferences with pinot -p in case the pinot-prefs symlink doesn't exist.

------------------------------------------------------------------------
r1702 | fabricecolin | 2010-06-16 00:12:17 +0800 (Wed, 16 Jun 2010) | 4 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h

Slightly better transaction support, error reporting.
Clear compiled statements on close().
Removed _USE_VSNPRINTF conditioned code.

------------------------------------------------------------------------
r1701 | fabricecolin | 2010-06-12 12:37:51 +0800 (Sat, 12 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/Core/pinot-index.cpp
   M /trunk/UI/GTK2/src/pinot.cc

Prefer Chert to Flint.

------------------------------------------------------------------------
r1700 | fabricecolin | 2010-06-12 12:06:41 +0800 (Sat, 12 Jun 2010) | 3 lines
Changed paths:
   M /trunk/README

Make it clear operators should be upper-case.
"hu", "ro" and "tr" were missing from the list of language codes.

------------------------------------------------------------------------
r1699 | fabricecolin | 2010-06-07 23:40:23 +0800 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp

Check the handle before attempting to close it.

------------------------------------------------------------------------
r1698 | fabricecolin | 2010-03-30 21:05:52 +0800 (Tue, 30 Mar 2010) | 3 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h

Fix for INSERT, UPDATE and DELETE as prepared statements.
Don't be greedy, if the database is busy, sleep for a short while!

------------------------------------------------------------------------
r1697 | fabricecolin | 2010-03-21 21:22:53 +0800 (Sun, 21 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Monitor/INotifyMonitor.cpp
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h

Tweaks and missing headers.

------------------------------------------------------------------------
r1696 | fabricecolin | 2010-03-21 21:20:43 +0800 (Sun, 21 Mar 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/fr.po
   M /trunk/po/pt_BR.po

fr and pt_BR updates by verdy_p and andbelo.

------------------------------------------------------------------------
r1695 | fabricecolin | 2009-12-06 16:50:38 +0800 (Sun, 06 Dec 2009) | 2 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp

Less DEBUG.

------------------------------------------------------------------------
r1694 | fabricecolin | 2009-12-06 16:50:05 +0800 (Sun, 06 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/ServerThreads.h
   M /trunk/Core/pinot-dbus-daemon.cpp

Battery status can now be obtained from DeviceKit-power.

------------------------------------------------------------------------
r1692 | fabricecolin | 2009-11-14 12:10:40 +0800 (Sat, 14 Nov 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog-dijon
   M /trunk/NEWS
   M /trunk/po/es.po
   M /trunk/po/pt.po

Releasing 0.95 today.

------------------------------------------------------------------------
r1691 | fabricecolin | 2009-11-10 21:44:54 +0800 (Tue, 10 Nov 2009) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure.in
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Bumped version number to 0.95.
Included language updates from Fabian Affolter and Marco Jahn (German), Ddorda
(Hebrew), Bernardo Lopes (Portuguese) and DiegoJ (Spanish).

------------------------------------------------------------------------
r1690 | fabricecolin | 2009-11-09 21:24:41 +0800 (Mon, 09 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Core/Makefile.am

Build the daemon as pinot-daemon if D-Bus support is turned off.

------------------------------------------------------------------------
r1689 | fabricecolin | 2009-11-05 21:36:39 +0800 (Thu, 05 Nov 2009) | 2 lines
Changed paths:
   M /trunk/configure.in

Last chunk of the OpenBSD patches, confirmed not to affect other ports.

------------------------------------------------------------------------
r1688 | fabricecolin | 2009-11-04 20:11:54 +0800 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/Exalead.src
   D /trunk/IndexSearch/Plugins/IOIDescription.xml

These engines have fallen off the face of the Earth :-)

------------------------------------------------------------------------
r1687 | fabricecolin | 2009-11-04 20:11:05 +0800 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/Bing.src

Fixed results parsing for Bing.

------------------------------------------------------------------------
r1686 | fabricecolin | 2009-11-02 22:25:09 +0800 (Mon, 02 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp

Cosmetic edit.

------------------------------------------------------------------------
r1685 | fabricecolin | 2009-11-02 22:24:12 +0800 (Mon, 02 Nov 2009) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

PinotUtils was moved.

------------------------------------------------------------------------
r1684 | fabricecolin | 2009-11-02 22:22:26 +0800 (Mon, 02 Nov 2009) | 4 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/DaemonState.h
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/ServerThreads.h
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h

DaemonState and MonitorThread use one CrawlHistory object from start to finish,
ThreadsManager one ActionQueue object.
CrawlerThread's cache applies to all updates.

------------------------------------------------------------------------
r1683 | fabricecolin | 2009-11-02 22:17:41 +0800 (Mon, 02 Nov 2009) | 2 lines
Changed paths:
   M /trunk/SQL/ActionQueue.cpp
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h

Use prepared statements for common queries, transactions for masse updates.

------------------------------------------------------------------------
r1682 | fabricecolin | 2009-11-02 09:35:55 +0800 (Mon, 02 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Core/Makefile.am

PinotUtils was moved out.

------------------------------------------------------------------------
r1681 | fabricecolin | 2009-11-02 09:35:26 +0800 (Mon, 02 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Install D-Bus related stuff if HAVE_DBUS is set.

------------------------------------------------------------------------
r1680 | fabricecolin | 2009-11-01 22:48:44 +0800 (Sun, 01 Nov 2009) | 2 lines
Changed paths:
   M /trunk/SQL/SQLDB.h
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h

Support for prepared statements, transactions.

------------------------------------------------------------------------
r1679 | fabricecolin | 2009-10-25 16:33:44 +0800 (Sun, 25 Oct 2009) | 2 lines
Changed paths:
   M /trunk/FAQ

Summarize all environment variables that can be tuned to lower memeory usage.

------------------------------------------------------------------------
r1678 | fabricecolin | 2009-10-25 16:31:57 +0800 (Sun, 25 Oct 2009) | 2 lines
Changed paths:
   M /trunk/po/de.po

Update from Fabian Affolter.

------------------------------------------------------------------------
r1677 | fabricecolin | 2009-10-25 16:14:47 +0800 (Sun, 25 Oct 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.h

Removed error checking on mutex.

------------------------------------------------------------------------
r1676 | fabricecolin | 2009-10-25 16:13:51 +0800 (Sun, 25 Oct 2009) | 6 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

XPATH/path is a probabilistic term prefix, and path terms should be generated
with positional information.
Get the tokenizer to break on spaces only. With the recent changes to the
CJKVTokenizer, this should preserve dots, eg dots in acronyms and version
numbers, similarly to what the QueryParser does.

------------------------------------------------------------------------
r1675 | fabricecolin | 2009-10-25 12:15:01 +0800 (Sun, 25 Oct 2009) | 2 lines
Changed paths:
   M /trunk/po/nl.po

Update from JW.

------------------------------------------------------------------------
r1674 | fabricecolin | 2009-10-21 22:06:19 +0800 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk/pinot-dbus-daemon.desktop

Added Encoding and Version.

------------------------------------------------------------------------
r1673 | fabricecolin | 2009-10-21 21:22:04 +0800 (Wed, 21 Oct 2009) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.h

Use the Query API to limit the query to a set of documents (Search This For)
instead of mangling the query string.
Escape and hash terms with prefix "path".

------------------------------------------------------------------------
r1672 | fabricecolin | 2009-10-10 19:52:09 +0800 (Sat, 10 Oct 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/mainWindow_glade.cc

If gtkmm >= 2.16 is available, replace the find button with a QueryEntry icon.

------------------------------------------------------------------------
r1671 | fabricecolin | 2009-09-19 12:45:58 +0800 (Sat, 19 Sep 2009) | 2 lines
Changed paths:
   D /trunk/Core/PinotUtils.cpp
   D /trunk/Core/PinotUtils.h
   M /trunk/UI/GTK2/src/EnginesTree.cc
   M /trunk/UI/GTK2/src/IndexPage.cc
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/UI/GTK2/src/Notebook.cc
   A /trunk/UI/GTK2/src/PinotUtils.cc (from /trunk/Core/PinotUtils.cpp:1665)
   A /trunk/UI/GTK2/src/PinotUtils.hh (from /trunk/Core/PinotUtils.h:1665)
   M /trunk/UI/GTK2/src/ResultsTree.cc
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/indexDialog.cc
   M /trunk/UI/GTK2/src/launcherDialog.cc
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/propertiesDialog.cc
   M /trunk/UI/GTK2/src/queryDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Moved PinotUtils out of Core.

------------------------------------------------------------------------
r1670 | fabricecolin | 2009-08-30 09:07:46 +0800 (Sun, 30 Aug 2009) | 2 lines
Changed paths:
   M /trunk/SQL/SQLiteBase.cpp

Show the name of the database when a statement fails.

------------------------------------------------------------------------
r1669 | fabricecolin | 2009-08-30 09:07:01 +0800 (Sun, 30 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/UI/GTK2/src/pinot.cc

Build those when HAVE_DBUS isn't set.

------------------------------------------------------------------------
r1668 | fabricecolin | 2009-08-30 09:04:33 +0800 (Sun, 30 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Core/UniqueApplication.cpp

Cleanup.

------------------------------------------------------------------------
r1667 | fabricecolin | 2009-08-29 13:33:42 +0800 (Sat, 29 Aug 2009) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/Makefile.am
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/README
   M /trunk/Tokenize/Makefile.am
   M /trunk/UI/GTK2/src/Makefile.am

OpenBSD port patches, from Antoine Jacoutot.
See http://www.openbsd.org/cgi-bin/cvsweb/ports/x11/pinot/patches/

------------------------------------------------------------------------
r1666 | fabricecolin | 2009-08-29 13:23:09 +0800 (Sat, 29 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/UI/GTK2/src/pinot.cc

Redirect clog too.

------------------------------------------------------------------------
r1665 | fabricecolin | 2009-08-15 18:11:22 +0800 (Sat, 15 Aug 2009) | 2 lines
Changed paths:
   M /trunk/SQL/ActionQueue.cpp
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/MetaDataBackup.cpp
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/SQL/SQLDB.cpp
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/ViewHistory.cpp
   M /trunk/Utils/CommandLine.cpp
   M /trunk/Utils/Document.cpp
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/Memory.cpp
   M /trunk/Utils/TimeConverter.cpp
   M /trunk/Utils/Url.cpp

Prefer clog to cout and cerr.

------------------------------------------------------------------------
r1664 | fabricecolin | 2009-07-02 21:37:20 +0800 (Thu, 02 Jul 2009) | 2 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/SQLDB.cpp
   M /trunk/SQL/SQLDB.h
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h

Allow opening databases in read-only mode.

------------------------------------------------------------------------
r1663 | fabricecolin | 2009-07-01 23:22:38 +0800 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Utils/TimeConverter.cpp

When requesting GM time, the timezone should be GMT !

------------------------------------------------------------------------
r1662 | fabricecolin | 2009-06-29 23:08:05 +0800 (Mon, 29 Jun 2009) | 2 lines
Changed paths:
   M /trunk/po/fr.po

Translation update by Thierry Thomas.

------------------------------------------------------------------------
r1660 | fabricecolin | 2009-06-27 11:36:22 +0800 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current logs.

------------------------------------------------------------------------
r1659 | fabricecolin | 2009-06-27 11:31:13 +0800 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Updated po's.

------------------------------------------------------------------------
r1658 | fabricecolin | 2009-06-27 11:30:29 +0800 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/NEWS

Changes in this release.

------------------------------------------------------------------------
r1657 | fabricecolin | 2009-06-27 11:27:16 +0800 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/TODO

Current TODO list.

------------------------------------------------------------------------
r1656 | fabricecolin | 2009-06-27 11:26:08 +0800 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/Freshmeat.src

Fixed results extraction.

------------------------------------------------------------------------
r1655 | fabricecolin | 2009-06-27 10:23:33 +0800 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/configure.in

Bumped release number to 0.94, made GMime 2.4 default.

------------------------------------------------------------------------
r1654 | fabricecolin | 2009-06-27 10:22:22 +0800 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/pinot-dbus-daemon.desktop

Cosmetic changes.

------------------------------------------------------------------------
r1653 | fabricecolin | 2009-06-27 09:50:47 +0800 (Sat, 27 Jun 2009) | 5 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/DaemonState.h
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/ServerThreads.h

Metadata needs to be restored en-bloc at the end of indexing (no queued actions,
no threads) and crawling (empty crawl queue). Previously it was restored after
crawling a directory but potentially before all documents to restore have been
indexed.

------------------------------------------------------------------------
r1652 | fabricecolin | 2009-06-23 20:04:00 +0800 (Tue, 23 Jun 2009) | 2 lines
Changed paths:
   M /trunk/SQL/MetaDataBackup.cpp

getItem() would skip labels and fail if there were no fields to deserialize.

------------------------------------------------------------------------
r1651 | fabricecolin | 2009-06-23 20:01:28 +0800 (Tue, 23 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Core/ServerThreads.cpp

Retrieve and restore labels separately from other metadata.

------------------------------------------------------------------------
r1650 | fabricecolin | 2009-06-22 20:46:41 +0800 (Mon, 22 Jun 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh

Keep track of temporary files created for viewing documents.

------------------------------------------------------------------------
r1649 | fabricecolin | 2009-06-21 21:40:10 +0800 (Sun, 21 Jun 2009) | 2 lines
Changed paths:
   M /trunk/README

Document "inurl", clarify document types and build options.

------------------------------------------------------------------------
r1648 | fabricecolin | 2009-06-21 20:19:34 +0800 (Sun, 21 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Core/PinotSettings.cpp

Stored query Me should do a phrase search.

------------------------------------------------------------------------
r1647 | fabricecolin | 2009-06-21 18:08:08 +0800 (Sun, 21 Jun 2009) | 2 lines
Changed paths:
   M /trunk/pinot.spec.in

Package libarchivefilter only if _with_libarchive is set.

------------------------------------------------------------------------
r1646 | fabricecolin | 2009-06-21 18:06:37 +0800 (Sun, 21 Jun 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/UI/GTK2/src/queryDialog.cc

Map the search filter "inurl" to the XFILE prefix to allow finding files
embedded in a mailbox/archive at a given URL.

------------------------------------------------------------------------
r1645 | fabricecolin | 2009-06-15 12:29:51 +0800 (Mon, 15 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-search.cpp

Show the total results estimate.

------------------------------------------------------------------------
r1644 | fabricecolin | 2009-06-15 12:29:00 +0800 (Mon, 15 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp

When the index is reset, flush and signal.

------------------------------------------------------------------------
r1643 | fabricecolin | 2009-06-15 12:25:13 +0800 (Mon, 15 Jun 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

More On Like This on a Web result didn't work when the queue was empty.

------------------------------------------------------------------------
r1642 | fabricecolin | 2009-06-15 12:13:46 +0800 (Mon, 15 Jun 2009) | 2 lines
Changed paths:
   A /trunk/IndexSearch/Plugins/Bing.src
   D /trunk/IndexSearch/Plugins/MSN.src

Bing replaces MSN search.

------------------------------------------------------------------------
r1641 | fabricecolin | 2009-06-07 15:41:28 +0800 (Sun, 07 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp

In check mode, if no document has the given URL, look for embedded documents.

------------------------------------------------------------------------
r1640 | fabricecolin | 2009-05-31 14:07:05 +0800 (Sun, 31 May 2009) | 7 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp

Filters that return file names as titles (eg those that deal with archives) may
set mimetype to SCANTITLE. The content type is then checked with
MIMEScanner::scanFile(), with scanData() as fall-back.
Odddly enough, this gives more accurate results for types like tar.gz : instead
of being identified as application/x-gzip, they are identified as
application/x-compressed-tar just like they would if they were regular files.

------------------------------------------------------------------------
r1639 | fabricecolin | 2009-05-30 12:39:25 +0800 (Sat, 30 May 2009) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot.cc

Expect am IndexFlushed signal from the daemon upon which the index should be
reopened.

------------------------------------------------------------------------
r1638 | fabricecolin | 2009-05-30 12:15:47 +0800 (Sat, 30 May 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp
   M /trunk/Core/pinot-search.cpp

Display the full URLs with ipath.

------------------------------------------------------------------------
r1637 | fabricecolin | 2009-05-30 12:15:05 +0800 (Sat, 30 May 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

XapianIndex::reopen() didn't actually reopen anything.
Removed obsolete comment in XapianDatabase.

------------------------------------------------------------------------
r1636 | fabricecolin | 2009-05-30 12:13:19 +0800 (Sat, 30 May 2009) | 3 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/DaemonState.h
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/ServerThreads.h
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/Core/pinot-dbus-daemon.xml

Send the signal IndexFlushed when the index is flushed.
Synced with changes to DBusIndex. Some cleanup.

------------------------------------------------------------------------
r1635 | fabricecolin | 2009-05-24 17:25:15 +0800 (Sun, 24 May 2009) | 2 lines
Changed paths:
   M /trunk/configure.in

Set _FILE_OFFSET_BITS=64.

------------------------------------------------------------------------
r1634 | fabricecolin | 2009-05-24 12:26:59 +0800 (Sun, 24 May 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/DBusIndex.h

Added defines for the D-Bus service name and object path.

------------------------------------------------------------------------
r1633 | fabricecolin | 2009-05-24 12:25:39 +0800 (Sun, 24 May 2009) | 2 lines
Changed paths:
   M /trunk/Utils/Document.cpp

Set the close-on-exec flag, either on open() or after open() with fcntl().

------------------------------------------------------------------------
r1632 | fabricecolin | 2009-05-24 12:24:04 +0800 (Sun, 24 May 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Show properties of external indices' documents read-only.

------------------------------------------------------------------------
r1631 | fabricecolin | 2009-05-24 11:56:53 +0800 (Sun, 24 May 2009) | 2 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/TextConverter.cpp
   M /trunk/Tokenize/TextConverter.h

TextConverter now dstring-enabled.

------------------------------------------------------------------------
r1630 | fabricecolin | 2009-04-21 21:28:44 +0800 (Tue, 21 Apr 2009) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/Tokenize/Makefile.am

Funda Wang's linkage patch from
http://svn.mandriva.com/svn/packages/cooker/pinot/current/SOURCES/pinot-0.93-linkage.patch

------------------------------------------------------------------------
r1628 | fabricecolin | 2009-04-13 17:56:43 +0800 (Mon, 13 Apr 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current logs.

------------------------------------------------------------------------
r1627 | fabricecolin | 2009-04-13 17:52:11 +0800 (Mon, 13 Apr 2009) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Updated po's.

------------------------------------------------------------------------
r1626 | fabricecolin | 2009-04-13 17:51:34 +0800 (Mon, 13 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/NEWS
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Preparing the 0.93 release.

------------------------------------------------------------------------
r1625 | fabricecolin | 2009-04-13 17:41:28 +0800 (Mon, 13 Apr 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Don't try and guesstimate where we are at, keep generating terms.

------------------------------------------------------------------------
r1624 | fabricecolin | 2009-04-13 11:34:19 +0800 (Mon, 13 Apr 2009) | 2 lines
Changed paths:
   M /trunk/README

Clarify how to get dot-directories indexed with symlinks.

------------------------------------------------------------------------
r1623 | fabricecolin | 2009-04-13 11:22:14 +0800 (Mon, 13 Apr 2009) | 5 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/DaemonState.h
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/ServerThreads.h
   M /trunk/Core/pinot-dbus-daemon.cpp

Unless run in full scan mode, the daemon would reindex all files on every run !
That probably stems from changes made in 0.91.
There's no justification for not doing a full scan on every run. All scans are
from now on full by default.

------------------------------------------------------------------------
r1621 | fabricecolin | 2009-04-09 23:38:04 +0800 (Thu, 09 Apr 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current logs.

------------------------------------------------------------------------
r1620 | fabricecolin | 2009-04-09 23:34:40 +0800 (Thu, 09 Apr 2009) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO

Current state.

------------------------------------------------------------------------
r1619 | fabricecolin | 2009-04-09 20:59:15 +0800 (Thu, 09 Apr 2009) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Updated po's.

------------------------------------------------------------------------
r1618 | fabricecolin | 2009-04-08 20:34:15 +0800 (Wed, 08 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Bumped version number to 0.92, set as minimum index version.

------------------------------------------------------------------------
r1617 | fabricecolin | 2009-04-07 22:32:55 +0800 (Tue, 07 Apr 2009) | 5 lines
Changed paths:
   M /trunk/README
   M /trunk/Tokenize/Makefile.am
   M /trunk/configure.in
   M /trunk/pinot.spec.in

The archive filter causes issues with libarchive 2.5.5 so to be on the safe side
it's now enabled only if --enable-libarchive is passed to configure.
Version 2.6.2 is recommended.
When building RPMs, pass "--with libarchive".

------------------------------------------------------------------------
r1616 | fabricecolin | 2009-04-07 21:50:43 +0800 (Tue, 07 Apr 2009) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/MozDexDescription.xml

Removed.

------------------------------------------------------------------------
r1615 | fabricecolin | 2009-04-06 23:01:09 +0800 (Mon, 06 Apr 2009) | 5 lines
Changed paths:
   M /trunk/FAQ
   M /trunk/README

Updated following changes to the number of indexing threads, memory usage.
List libarchive as a dependency.
There was no clue as to where the stopwords should be installed and how they
are useful.

------------------------------------------------------------------------
r1614 | fabricecolin | 2009-04-06 22:52:07 +0800 (Mon, 06 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Tokenize/Makefile.am
   M /trunk/pinot.spec.in

Build and package libarchivefilter.

------------------------------------------------------------------------
r1613 | fabricecolin | 2009-04-06 22:50:39 +0800 (Mon, 06 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp

Don't forget to provide a default title to documents not gone through a filter.

------------------------------------------------------------------------
r1612 | fabricecolin | 2009-04-05 10:22:43 +0800 (Sun, 05 Apr 2009) | 2 lines
Changed paths:
   M /trunk/configure.in

The memory pool can be optionally disabled.

------------------------------------------------------------------------
r1611 | fabricecolin | 2009-04-05 10:21:33 +0800 (Sun, 05 Apr 2009) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cc
   M /trunk/UI/GTK2/src/UIThreads.cc
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh

Updated following changes for documents ipath.
When a new document is indexed, don't simply append it to the My Web Pages list,
refresh the list.

------------------------------------------------------------------------
r1610 | fabricecolin | 2009-04-05 10:19:27 +0800 (Sun, 05 Apr 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Updated to cope with documents ipath.
Don't parse documents data here, let XapianDatabase::recordToProps() do it.

------------------------------------------------------------------------
r1609 | fabricecolin | 2009-04-05 10:16:33 +0800 (Sun, 05 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/WorkerThreads.cpp

Try and reclaim memory more often, after flushing the index.
Some changes to cope with documents ipath.

------------------------------------------------------------------------
r1608 | fabricecolin | 2009-04-05 10:14:08 +0800 (Sun, 05 Apr 2009) | 2 lines
Changed paths:
   M /trunk/pinot.spec.in

Removed dependency on libtar.

------------------------------------------------------------------------
r1607 | fabricecolin | 2009-04-05 10:12:55 +0800 (Sun, 05 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Tokenize/Makefile.am

Don't build TarFilter, libtar is unmaintained.

------------------------------------------------------------------------
r1606 | fabricecolin | 2009-04-02 23:31:30 +0800 (Thu, 02 Apr 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp

Safety check.

------------------------------------------------------------------------
r1605 | fabricecolin | 2009-04-02 23:27:47 +0800 (Thu, 02 Apr 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/OpenSearchParser.cpp

Removed a bunch of superfluous headers.

------------------------------------------------------------------------
r1604 | fabricecolin | 2009-04-02 23:25:40 +0800 (Thu, 02 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Core/PinotSettings.cpp

Initialize and cleanup libxml2 when PinotSettings is constructed/destroyed.
Added mp4 to the default blacklist, removed Z.

------------------------------------------------------------------------
r1603 | fabricecolin | 2009-03-31 21:04:29 +0800 (Tue, 31 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Collect/DownloaderFactory.cpp
   M /trunk/Collect/Makefile.am
   D /trunk/Collect/MboxCollector.cpp
   D /trunk/Collect/MboxCollector.h

Dropped MboxCollector.

------------------------------------------------------------------------
r1602 | fabricecolin | 2009-03-31 21:00:45 +0800 (Tue, 31 Mar 2009) | 2 lines
Changed paths:
   M /trunk/SQL/MetaDataBackup.cpp
   M /trunk/SQL/MetaDataBackup.h

Changes to accomodate ipath.

------------------------------------------------------------------------
r1601 | fabricecolin | 2009-03-28 11:50:41 +0800 (Sat, 28 Mar 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/Tokenize/TextConverter.cpp
   M /trunk/Tokenize/TextConverter.h

Work-around documents that declare an invalid charset, eg iso_8859_1 instead of
iso-8859-1.

------------------------------------------------------------------------
r1600 | fabricecolin | 2009-03-28 10:46:32 +0800 (Sat, 28 Mar 2009) | 3 lines
Changed paths:
   M /trunk/Utils/Memory.cpp
   M /trunk/Utils/Memory.h

Added getUsage().
In reclaim(), call umem_reap() if umem support is on.

------------------------------------------------------------------------
r1599 | fabricecolin | 2009-03-28 10:36:40 +0800 (Sat, 28 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Collect/FileCollector.cpp

If ipath isn't empty, drill down with FilterUtils::reduceDocument(). 

------------------------------------------------------------------------
r1598 | fabricecolin | 2009-03-28 10:33:16 +0800 (Sat, 28 Mar 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/IndexSearch/FilterWrapper.h
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/FilterUtils.h

Moved filterDocument() and related to FilterUtils.

------------------------------------------------------------------------
r1597 | fabricecolin | 2009-03-25 21:41:00 +0800 (Wed, 25 Mar 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/Utils/DocumentInfo.cpp
   M /trunk/Utils/DocumentInfo.h

ipath is a property of DocumentInfo.

------------------------------------------------------------------------
r1596 | fabricecolin | 2009-03-22 22:07:25 +0800 (Sun, 22 Mar 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/Makefile.am

Link against libBasicUtils first.

------------------------------------------------------------------------
r1595 | fabricecolin | 2009-03-22 22:06:39 +0800 (Sun, 22 Mar 2009) | 3 lines
Changed paths:
   M /trunk/Core/Makefile.am
   M /trunk/Core/WorkerThreads.cpp

Attempt to reclaim, or rather let the OS reclaim, memory every 1000 threads.
Link against libBasicUtils first.

------------------------------------------------------------------------
r1594 | fabricecolin | 2009-03-22 22:04:23 +0800 (Sun, 22 Mar 2009) | 4 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/Tokenize/FilterUtils.cpp

Retrieve content out with Filter::get_content().
Don't set dummy documents when the file is empty or of an unsupported type, just
go ahead and index its metadata.

------------------------------------------------------------------------
r1593 | fabricecolin | 2009-03-22 22:01:54 +0800 (Sun, 22 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Tokenize/TextConverter.cpp

Clear the output on exception.

------------------------------------------------------------------------
r1592 | fabricecolin | 2009-03-22 22:01:22 +0800 (Sun, 22 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Utils/Memory.h

Better include config.h since the whole thing is driven by ifdef's.

------------------------------------------------------------------------
r1591 | fabricecolin | 2009-03-22 09:31:09 +0800 (Sun, 22 Mar 2009) | 3 lines
Changed paths:
   M /trunk/Utils/Document.cpp
   M /trunk/Utils/Document.h
   M /trunk/Utils/Makefile.am

Document relies on Memory for its internal buffer, uses madvise() if available
whenever mmap'ing a file.

------------------------------------------------------------------------
r1590 | fabricecolin | 2009-03-21 19:00:39 +0800 (Sat, 21 Mar 2009) | 5 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh

Set the number of daemon's indexing threads to 2, unless overriden with the
environment variable PINOT_MAXIMUM_INDEX_THREADS.
Changed flushing again, this time to happen when the queue is empty. This means
that the index will be flushed when everything has been indexed.

------------------------------------------------------------------------
r1589 | fabricecolin | 2009-03-21 13:03:11 +0800 (Sat, 21 Mar 2009) | 8 lines
Changed paths:
   A /trunk/Utils/Memory.cpp
   A /trunk/Utils/Memory.h
   M /trunk/configure.in

Check for boost/pool/poolfwd.hpp, ext/malloc_allocator.h, mallinfo(),
malloc_trim() and madvise().
Memory wraps all this together. It provides dstring, a basic_string class
backed by a boost::pool memory pool, and either malloc() or umem as allocators,
functions to allocate and free buffers out of the same pool, and a function to
let the OS reclaim memory.
Support for umem is untested at the moment.

------------------------------------------------------------------------
r1588 | fabricecolin | 2009-03-17 22:37:13 +0800 (Tue, 17 Mar 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   M /trunk/IndexSearch/Xapian/LanguageDetector.h
   M /trunk/IndexSearch/Xapian/XapianDatabaseFactory.h
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

LanguageDetector is a singleton, and textcat is initialized once.

------------------------------------------------------------------------
r1587 | fabricecolin | 2009-03-11 22:30:17 +0800 (Wed, 11 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp

Missing include signal.h. Reported by Robert Wotzlaw.

------------------------------------------------------------------------
r1586 | fabricecolin | 2009-03-10 20:08:56 +0800 (Tue, 10 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Tokenize/Makefile.am
   M /trunk/pinot.spec.in

Build the new tar filter by default. This requires libtar >= 1.2.11.

------------------------------------------------------------------------
r1585 | fabricecolin | 2009-03-10 20:07:31 +0800 (Tue, 10 Mar 2009) | 5 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp

Feeding the data through a temporary file is the second most preferred way to
feed filters as having the data very likely means that the original file
already went through one filter.
There's no point trying to convert to UTF8 stuff that's not plain text.

------------------------------------------------------------------------
r1584 | fabricecolin | 2009-03-08 06:47:58 +0800 (Sun, 08 Mar 2009) | 3 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp

Don't start the main loop if the document wasn't queued for indexing, eg
because it's black-listed.

------------------------------------------------------------------------
r1582 | fabricecolin | 2009-03-07 11:15:02 +0800 (Sat, 07 Mar 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Current ChangeLog.

------------------------------------------------------------------------
r1581 | fabricecolin | 2009-03-07 11:11:11 +0800 (Sat, 07 Mar 2009) | 2 lines
Changed paths:
   M /trunk/NEWS

Updated NEWS, set 0.91 release date to today.

------------------------------------------------------------------------
r1580 | fabricecolin | 2009-03-05 22:57:55 +0800 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog-dijon

Current Dijon ChangeLog.

------------------------------------------------------------------------
r1579 | fabricecolin | 2009-03-05 22:30:19 +0800 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Updated translations.

------------------------------------------------------------------------
r1578 | fabricecolin | 2009-03-05 22:27:23 +0800 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/UI/GTK2/src/pinot.1

Updated manual pages.

------------------------------------------------------------------------
r1577 | fabricecolin | 2009-03-05 22:17:21 +0800 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /trunk/TODO
   M /trunk/configure.in

Bumped version number to 0.91, added tasks to the TODO list.

------------------------------------------------------------------------
r1576 | fabricecolin | 2009-03-05 21:33:26 +0800 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp

Use a regex to get to the refresh META tag, rather than HtmlFilter.

------------------------------------------------------------------------
r1575 | fabricecolin | 2009-03-05 21:32:25 +0800 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /trunk/FAQ

Give tips on how to reduce memory usage a bit.

------------------------------------------------------------------------
r1574 | fabricecolin | 2009-03-05 21:21:13 +0800 (Thu, 05 Mar 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

TokensIndexer guesstimates where it's at in the original document and doesn't
generate terms past 5Mb.

------------------------------------------------------------------------
r1573 | fabricecolin | 2009-03-04 21:59:49 +0800 (Wed, 04 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Core/WorkerThreads.cpp

Don't reset m_backgroundThreadsCount.

------------------------------------------------------------------------
r1572 | fabricecolin | 2009-03-01 22:34:20 +0800 (Sun, 01 Mar 2009) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/pt.po

Updated translations by Gena Haltmair (German) and Flávio Martins (Portuguese).

------------------------------------------------------------------------
r1571 | fabricecolin | 2009-03-01 21:37:34 +0800 (Sun, 01 Mar 2009) | 2 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp

Fixed update query in updateItemsStatus().

------------------------------------------------------------------------
r1570 | fabricecolin | 2009-03-01 21:36:26 +0800 (Sun, 01 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Utils/DocumentInfo.cpp

Missing include, reported by Adel Gadllah, with gcc 4.4.

------------------------------------------------------------------------
r1569 | fabricecolin | 2009-03-01 15:54:00 +0800 (Sun, 01 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Core/OnDiskHandler.cpp
   M /trunk/Core/OnDiskHandler.h
   M /trunk/Core/WorkerThreads.cpp

Don't flush the index on file events.

------------------------------------------------------------------------
r1568 | fabricecolin | 2009-03-01 10:39:08 +0800 (Sun, 01 Mar 2009) | 3 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/DaemonState.h

Flush the index when all foreground threads have returned so that it doesn't
interfere with indexing.

------------------------------------------------------------------------
r1567 | fabricecolin | 2009-03-01 10:35:42 +0800 (Sun, 01 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Core/UniqueApplication.cpp
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/configure.in

Functions kill() and lstat() may not be available.

------------------------------------------------------------------------
r1566 | fabricecolin | 2009-02-28 20:44:09 +0800 (Sat, 28 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Utils/Url.cpp

Missing include.

------------------------------------------------------------------------
r1565 | fabricecolin | 2009-02-28 19:37:26 +0800 (Sat, 28 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/DaemonState.h

Flush the index explicitely when a crawler returns and no other is started.

------------------------------------------------------------------------
r1564 | fabricecolin | 2009-02-28 14:37:41 +0800 (Sat, 28 Feb 2009) | 4 lines
Changed paths:
   M /trunk/Core/PinotSettings.cpp
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/Core/pinot-index.cpp
   M /trunk/UI/GTK2/src/pinot.cc

PinotSettings::getInstance() will initialize libxml2.
HtmlFilter doesn't need initializing any more.
Don't unload filters at exit time to avoid a so far unexplained crash.

------------------------------------------------------------------------
r1563 | fabricecolin | 2009-02-28 10:46:18 +0800 (Sat, 28 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Tokenize/Makefile.am

HtmlParser files.

------------------------------------------------------------------------
r1562 | fabricecolin | 2009-02-18 19:29:22 +0800 (Wed, 18 Feb 2009) | 7 lines
Changed paths:
   M /trunk/configure.in

Disable check for linux/sched.h, and therefore support for SCHED_IDLE, for the
time being. See :
http://lkml.org/lkml/2009/1/11/70
http://lkml.org/lkml/2009/1/22/416
http://lkml.org/lkml/2009/1/30/297
Thanks to John Werden for reporting this.

------------------------------------------------------------------------
r1561 | fabricecolin | 2009-02-16 22:14:13 +0800 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-index.cpp
   M /trunk/README

Running pinot-index --index on My Web Pages or My Documents isn't a good idea.

------------------------------------------------------------------------
r1560 | fabricecolin | 2009-02-15 22:31:13 +0800 (Sun, 15 Feb 2009) | 4 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp
   M /trunk/Core/ServerThreads.cpp
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h

Be selective when changing the status of crawled items on full scan. The status
of links shouldn't be changed or they would be skipped during the crawl and
what they point to would get unindexed.

------------------------------------------------------------------------
r1559 | fabricecolin | 2009-02-15 20:19:43 +0800 (Sun, 15 Feb 2009) | 5 lines
Changed paths:
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h

Cache what type of downloader DownloadingThread last got to avoid getting a new
one every time. IndexingThread doesn't get a new Index on every call to its
doWork() method.
Look for the ROBOTS meta tag in remote documents only.

------------------------------------------------------------------------
r1558 | fabricecolin | 2009-02-15 10:25:00 +0800 (Sun, 15 Feb 2009) | 3 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/configure.in

If linux/sched.h is available, use sched_setscheduler(SCHED_IDLE) in place of
setpriority().

------------------------------------------------------------------------
r1557 | fabricecolin | 2009-02-15 10:23:39 +0800 (Sun, 15 Feb 2009) | 3 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp

Don't allow threads to flush the index.
Delete the state object before exit.

------------------------------------------------------------------------
r1556 | fabricecolin | 2009-02-15 10:22:11 +0800 (Sun, 15 Feb 2009) | 5 lines
Changed paths:
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Utils/TimeConverter.cpp

Fixed some memory leaks :
- when converting to a timestamp (struct tm)
- when reapplying user-set metadata (Index)
- when skipping the download of local files (Document)

------------------------------------------------------------------------
r1555 | fabricecolin | 2009-02-14 10:39:19 +0800 (Sat, 14 Feb 2009) | 3 lines
Changed paths:
   M /trunk/README

Specify that attachments and documents embedded in mbox email are indexed, and
can be opened from the UI.

------------------------------------------------------------------------
r1554 | fabricecolin | 2009-02-12 22:06:02 +0800 (Thu, 12 Feb 2009) | 2 lines
Changed paths:
   M /trunk/pinot-dbus-daemon.desktop
   M /trunk/pinot-prefs.desktop
   M /trunk/pinot.desktop

Removed deprecated Encoding field.

------------------------------------------------------------------------
r1553 | fabricecolin | 2009-02-12 22:04:00 +0800 (Thu, 12 Feb 2009) | 3 lines
Changed paths:
   M /trunk/Core/ServerThreads.cpp

Don't have monitorEntry() return false if no monitor is available, this would
log an error.

------------------------------------------------------------------------
r1552 | fabricecolin | 2009-02-12 22:02:28 +0800 (Thu, 12 Feb 2009) | 5 lines
Changed paths:
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h
   M /trunk/Core/pinot-index.cpp
   M /trunk/UI/GTK2/src/Makefile.am
   A /trunk/UI/GTK2/src/UIThreads.cc
   A /trunk/UI/GTK2/src/UIThreads.hh
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/prefsWindow.hh
   M /trunk/UI/GTK2/src/statisticsDialog.hh
   M /trunk/po/POTFILES.in

ThreadsManager needs to know whether local files should be scanned with
DirectoryScanner or indexed right away with IndexingThread. This only makes
sense in pinot-index and the UI.
Moved UI-specific thread classes to UIThreads.

------------------------------------------------------------------------
r1551 | fabricecolin | 2009-02-07 17:37:40 +0800 (Sat, 07 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-index.1
   M /trunk/Core/pinot-index.cpp

Make it clear that -d/--db is mandatory.

------------------------------------------------------------------------
r1550 | fabricecolin | 2009-02-07 17:36:04 +0800 (Sat, 07 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Utils/Url.cpp

Fix for previous check-in.

------------------------------------------------------------------------
r1549 | fabricecolin | 2009-02-07 12:20:06 +0800 (Sat, 07 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/Makefile.am
   M /trunk/Core/pinot-index.cpp
   M /trunk/IndexSearch/pinot-label.cpp

Let Url deal with relative paths.

------------------------------------------------------------------------
r1548 | fabricecolin | 2009-02-07 12:17:39 +0800 (Sat, 07 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Utils/Url.cpp
   M /trunk/Utils/Url.h

Additional Url constructor for absolute and relative paths.

------------------------------------------------------------------------
r1547 | fabricecolin | 2009-02-06 22:49:54 +0800 (Fri, 06 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/DaemonState.cpp

Swapped DirectoryScanner for Crawler threads.

------------------------------------------------------------------------
r1546 | fabricecolin | 2009-02-06 22:47:31 +0800 (Fri, 06 Feb 2009) | 4 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp

IndexingState is a ThreadsManager subclass that enables this program to rely on
IndexingThread and DirectoryScannerThread. In practice, this means it can index
directories recursively at last.

------------------------------------------------------------------------
r1545 | fabricecolin | 2009-02-06 22:43:55 +0800 (Fri, 06 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp

Minor includes fix.

------------------------------------------------------------------------
r1544 | fabricecolin | 2009-02-06 22:43:22 +0800 (Fri, 06 Feb 2009) | 4 lines
Changed paths:
   M /trunk/Core/ServerThreads.cpp
   M /trunk/Core/ServerThreads.h
   M /trunk/Core/WorkerThreads.cpp
   M /trunk/Core/WorkerThreads.h

Moved crawl history and monitoring out of DirectoryScanner so that it's usable
outside of the daemon, and moved the class to WorkerThreads.
Crawler inherits from DirectoryScanner and handles crawl history and monitoring.

------------------------------------------------------------------------
r1543 | fabricecolin | 2009-02-05 21:16:55 +0800 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp

Resolve local URLs only.

------------------------------------------------------------------------
r1542 | fabricecolin | 2009-02-04 19:36:33 +0800 (Wed, 04 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/ServerThreads.cpp

Use Url::resolvePath().

------------------------------------------------------------------------
r1541 | fabricecolin | 2009-02-03 21:25:58 +0800 (Tue, 03 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-search.cpp

Support for gettext().

------------------------------------------------------------------------
r1540 | fabricecolin | 2009-02-03 21:25:11 +0800 (Tue, 03 Feb 2009) | 3 lines
Changed paths:
   M /trunk/Core/pinot-index.cpp

Urls passed as parameters may exclude "file://", be relative paths.
Support for gettext().

------------------------------------------------------------------------
r1539 | fabricecolin | 2009-02-03 21:14:49 +0800 (Tue, 03 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Utils/Url.cpp
   M /trunk/Utils/Url.h

Url::resolvePath() is based on the path resolver code written for ServerThreads.

------------------------------------------------------------------------
r1538 | fabricecolin | 2009-02-02 21:59:23 +0800 (Mon, 02 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.1
   M /trunk/Core/pinot-search.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/UI/GTK2/src/pinot.1

Updated manual pages.

------------------------------------------------------------------------
r1537 | fabricecolin | 2009-02-02 21:44:00 +0800 (Mon, 02 Feb 2009) | 3 lines
Changed paths:
   M /trunk/Core/Makefile.am
   A /trunk/Core/pinot-index.1 (from /trunk/IndexSearch/pinot-index.1:1536)
   A /trunk/Core/pinot-index.cpp (from /trunk/IndexSearch/pinot-index.cpp:1536)
   M /trunk/IndexSearch/Makefile.am
   D /trunk/IndexSearch/pinot-index.1
   D /trunk/IndexSearch/pinot-index.cpp
   M /trunk/Makefile.am

Moved pinot-index to Core. Use PinotSettings for proxy parameters.
The -d/--db option may be the name of an index.

------------------------------------------------------------------------
r1536 | fabricecolin | 2009-02-01 22:28:52 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/Makefile.am
   M /trunk/Makefile.am

Minor fixes.

------------------------------------------------------------------------
r1535 | fabricecolin | 2009-02-01 21:59:46 +0800 (Sun, 01 Feb 2009) | 4 lines
Changed paths:
   M /trunk/Core/Makefile.am
   A /trunk/Core/pinot-search.1 (from /trunk/IndexSearch/pinot-search.1:1533)
   A /trunk/Core/pinot-search.cpp (from /trunk/IndexSearch/pinot-search.cpp:1533)
   M /trunk/IndexSearch/Makefile.am
   D /trunk/IndexSearch/pinot-search.1
   D /trunk/IndexSearch/pinot-search.cpp
   M /trunk/Makefile.am

Moved pinot-search to Core. Use PinotSettings for proxy parameters and plugins'
editable parameters. Added -r/--storedquery option to find a stored query by
name and run it.

------------------------------------------------------------------------
r1534 | fabricecolin | 2009-02-01 21:53:59 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/pinot-dbus-daemon.cpp
   M /trunk/UI/GTK2/src/pinot.cc

Removed reference to tokenizer libraries.

------------------------------------------------------------------------
r1533 | fabricecolin | 2009-02-01 19:55:37 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/Makefile.am

Daemon specifics don't need be in libCore.

------------------------------------------------------------------------
r1532 | fabricecolin | 2009-02-01 19:49:12 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

Files were renamed.

------------------------------------------------------------------------
r1531 | fabricecolin | 2009-02-01 19:47:02 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Core/Makefile.am
   D /trunk/Core/pinot-dbus-daemon.cc
   A /trunk/Core/pinot-dbus-daemon.cpp (from /trunk/Core/pinot-dbus-daemon.cc:1530)
   A /trunk/UI/GTK2/src/EnginesTree.cc (from /trunk/UI/GTK2/src/EnginesTree.cpp:1529)
   D /trunk/UI/GTK2/src/EnginesTree.cpp
   D /trunk/UI/GTK2/src/EnginesTree.h
   A /trunk/UI/GTK2/src/EnginesTree.hh (from /trunk/UI/GTK2/src/EnginesTree.h:1529)
   A /trunk/UI/GTK2/src/IndexPage.cc (from /trunk/UI/GTK2/src/IndexPage.cpp:1529)
   D /trunk/UI/GTK2/src/IndexPage.cpp
   D /trunk/UI/GTK2/src/IndexPage.h
   A /trunk/UI/GTK2/src/IndexPage.hh (from /trunk/UI/GTK2/src/IndexPage.h:1529)
   M /trunk/UI/GTK2/src/Makefile.am
   A /trunk/UI/GTK2/src/ModelColumns.cc (from /trunk/UI/GTK2/src/ModelColumns.cpp:1529)
   D /trunk/UI/GTK2/src/ModelColumns.cpp
   D /trunk/UI/GTK2/src/ModelColumns.h
   A /trunk/UI/GTK2/src/ModelColumns.hh (from /trunk/UI/GTK2/src/ModelColumns.h:1529)
   A /trunk/UI/GTK2/src/Notebook.cc (from /trunk/UI/GTK2/src/Notebook.cpp:1529)
   D /trunk/UI/GTK2/src/Notebook.cpp
   D /trunk/UI/GTK2/src/Notebook.h
   A /trunk/UI/GTK2/src/Notebook.hh (from /trunk/UI/GTK2/src/Notebook.h:1529)
   A /trunk/UI/GTK2/src/ResultsTree.cc (from /trunk/UI/GTK2/src/ResultsTree.cpp:1529)
   D /trunk/UI/GTK2/src/ResultsTree.cpp
   D /trunk/UI/GTK2/src/ResultsTree.h
   A /trunk/UI/GTK2/src/ResultsTree.hh (from /trunk/UI/GTK2/src/ResultsTree.h:1529)
   M /trunk/UI/GTK2/src/importDialog.hh
   M /trunk/UI/GTK2/src/indexDialog.hh
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/prefsWindow.hh
   M /trunk/UI/GTK2/src/propertiesDialog.hh
   M /trunk/UI/GTK2/src/queryDialog.hh
   M /trunk/UI/GTK2/src/statisticsDialog.hh

Use the same naming conventions as glademm where appropriate.

------------------------------------------------------------------------
r1530 | fabricecolin | 2009-02-01 19:04:31 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   A /trunk/Core
   A /trunk/Core/DaemonState.cpp (from /trunk/UI/GTK2/src/DaemonState.cpp:1529)
   A /trunk/Core/DaemonState.h (from /trunk/UI/GTK2/src/DaemonState.h:1529)
   A /trunk/Core/Makefile.am
   A /trunk/Core/OnDiskHandler.cpp (from /trunk/UI/GTK2/src/OnDiskHandler.cpp:1529)
   A /trunk/Core/OnDiskHandler.h (from /trunk/UI/GTK2/src/OnDiskHandler.h:1529)
   A /trunk/Core/PinotSettings.cpp (from /trunk/UI/GTK2/src/PinotSettings.cpp:1529)
   A /trunk/Core/PinotSettings.h (from /trunk/UI/GTK2/src/PinotSettings.h:1529)
   A /trunk/Core/PinotUtils.cpp (from /trunk/UI/GTK2/src/PinotUtils.cpp:1529)
   A /trunk/Core/PinotUtils.h (from /trunk/UI/GTK2/src/PinotUtils.h:1529)
   A /trunk/Core/ServerThreads.cpp (from /trunk/UI/GTK2/src/ServerThreads.cpp:1529)
   A /trunk/Core/ServerThreads.h (from /trunk/UI/GTK2/src/ServerThreads.h:1529)
   A /trunk/Core/UniqueApplication.cpp (from /trunk/UI/GTK2/src/UniqueApplication.cpp:1529)
   A /trunk/Core/UniqueApplication.h (from /trunk/UI/GTK2/src/UniqueApplication.h:1529)
   A /trunk/Core/WorkerThreads.cpp (from /trunk/UI/GTK2/src/WorkerThreads.cpp:1529)
   A /trunk/Core/WorkerThreads.h (from /trunk/UI/GTK2/src/WorkerThreads.h:1529)
   A /trunk/Core/de.berlios.Pinot.service.in (from /trunk/UI/GTK2/src/de.berlios.Pinot.service.in:1529)
   A /trunk/Core/pinot-dbus-daemon.1 (from /trunk/UI/GTK2/src/pinot-dbus-daemon.1:1529)
   A /trunk/Core/pinot-dbus-daemon.cc (from /trunk/UI/GTK2/src/pinot-dbus-daemon.cc:1529)
   A /trunk/Core/pinot-dbus-daemon.xml (from /trunk/UI/GTK2/src/pinot-dbus-daemon.xml:1529)
   M /trunk/Makefile.am
   D /trunk/UI/GTK2/src/DaemonState.cpp
   D /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/Makefile.am
   D /trunk/UI/GTK2/src/OnDiskHandler.cpp
   D /trunk/UI/GTK2/src/OnDiskHandler.h
   D /trunk/UI/GTK2/src/PinotSettings.cpp
   D /trunk/UI/GTK2/src/PinotSettings.h
   D /trunk/UI/GTK2/src/PinotUtils.cpp
   D /trunk/UI/GTK2/src/PinotUtils.h
   D /trunk/UI/GTK2/src/ServerThreads.cpp
   D /trunk/UI/GTK2/src/ServerThreads.h
   D /trunk/UI/GTK2/src/UniqueApplication.cpp
   D /trunk/UI/GTK2/src/UniqueApplication.h
   D /trunk/UI/GTK2/src/WorkerThreads.cpp
   D /trunk/UI/GTK2/src/WorkerThreads.h
   D /trunk/UI/GTK2/src/de.berlios.Pinot.service.in
   D /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   D /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   D /trunk/UI/GTK2/src/pinot-dbus-daemon.xml
   M /trunk/configure.in
   M /trunk/po/POTFILES.in

Moved daemon and non-UI specific code out of UI/GTK2/src to Core.

------------------------------------------------------------------------
r1529 | fabricecolin | 2009-02-01 17:53:30 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp

Don't pop actions out of the queue when threads are being stopped.

------------------------------------------------------------------------
r1528 | fabricecolin | 2009-02-01 17:51:33 +0800 (Sun, 01 Feb 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-search.cpp

Use getResults()'s return by reference as it should be.

------------------------------------------------------------------------
r1527 | fabricecolin | 2009-01-30 22:53:45 +0800 (Fri, 30 Jan 2009) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

When a spelling suggestion is selected, don't fail if the query can't be found.
This fixes the bug where nothing happens when the suggestion is on Live query.

------------------------------------------------------------------------
r1525 | fabricecolin | 2009-01-28 22:43:35 +0800 (Wed, 28 Jan 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Even more current log :-)

------------------------------------------------------------------------
r1524 | fabricecolin | 2009-01-28 22:41:03 +0800 (Wed, 28 Jan 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Current log.

------------------------------------------------------------------------
r1523 | fabricecolin | 2009-01-28 22:39:57 +0800 (Wed, 28 Jan 2009) | 2 lines
Changed paths:
   M /trunk/ChangeLog-dijon

Changes in Dijon.

------------------------------------------------------------------------
r1522 | fabricecolin | 2009-01-28 22:39:04 +0800 (Wed, 28 Jan 2009) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current translations.

------------------------------------------------------------------------
r1521 | fabricecolin | 2009-01-28 22:38:21 +0800 (Wed, 28 Jan 2009) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.in

Changes in this release.
Upped the version number. Force an upgrade of old indexes.

------------------------------------------------------------------------
r1520 | fabricecolin | 2009-01-28 22:36:27 +0800 (Wed, 28 Jan 2009) | 2 lines
Changed paths:
   M /trunk/README
   M /trunk/TODO

Minor change to the README. Removed some items from, added a lot more to the TODO.

------------------------------------------------------------------------
r1519 | fabricecolin | 2009-01-28 21:10:10 +0800 (Wed, 28 Jan 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/OpenSearchParser.cpp

In PER_INDEX mode, there's no increment to apply since the desired number of
results is requested in one call.

------------------------------------------------------------------------
r1518 | fabricecolin | 2009-01-27 21:58:53 +0800 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/scripts/bash/pinot-cd.sh

If the arguments have a slash anywhere, pass them all to cd.

------------------------------------------------------------------------
r1517 | fabricecolin | 2009-01-27 18:41:28 +0800 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/WorkerThreads.cpp

Only skip downloading for "reliably" typed local files, not remote documents.

------------------------------------------------------------------------
r1516 | fabricecolin | 2009-01-27 18:08:40 +0800 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1

Updated manual pages.

------------------------------------------------------------------------
r1515 | fabricecolin | 2009-01-27 18:07:51 +0800 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.cpp

Fix stupid "loop on unknown protocol" loop.

------------------------------------------------------------------------
r1514 | fabricecolin | 2009-01-27 18:06:54 +0800 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/Collect/DownloaderFactory.cpp

HTTP downloaders supports HTTPS too.

------------------------------------------------------------------------
r1513 | fabricecolin | 2009-01-26 23:23:37 +0800 (Mon, 26 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Use default labels, queries, blacklist... if ui.xml wasn't loaded.

------------------------------------------------------------------------
r1512 | fabricecolin | 2009-01-26 22:21:07 +0800 (Mon, 26 Jan 2009) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/ServerThreads.cpp

When interrupted, don't set the current entry's status to CRAWLED.
Delete any CRAWLING entries the previous instance didn't have time to process
and has left in.

------------------------------------------------------------------------
r1511 | fabricecolin | 2009-01-26 11:38:35 +0800 (Mon, 26 Jan 2009) | 5 lines
Changed paths:
   M /trunk/SQL/ActionQueue.cpp
   M /trunk/SQL/ActionQueue.h
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

FilterUrils::isSupportedType() could return false for supported types. This
could lead to some documents content not being indexed.
In pinot-dbus-daemon, actions queued by a previous instance of the daemon were
cleared and the corresponding files would never get indexed.

------------------------------------------------------------------------
r1510 | fabricecolin | 2009-01-24 16:56:29 +0800 (Sat, 24 Jan 2009) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/he.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current translations.

------------------------------------------------------------------------
r1509 | fabricecolin | 2009-01-24 16:04:24 +0800 (Sat, 24 Jan 2009) | 2 lines
Changed paths:
   M /trunk/scripts/bash/pinot-cd.sh
   M /trunk/scripts/bash/pinot-check-file.sh
   M /trunk/scripts/bash/pinot-enum-index.sh

Cosmetic changes.

------------------------------------------------------------------------
r1508 | fabricecolin | 2009-01-24 15:51:23 +0800 (Sat, 24 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/prefsWindow.hh

If the StartDaemon thread didn't run, save preferences when closed.

------------------------------------------------------------------------
r1507 | fabricecolin | 2009-01-24 15:14:47 +0800 (Sat, 24 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Changed error messages.

------------------------------------------------------------------------
r1506 | fabricecolin | 2009-01-24 11:37:09 +0800 (Sat, 24 Jan 2009) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotUtils.cpp
   M /trunk/UI/GTK2/src/ResultsTree.cpp

In PinotUtils, catch Glib::Error and unknown exceptions whenever converting.
Minor edit to DEBUG messages in ResultsTree.

------------------------------------------------------------------------
r1505 | fabricecolin | 2009-01-24 11:32:13 +0800 (Sat, 24 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/OpenSearchParser.h
   M /trunk/IndexSearch/PluginParsers.h
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/IndexSearch/SherlockParser.h
   M /trunk/IndexSearch/WebEngine.cpp

The response parsers have a go at determining the charset.

------------------------------------------------------------------------
r1504 | fabricecolin | 2009-01-22 22:24:53 +0800 (Thu, 22 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Fix previous check-in.

------------------------------------------------------------------------
r1503 | fabricecolin | 2009-01-22 21:52:38 +0800 (Thu, 22 Jan 2009) | 7 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Try and load prefs.xml first: if that fails, load the old config.xml, if it
works then load ui.xml. This fixes the issue where the daemon would fail to
load settings on its first Reload.
Save backend and googleapikey in prefs.xml.
Copy the UI's history over to the daemon's if the first exists and the second
doesn't.

------------------------------------------------------------------------
r1502 | fabricecolin | 2009-01-22 21:22:13 +0800 (Thu, 22 Jan 2009) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/EnginesTree.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/indexDialog.cc
   M /trunk/UI/GTK2/src/mainWindow.cc

The PinotSettings::IndexProperties encapsulates an index properties and
side-steps issues experienced with manipulating and looking up index names in
non-Latin locales.

------------------------------------------------------------------------
r1501 | fabricecolin | 2009-01-22 21:19:16 +0800 (Thu, 22 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/prefsWindow.cc

No need to switch tabs on first run as Indexing is now the first tab.

------------------------------------------------------------------------
r1500 | fabricecolin | 2009-01-19 22:03:28 +0800 (Mon, 19 Jan 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.h
   M /trunk/IndexSearch/Xapian/XapianDatabaseFactory.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabaseFactory.h

The factory doesn't serve objects once closeAll() is called.
Lock databases before deleting them, processing merged databases first.

------------------------------------------------------------------------
r1499 | fabricecolin | 2009-01-19 22:01:12 +0800 (Mon, 19 Jan 2009) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Repopulate the index menu after editing an index properties in case the name
changed.

------------------------------------------------------------------------
r1498 | fabricecolin | 2009-01-19 21:24:09 +0800 (Mon, 19 Jan 2009) | 5 lines
Changed paths:
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/PluginWebEngine.cpp

PluginWebEngine::runQuery() checks whether scrolling is possible with the
plugin, stops at the first page if it isn't.
OpenSearchParser sets m_nextIncrement to 0 to disable scrolling if none of
count, startIndex, startPage is found.

------------------------------------------------------------------------
r1497 | fabricecolin | 2009-01-19 21:20:06 +0800 (Mon, 19 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/IOIDescription.xml

Mapped hitsPerPage to {count}.

------------------------------------------------------------------------
r1496 | fabricecolin | 2009-01-17 12:16:22 +0800 (Sat, 17 Jan 2009) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/pinot.desktop

Synced pinot.desktop strings with current po's.
Added to prefsWindow translatable strings from pinot-prefs.desktop even though
this window won't show them.

------------------------------------------------------------------------
r1495 | fabricecolin | 2009-01-16 22:47:52 +0800 (Fri, 16 Jan 2009) | 2 lines
Changed paths:
   M /trunk/README
   M /trunk/UI/GTK2/src/mainWindow.cc

Copyright 2009.

------------------------------------------------------------------------
r1494 | fabricecolin | 2009-01-14 22:26:23 +0800 (Wed, 14 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-search.cpp

If no results, say so !

------------------------------------------------------------------------
r1493 | fabricecolin | 2009-01-14 22:25:10 +0800 (Wed, 14 Jan 2009) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp

In ResultsTree::findResultsExtract(), the extract doesn't need to be converted,
it was converted earlier in addResults().
In appendResult(), same for the URL.

------------------------------------------------------------------------
r1492 | fabricecolin | 2009-01-14 22:23:09 +0800 (Wed, 14 Jan 2009) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

When listing an index, or appending a freshly indexed document, the charset is
known to be UTF-8 so let ResultsTree::addResults() know.

------------------------------------------------------------------------
r1491 | fabricecolin | 2009-01-14 22:08:16 +0800 (Wed, 14 Jan 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

This expects documents to be converted to UTF-8 at indexing time, so that should
be the results' charset.

------------------------------------------------------------------------
r1490 | fabricecolin | 2009-01-14 00:02:55 +0800 (Wed, 14 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/ModelColumns.cpp
   M /trunk/UI/GTK2/src/ModelColumns.h
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/ResultsTree.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/propertiesDialog.cc

Conversion fixes on index names, documents serial string, language names.

------------------------------------------------------------------------
r1489 | fabricecolin | 2009-01-13 22:19:50 +0800 (Tue, 13 Jan 2009) | 2 lines
Changed paths:
   M /trunk/po/fr.po
   M /trunk/po/ja.po

Updated translations by Frédéric Grosshans (fr) and Mizuki-san (ja).

------------------------------------------------------------------------
r1488 | fabricecolin | 2009-01-13 22:09:33 +0800 (Tue, 13 Jan 2009) | 3 lines
Changed paths:
   A /trunk/scripts/bash/pinot-check-file.sh

A script that checks whether a file is in My Documents. Useful when run with
"find ... -exec ...".

------------------------------------------------------------------------
r1487 | fabricecolin | 2009-01-13 22:06:57 +0800 (Tue, 13 Jan 2009) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/ServerThreads.cpp

After resolving and scanning a symlink, don't hang around, just return or the
symlink itself won't be indexed.

------------------------------------------------------------------------
r1486 | fabricecolin | 2009-01-13 07:43:14 +0800 (Tue, 13 Jan 2009) | 4 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/A9.src
   D /trunk/IndexSearch/Plugins/BitTorrent.src
   A /trunk/IndexSearch/Plugins/IOIDescription.xml

Removing A9, now just a product search engine and less useful than the Amazon
API, and BitTorrent, which redirects to Ask.com.
Adding a plugin for the Internet Open Index at http://index.isc.org/

------------------------------------------------------------------------
r1485 | fabricecolin | 2009-01-12 22:58:17 +0800 (Mon, 12 Jan 2009) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot.cc

More conversion fixes.
In ResultsTree::deleteResults(), make sure the "No results" row is deleted, if
present.

------------------------------------------------------------------------
r1484 | fabricecolin | 2009-01-12 22:56:38 +0800 (Mon, 12 Jan 2009) | 3 lines
Changed paths:
   M /trunk/README

Talk about how symlinks are handled, the new tagged cd script and aliases users
may find useful.

------------------------------------------------------------------------
r1483 | fabricecolin | 2009-01-12 22:54:32 +0800 (Mon, 12 Jan 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/IndexSearch/WebEngine.cpp

Moved relative URL rebase code from SherlockResponseParser::parse() to
WebEngine::processResult().

------------------------------------------------------------------------
r1482 | fabricecolin | 2009-01-12 22:52:18 +0800 (Mon, 12 Jan 2009) | 2 lines
Changed paths:
   M /trunk/scripts/bash/pinot-enum-index.sh

Don't output the document ID, it makes comparing with find's output easier.

------------------------------------------------------------------------
r1481 | fabricecolin | 2009-01-11 19:01:29 +0800 (Sun, 11 Jan 2009) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/it.po

Updated Italian translation by Marco Bazzani.

------------------------------------------------------------------------
r1480 | fabricecolin | 2009-01-11 18:50:09 +0800 (Sun, 11 Jan 2009) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Force the link in case the destination file already exists.

------------------------------------------------------------------------
r1479 | fabricecolin | 2009-01-11 18:49:19 +0800 (Sun, 11 Jan 2009) | 3 lines
Changed paths:
   M /trunk/scripts/bash/pinot-enum-index.sh

Make sure we only consider the document IDs after the first colon in delve's
output. Output all document IDs to urls.txt.

------------------------------------------------------------------------
r1478 | fabricecolin | 2009-01-11 13:20:13 +0800 (Sun, 11 Jan 2009) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

Fixed get/getting stats flags.
The numbers of viewed and crawled items can be had right away without waiting
for the timer to kick in.

------------------------------------------------------------------------
r1477 | fabricecolin | 2009-01-11 13:04:27 +0800 (Sun, 11 Jan 2009) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h

Partially reverted revision 1391. Indexing is delegated to other threads by
default so that the crawler is not at the mercy of a bad external filter.
The possibility of doing it inline is left in and may be useful to pinot-index
once it's made to use the same worker threads as the daemon and the UI.

------------------------------------------------------------------------
r1476 | fabricecolin | 2009-01-11 12:51:52 +0800 (Sun, 11 Jan 2009) | 2 lines
Changed paths:
   M /trunk/scripts/bash/pinot-cd.sh

Minor changes.

------------------------------------------------------------------------
r1475 | fabricecolin | 2009-01-11 12:46:19 +0800 (Sun, 11 Jan 2009) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/he.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/sv.po

Updated translations by Yaron (he), JW (nl), Henrique P. Machado (pt_BR),
_PN_boy (pt) and Daniel Nylander (se).

------------------------------------------------------------------------
r1474 | fabricecolin | 2009-01-11 00:16:14 +0800 (Sun, 11 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/ServerThreads.cpp

Delete CRAWL_LINK items before the crawl, not after.

------------------------------------------------------------------------
r1473 | fabricecolin | 2009-01-10 23:25:42 +0800 (Sat, 10 Jan 2009) | 2 lines
Changed paths:
   M /trunk/pinot-prefs.desktop

Added X-GNOME-PersonalSettings to Categories.

------------------------------------------------------------------------
r1472 | fabricecolin | 2009-01-10 23:24:26 +0800 (Sat, 10 Jan 2009) | 12 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp

Don't skip outright locations that already have a CrawlHistory entry, this would
prevent resuming gracefully if the previous indexing run stopped before
completion.
Keep track of symlinks we follow, and skip those that refer to locations that
have been crawled (they have a CrawlHistory entry of any type) or that we know
will be crawled because they are under an indexable location. Once a symlink is
followed, if we end up back in one of the indexable locations, symlinks found
there will be skipped.
Skipped symlinks are indexed on their own with MIME type "inode/symlink".
In IndexingThread, avoid downloading unnecessarily documents for which an
unsupported MIME type is supplied by the caller.

------------------------------------------------------------------------
r1471 | fabricecolin | 2009-01-10 22:50:55 +0800 (Sat, 10 Jan 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Don't attempt removing unprefixed title terms in removeCommonTerms(). While
older versions create those terms, 0.90 will trigger or request a reindex.

------------------------------------------------------------------------
r1470 | fabricecolin | 2009-01-10 15:23:41 +0800 (Sat, 10 Jan 2009) | 3 lines
Changed paths:
   M /trunk/Tokenize/TextConverter.cpp

Protect against exceptions thrown by Glib::IConv.
Catch Glib::Error and unknown exceptions whenever converting.

------------------------------------------------------------------------
r1469 | fabricecolin | 2009-01-09 20:03:47 +0800 (Fri, 09 Jan 2009) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/Utils/DocumentInfo.cpp

Don't remove the charset declaration from the type. XapianIndex makes sure only
the type is indexed with prefix T.

------------------------------------------------------------------------
r1468 | fabricecolin | 2009-01-09 20:01:20 +0800 (Fri, 09 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am

Fixed pinot_label_LDADD.

------------------------------------------------------------------------
r1467 | fabricecolin | 2009-01-08 19:41:28 +0800 (Thu, 08 Jan 2009) | 3 lines
Changed paths:
   M /trunk/AUTHORS

Suggestions from John Werden, translations by Frédéric Grosshans (fr) and
Yaron (he).

------------------------------------------------------------------------
r1466 | fabricecolin | 2009-01-07 00:09:40 +0800 (Wed, 07 Jan 2009) | 9 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp

Keep track of what's being crawled. Read symlinks, resolve where they point to
and skip those that point to places that have already been crawled, or places
we know will be crawled.
This should prevent from following symlinks that point to the directory they are
in, as well as crawling the same files twice even though some perfectly fine
symlinks won't be followed.
Removed unused PinotSettings::TimestampedItem, made sure IndexableLocation's
"is source" flag is set.

------------------------------------------------------------------------
r1465 | fabricecolin | 2009-01-03 02:37:35 +0800 (Sat, 03 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Disable the properties menuitem when nothing is selected.

------------------------------------------------------------------------
r1464 | fabricecolin | 2009-01-02 20:56:27 +0800 (Fri, 02 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/EnginesTree.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/queryDialog.cc

Conversion fixes.

------------------------------------------------------------------------
r1463 | fabricecolin | 2009-01-02 20:28:34 +0800 (Fri, 02 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/mainWindow_glade.cc
   M /trunk/UI/GTK2/src/mainWindow_glade.hh

Use the stock gtk-about menuitem.

------------------------------------------------------------------------
r1462 | fabricecolin | 2009-01-02 17:55:55 +0800 (Fri, 02 Jan 2009) | 2 lines
Changed paths:
   M /trunk/configure.in
   A /trunk/po/he.po

Hebrew translation by Yaron.

------------------------------------------------------------------------
r1461 | fabricecolin | 2009-01-02 17:22:34 +0800 (Fri, 02 Jan 2009) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.am
   M /trunk/pinot.spec.in

Xapian >= 1.0.4 is now required.
When installing, use "rm -f" to remove statis libraries.
Mention Martin Michlmayr's contribution.

------------------------------------------------------------------------
r1460 | fabricecolin | 2009-01-02 17:19:49 +0800 (Fri, 02 Jan 2009) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/OnDiskHandler.cpp
   M /trunk/UI/GTK2/src/OnDiskHandler.h

Prior to signaling a file, apply whatever user-set metadata we may have.

------------------------------------------------------------------------
r1459 | fabricecolin | 2009-01-02 17:17:51 +0800 (Fri, 02 Jan 2009) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Better lowercase the language string when testing for a stemmer.

------------------------------------------------------------------------
r1458 | fabricecolin | 2008-12-31 21:27:49 +0800 (Wed, 31 Dec 2008) | 4 lines
Changed paths:
   M /trunk/SQL/MetaDataBackup.cpp
   M /trunk/SQL/MetaDataBackup.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp

Fixed use of LIKE in MetaDataBackup. The getItems() method didn't unescape URLs.
In DirectoryScannerThread::doWork(), restore metadata only for documents in the
directory being crawled.

------------------------------------------------------------------------
r1457 | fabricecolin | 2008-12-30 22:08:09 +0800 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade

Reorganized menus in mainWindow, moved tabs in prefsWindow.

------------------------------------------------------------------------
r1456 | fabricecolin | 2008-12-30 22:03:54 +0800 (Tue, 30 Dec 2008) | 8 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/mainWindow_glade.cc
   M /trunk/UI/GTK2/src/mainWindow_glade.hh

Reorganized menus, merged menuitems from Results and Index that overlapped in
functionality.
Unified expansion from a document selected with More Like This and from one
dropped on the queries list.
Export works on both results lists and index pages.
Index Results will index new documents or update documents in My Web Pages, not
My Documents.

------------------------------------------------------------------------
r1455 | fabricecolin | 2008-12-30 02:32:55 +0800 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/Utils/DocumentInfo.cpp

Remove the charset specification from the MIME type.

------------------------------------------------------------------------
r1454 | fabricecolin | 2008-12-30 02:32:11 +0800 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/Utils/Url.cpp

Removed reference to deprecated protocols.

------------------------------------------------------------------------
r1453 | fabricecolin | 2008-12-30 02:01:01 +0800 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/ResultsTree.h

Export also works in flat mode, ie when browsing an index.

------------------------------------------------------------------------
r1452 | fabricecolin | 2008-12-30 01:59:08 +0800 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/prefsWindow.hh
   M /trunk/UI/GTK2/src/prefsWindow_glade.cc
   M /trunk/UI/GTK2/src/prefsWindow_glade.hh

Reorded tabs, renamed General to Miscellaneous.

------------------------------------------------------------------------
r1451 | fabricecolin | 2008-12-30 01:56:26 +0800 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/IndexPage.cpp
   M /trunk/UI/GTK2/src/IndexPage.h
   M /trunk/UI/GTK2/src/Notebook.cpp
   M /trunk/UI/GTK2/src/Notebook.h

Moved the tree in NotebookPageBox.

------------------------------------------------------------------------
r1450 | fabricecolin | 2008-12-30 01:53:17 +0800 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Always add the term XDIR:/.

------------------------------------------------------------------------
r1449 | fabricecolin | 2008-12-30 01:52:02 +0800 (Tue, 30 Dec 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

Renamed PrefixDecider to TermDecider.
Reject terms that stem to the same as a previously validated term.

------------------------------------------------------------------------
r1448 | fabricecolin | 2008-12-19 22:13:14 +0800 (Fri, 19 Dec 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.h

Don't wait for query step 2 to get a stemmer if the query defines a stemming
language. Pass it to PrefixDecider so that it can reject query terms and
terms that stem to the same as them.

------------------------------------------------------------------------
r1447 | fabricecolin | 2008-12-19 21:43:08 +0800 (Fri, 19 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/indexDialog_glade.cc
   M /trunk/UI/GTK2/src/prefsWindow_glade.cc
   M /trunk/UI/GTK2/src/queryDialog_glade.cc

Setting an adjustment with non-zero page size on a SpinButton is deprecated.

------------------------------------------------------------------------
r1446 | fabricecolin | 2008-12-16 21:43:28 +0800 (Tue, 16 Dec 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

PrefixDecider rejects terms with spaces, which shouldn't be there in the first
place.

------------------------------------------------------------------------
r1445 | fabricecolin | 2008-12-15 21:53:32 +0800 (Mon, 15 Dec 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Following r1409, external back-ends with no channel specified didn't show in
the engines list.

------------------------------------------------------------------------
r1444 | fabricecolin | 2008-12-14 12:16:33 +0800 (Sun, 14 Dec 2008) | 3 lines
Changed paths:
   M /trunk/configure.in

Require at least Xapian 1.0.4 for the recent changes to XapianIndex and
XapianEngine to function as expected.

------------------------------------------------------------------------
r1443 | fabricecolin | 2008-12-14 12:12:21 +0800 (Sun, 14 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/ResultsTree.h

Removed unused method renderExtractColumn().

------------------------------------------------------------------------
r1442 | fabricecolin | 2008-12-14 12:11:27 +0800 (Sun, 14 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Changed the "Showing..." message to something a bit easier to translate.

------------------------------------------------------------------------
r1441 | fabricecolin | 2008-12-14 09:45:32 +0800 (Sun, 14 Dec 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Don't check status right away, say we are checking and wait for the first timer
to kick in to get those values.

------------------------------------------------------------------------
r1440 | fabricecolin | 2008-12-14 09:42:04 +0800 (Sun, 14 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Fixed getHomeDirectory() to always return when HAVE_PWD_H isn't defined.

------------------------------------------------------------------------
r1439 | fabricecolin | 2008-12-11 21:42:28 +0800 (Thu, 11 Dec 2008) | 5 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.h

Get PrefixDecider to reject short terms instead of doing it after it ran. Also
reject terms that occur only once and stop words.
If Xapian >= 1.0.4 is available, set the empty prefix so that both text and
title are searched for on non-prefixed query terms.

------------------------------------------------------------------------
r1438 | fabricecolin | 2008-12-07 13:44:07 +0800 (Sun, 07 Dec 2008) | 6 lines
Changed paths:
   A /trunk/scripts/bash/pinot-cd.sh

This script implements a "tagged cd". The idea, from C. Scott Ananian, is to
allow changing to a directory based on tags it matches. Tags here are the
components of the path that leads to that directory, and the directory name
itself.
This will only work on an index built with the latest Xapian back-end.

------------------------------------------------------------------------
r1437 | fabricecolin | 2008-12-07 13:39:40 +0800 (Sun, 07 Dec 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

If there's a space in the file name, decompose it into XPATH terms. All those
are lower-cased.
Don't index the title without prefix as if it were in the text body.

------------------------------------------------------------------------
r1436 | fabricecolin | 2008-12-07 11:07:56 +0800 (Sun, 07 Dec 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Another fix for engine channels.
New default query "pinot search".

------------------------------------------------------------------------
r1435 | fabricecolin | 2008-12-07 11:07:10 +0800 (Sun, 07 Dec 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp

Get an iterator to the extract TextBuffer after clearing it, as the iterator
would otherwise be invalidated and GTK would complain about it.

------------------------------------------------------------------------
r1434 | fabricecolin | 2008-12-06 09:23:28 +0800 (Sat, 06 Dec 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/Monitor/INotifyMonitor.h
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/Utils/DocumentInfo.cpp
   M /trunk/Utils/TimeConverter.cpp
   M /trunk/Utils/Url.cpp

GCC 4.4 patch by Martin Michlmayr (Debian bug #504908).

------------------------------------------------------------------------
r1433 | fabricecolin | 2008-12-04 22:42:57 +0800 (Thu, 04 Dec 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/prefsWindow.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Wrap all DBus specific code with HAVE_DBUS ifdef's.

------------------------------------------------------------------------
r1432 | fabricecolin | 2008-12-04 22:40:17 +0800 (Thu, 04 Dec 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/configure.in

Allow disabling DBus support. This will turn off building of libIndex.a,
pinot-label and pinot-dbus-daemon.

------------------------------------------------------------------------
r1431 | fabricecolin | 2008-12-03 23:14:02 +0800 (Wed, 03 Dec 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc

Use signal() if sigaction() isn't available.

------------------------------------------------------------------------
r1430 | fabricecolin | 2008-12-03 23:11:16 +0800 (Wed, 03 Dec 2008) | 2 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h

Renamed CrawlHistory::ERROR to CRAWL_ERROR.

------------------------------------------------------------------------
r1429 | fabricecolin | 2008-12-03 23:10:26 +0800 (Wed, 03 Dec 2008) | 4 lines
Changed paths:
   M /trunk/Collect/DownloaderInterface.cpp
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/configure.in

In DownloaderInterface, GetCurrentThreadId() is specific to Windows, not to
MingW.
Check for fnmatch.h, pwd.h, sigaction(), sysconf(), getloadavg() and pipe().

------------------------------------------------------------------------
r1428 | fabricecolin | 2008-12-02 23:54:50 +0800 (Tue, 02 Dec 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/configure.in

Header fixes.
Do without regex.h in XapianDatabase if not available.
In configure.in, libcrypt should no longer be required.

------------------------------------------------------------------------
r1427 | fabricecolin | 2008-12-01 21:51:32 +0800 (Mon, 01 Dec 2008) | 2 lines
Changed paths:
   M /trunk/Collect/DownloaderInterface.cpp
   M /trunk/Utils/DocumentInfo.cpp
   M /trunk/Utils/Timer.cpp
   M /trunk/Utils/Timer.h

More portability fixes.

------------------------------------------------------------------------
r1426 | fabricecolin | 2008-12-01 21:16:35 +0800 (Mon, 01 Dec 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/mainWindow.cc

Identify threads spawned by DBusServlet by their ID.
In mainWindow, use mktemp() if mkstemp() isn't available.

------------------------------------------------------------------------
r1425 | fabricecolin | 2008-12-01 21:01:09 +0800 (Mon, 01 Dec 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Utils/Document.cpp
   M /trunk/Utils/TimeConverter.cpp
   M /trunk/Utils/unac/unac.c

Portability fixes, brought up when compiling with MingW.

------------------------------------------------------------------------
r1424 | fabricecolin | 2008-12-01 20:57:36 +0800 (Mon, 01 Dec 2008) | 2 lines
Changed paths:
   M /trunk/Collect/Makefile.am
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/IndexSearch/XesamGLib/Makefile.am
   M /trunk/Monitor/Makefile.am
   M /trunk/SQL/Makefile.am
   M /trunk/Tokenize/Makefile.am
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/Utils/Makefile.am

Use MISC_CFLAGS not VISIB_CFLAGS.

------------------------------------------------------------------------
r1423 | fabricecolin | 2008-12-01 20:56:07 +0800 (Mon, 01 Dec 2008) | 7 lines
Changed paths:
   M /trunk/configure.in

If textcat.h can't be found, we'll have to do without.
Look for the library pthreadGCE2 if others can't be found.
The test for GIO can be disabled with --enable-gio=yes/no.
Substitute MISC_CFLAGS in Makefile's.
Check for the dlfcn.h header, and the functions gmtime_r(), localtime_r(),
strptime() and mkstemp().

------------------------------------------------------------------------
r1422 | fabricecolin | 2008-11-30 18:09:54 +0800 (Sun, 30 Nov 2008) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/pinot-dbus-daemon.desktop
   A /trunk/pinot-prefs.desktop
   M /trunk/pinot.desktop

Intall pinot-prefs.desktop, which creates a menu entry in system preferences.
ALl .desktop files have "Encoding=UTF-8".

------------------------------------------------------------------------
r1421 | fabricecolin | 2008-11-30 18:07:50 +0800 (Sun, 30 Nov 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp

If a group is empty, add a "No results" child.

------------------------------------------------------------------------
r1420 | fabricecolin | 2008-11-30 18:05:33 +0800 (Sun, 30 Nov 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Larger default blacklist.
In loadEngineChannels(), create entries in m_engineChannels if necessary.

------------------------------------------------------------------------
r1419 | fabricecolin | 2008-11-22 13:58:42 +0800 (Sat, 22 Nov 2008) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/prefsWindow.cc

Use the new PinotSettings::load() to load all settings.
In pinot, each window is responsible for saving its own settings when closing.
The main window saves its part before opening the preferences window as the
daemon may subsequently reload all the settings.

------------------------------------------------------------------------
r1418 | fabricecolin | 2008-11-22 13:53:32 +0800 (Sat, 22 Nov 2008) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h

Split the configuration file in two, one part being updated by preferences, and
the other by the UI.
The load() method now handles everything, including engines and their editable
values.

------------------------------------------------------------------------
r1417 | fabricecolin | 2008-11-19 22:40:31 +0800 (Wed, 19 Nov 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/prefsWindow.cc

Log messages to pinot-prefs.log.
Fixed exit after starting the daemon and/or setting labels.

------------------------------------------------------------------------
r1416 | fabricecolin | 2008-11-19 21:58:01 +0800 (Wed, 19 Nov 2008) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/pinot.spec.in
   M /trunk/po/POTFILES.in

Set pinot-prefs as a symlink to pinot, install scripts/bash/*.sh.
POTFILES looks for the prefsWindow source.

------------------------------------------------------------------------
r1415 | fabricecolin | 2008-11-19 21:55:52 +0800 (Wed, 19 Nov 2008) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/pinot.cc

Replaced prefsDialog with prefsWindow.
Using the new option -p/--preferences, or starting the program as pinot-prefs,
makes the UI open prefsWindow and exit.
When the Session, Preferences menu is selected, pinot runs pinot-prefs.

------------------------------------------------------------------------
r1414 | fabricecolin | 2008-11-19 21:24:34 +0800 (Wed, 19 Nov 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   D /trunk/UI/GTK2/src/prefsDialog.cc
   D /trunk/UI/GTK2/src/prefsDialog.hh
   D /trunk/UI/GTK2/src/prefsDialog_glade.cc
   D /trunk/UI/GTK2/src/prefsDialog_glade.hh
   A /trunk/UI/GTK2/src/prefsWindow.cc
   A /trunk/UI/GTK2/src/prefsWindow.hh
   A /trunk/UI/GTK2/src/prefsWindow_glade.cc
   A /trunk/UI/GTK2/src/prefsWindow_glade.hh

Preferences is now a separate, independant window.

------------------------------------------------------------------------
r1413 | fabricecolin | 2008-11-16 22:12:42 +0800 (Sun, 16 Nov 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml

The daemon'd better call loadSearchEngines() for Query to offer access to the
same engines as the UI.
Fixed typo in the XML description file.

------------------------------------------------------------------------
r1412 | fabricecolin | 2008-11-16 22:09:49 +0800 (Sun, 16 Nov 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/pinot-search.cpp

Added a -l/--locationnly parameter to pinot-search that makes it display only
the results' location.
In XapianEngine, XPATH: shouldn't be a boolean prefix.

------------------------------------------------------------------------
r1411 | fabricecolin | 2008-11-15 15:24:39 +0800 (Sat, 15 Nov 2008) | 3 lines
Changed paths:
   M /trunk/scripts/python/pinot-module.py

Modified to use the new D-Bus method Query, instead of SimpleQuery.
Be ready to catch AttributeError on set_snippet() (deskbar < v2.24).

------------------------------------------------------------------------
r1410 | fabricecolin | 2008-11-15 14:23:35 +0800 (Sat, 15 Nov 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml

Fixed default engine parameters supported by Query.
If EngineQueryThread can't find the requested engine, it looks for a plugin
that matches the given name and use that instead.

------------------------------------------------------------------------
r1409 | fabricecolin | 2008-11-15 11:59:05 +0800 (Sat, 15 Nov 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/PluginWebEngine.h
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/UI/GTK2/src/EnginesTree.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Sorted out discrepancies between SearchPluginProperties ad ModuleProperties.

------------------------------------------------------------------------
r1408 | fabricecolin | 2008-11-13 23:01:48 +0800 (Thu, 13 Nov 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/Notebook.cpp
   M /trunk/UI/GTK2/src/Notebook.h

Show spelling suggestions above the results list. A close button hides them
until other suggestions are available.

------------------------------------------------------------------------
r1407 | fabricecolin | 2008-11-11 22:33:04 +0800 (Tue, 11 Nov 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/WorkerThreads.cpp

LabelUpdateThread need not worry about updating My Web Pages' labels since they
are exclusively pulled from My Documents.

------------------------------------------------------------------------
r1406 | fabricecolin | 2008-11-11 22:19:58 +0800 (Tue, 11 Nov 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/prefsDialog.cc
   M /trunk/UI/GTK2/src/prefsDialog.hh

Only make new labels editable, since existing labels can't be renamed.

------------------------------------------------------------------------
r1405 | fabricecolin | 2008-11-09 23:47:01 +0800 (Sun, 09 Nov 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp

Provide reasonable defaults for Query's engine type and option.
Some cosmetic changes.

------------------------------------------------------------------------
r1404 | fabricecolin | 2008-11-09 20:52:37 +0800 (Sun, 09 Nov 2008) | 6 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml

DBusServletInfo encapsulates information required to reply to D-Bus requests,
and allows running another thread, for instance an EngineQueryThread to reply
to queries.
The D-Bus interface now includes a Query method similar to C. Scott Ananian's
JournalQuery. This will eventually replace SimpleQuery.

------------------------------------------------------------------------
r1403 | fabricecolin | 2008-11-09 20:36:47 +0800 (Sun, 09 Nov 2008) | 2 lines
Changed paths:
   M /trunk/scripts/python/pinot-module.py

Support for deskbar v2.24 snippets.

------------------------------------------------------------------------
r1402 | fabricecolin | 2008-11-08 12:00:11 +0800 (Sat, 08 Nov 2008) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/pinot-search.cpp

Patches by C. Scott Ananian. Fix XapianEngine to get the results count estimate
even when there are no matches left. Serialize results score over D-Bus. Add a
"sort by date first" mode to pinot-search.

------------------------------------------------------------------------
r1401 | fabricecolin | 2008-11-02 17:11:04 +0800 (Sun, 02 Nov 2008) | 2 lines
Changed paths:
   D /trunk/Tokenize/Tokenizer.h

This was obsoleted a long time ago.

------------------------------------------------------------------------
r1400 | fabricecolin | 2008-11-02 17:07:59 +0800 (Sun, 02 Nov 2008) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Whenever metadata is updated through the DBus interface, the daemon updates the
MetaDataBackup table. When reindexing occurs, the crawler re-applies all the
metadata found there.
Synced with recent changes to CrawlHistory.

------------------------------------------------------------------------
r1399 | fabricecolin | 2008-11-02 16:42:24 +0800 (Sun, 02 Nov 2008) | 2 lines
Changed paths:
   M /trunk/SQL/MetaDataBackup.cpp
   M /trunk/SQL/MetaDataBackup.h
   M /trunk/Utils/Document.cpp

Fixed xattr.h check. Added MetaDataBackup::getItems().

------------------------------------------------------------------------
r1398 | fabricecolin | 2008-11-02 16:35:29 +0800 (Sun, 02 Nov 2008) | 2 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h

Method getSourceItems() now takes a min/max range.

------------------------------------------------------------------------
r1397 | fabricecolin | 2008-11-02 14:16:41 +0800 (Sun, 02 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Collect/FileCollector.cpp
   M /trunk/Collect/FileCollector.h

Test the document's MIME type after loading.

------------------------------------------------------------------------
r1396 | fabricecolin | 2008-11-02 14:11:49 +0800 (Sun, 02 Nov 2008) | 3 lines
Changed paths:
   M /trunk/Utils/Document.cpp

In setDataFromFile(), look for extended attributes. At the moment, only the
attribute user.mime_type is supported.

------------------------------------------------------------------------
r1395 | fabricecolin | 2008-11-01 22:52:37 +0800 (Sat, 01 Nov 2008) | 5 lines
Changed paths:
   M /trunk/SQL/Makefile.am
   A /trunk/SQL/MetaDataBackup.cpp
   A /trunk/SQL/MetaDataBackup.h
   M /trunk/configure.in

Check for the header attr/xattr.h.
Build MetaDataBackup, a class that enables saving to and loading metadata from
the database and/or filesystem extended attributes. The purpose is to allow
the daemon to restore user-set metadata after reindexing.

------------------------------------------------------------------------
r1394 | fabricecolin | 2008-10-27 15:13:45 +0800 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Utils/DocumentInfo.cpp
   M /trunk/Utils/DocumentInfo.h

Serialization methods can deal with all or only some properties.

------------------------------------------------------------------------
r1393 | fabricecolin | 2008-10-27 14:08:14 +0800 (Mon, 27 Oct 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/DBusIndex.h
   M /trunk/IndexSearch/IndexInterface.h
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h
   M /trunk/UI/GTK2/src/ModelColumns.cpp
   M /trunk/UI/GTK2/src/ModelColumns.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml
   M /trunk/UI/GTK2/src/prefsDialog.cc
   M /trunk/UI/GTK2/src/prefsDialog.hh

Removing the seldom-used and more-trouble-than-it's-worth ability to rename
labels.

------------------------------------------------------------------------
r1392 | fabricecolin | 2008-10-27 12:04:03 +0800 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/Utils/Url.h

Cosmetic changes.

------------------------------------------------------------------------
r1391 | fabricecolin | 2008-10-27 12:02:01 +0800 (Mon, 27 Oct 2008) | 6 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/OnDiskHandler.cpp
   M /trunk/UI/GTK2/src/OnDiskHandler.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h

The FileFound signal doesn't require a source label, the caller should set it
on the document prior to emitting the signal.
The DirectoryScanner thread inherits from Indexing and will index files as they
are being found, unless the env var PINOT_DELEGATE_INDEXING is set to Y. I am
enabling this by default, but this may change in the near future.

------------------------------------------------------------------------
r1390 | fabricecolin | 2008-10-27 11:43:12 +0800 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/queryDialog.cc

Support for the path: filter.

------------------------------------------------------------------------
r1389 | fabricecolin | 2008-10-25 15:35:03 +0800 (Sat, 25 Oct 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Index all components of the path to a file with the XPATH: prefix. At search
time, this maps to the "path:" filter.

------------------------------------------------------------------------
r1388 | fabricecolin | 2008-10-21 22:35:21 +0800 (Tue, 21 Oct 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

The daemon's status is retrieved in the background. The status window should no
longer occasionally freeze.

------------------------------------------------------------------------
r1387 | fabricecolin | 2008-10-18 18:33:19 +0800 (Sat, 18 Oct 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/IndexSearch/FilterWrapper.h

Added method reduceToText() and the ReducedAction class.

------------------------------------------------------------------------
r1386 | fabricecolin | 2008-10-15 21:46:31 +0800 (Wed, 15 Oct 2008) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/Notebook.cpp
   M /trunk/UI/GTK2/src/Notebook.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh

When a spelling suggestion is available, don't create a Corrected query right
away. Instead, show suggestions below the results list, in a combobox labeled
"Did you mean ?" and let the user choose which one he thinks is relevant and
click the Yes button. Then create a new query, based on the original.

------------------------------------------------------------------------
r1385 | fabricecolin | 2008-10-11 18:24:34 +0800 (Sat, 11 Oct 2008) | 3 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp
   M /trunk/Collect/CurlDownloader.h
   M /trunk/Collect/DownloaderInterface.cpp
   M /trunk/Collect/DownloaderInterface.h
   M /trunk/Collect/NeonDownloader.cpp
   M /trunk/Collect/NeonDownloader.h

Reduced code duplication between the Neon and Curl downloaders.
Added ability to do a POST.

------------------------------------------------------------------------
r1384 | fabricecolin | 2008-10-11 17:06:15 +0800 (Sat, 11 Oct 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/pinot-index.cpp

Cosmetic changes mostly.
In pinot-index, let closeAll() close stuff at exit time.

------------------------------------------------------------------------
r1383 | fabricecolin | 2008-10-11 16:35:26 +0800 (Sat, 11 Oct 2008) | 4 lines
Changed paths:
   M /trunk/Monitor/INotifyMonitor.cpp
   M /trunk/Monitor/INotifyMonitor.h
   M /trunk/Monitor/MonitorInterface.h

New getLimit() method to get the maximum number of watches.
INotifyMonitor will not attempt using more watches than available. If there are
more than 8k, 1k is set aside for other applications.

------------------------------------------------------------------------
r1382 | fabricecolin | 2008-10-09 21:09:15 +0800 (Thu, 09 Oct 2008) | 5 lines
Changed paths:
   M /trunk/FAQ
   M /trunk/Utils/MIMEScanner.cpp

In MIMEScanner::getDefaultActionsForType(), if GIO is used, initialize the
list with the default actions obtained with g_app_info_get_default_for_type()
to make sure they are picked up first.
Add an entry to the FAQ about this, using browsers and HTML docs as example.

------------------------------------------------------------------------
r1381 | fabricecolin | 2008-10-05 16:58:20 +0800 (Sun, 05 Oct 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Monitor/INotifyMonitor.cpp
   M /trunk/Monitor/Makefile.am
   D /trunk/Monitor/linux-inotify-syscalls.h
   M /trunk/configure.in

A patch by Adrian Bunk to fix inotify support.
More information on this topic at http://lkml.org/lkml/2008/9/16/79

------------------------------------------------------------------------
r1380 | fabricecolin | 2008-10-01 17:35:54 +0800 (Wed, 01 Oct 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h

Don't rely on the size of m_indexNames for IDs assigned to indexes; that list
may grow or shrink while Pinot is running and that messed things up, eg the
retrieval from history and the display of abstracts.

------------------------------------------------------------------------
r1379 | fabricecolin | 2008-10-01 17:33:13 +0800 (Wed, 01 Oct 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp

Record the position of all terms not just the first m_maxSeedTerm to ensure all
terms are highlighted in the abstract. 

------------------------------------------------------------------------
r1378 | fabricecolin | 2008-09-30 21:54:07 +0800 (Tue, 30 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Utils/TimeConverter.cpp

The conversion specifier %z is a GNU extension to strftime().

------------------------------------------------------------------------
r1376 | fabricecolin | 2008-09-20 16:48:42 +0800 (Sat, 20 Sep 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current logs.

------------------------------------------------------------------------
r1375 | fabricecolin | 2008-09-20 16:45:49 +0800 (Sat, 20 Sep 2008) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO

Current state of things.

------------------------------------------------------------------------
r1374 | fabricecolin | 2008-09-20 16:40:29 +0800 (Sat, 20 Sep 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/XesamGLib/XesamEngine.cpp

Assume QueryProperties sanitized the query.
Attempt to stop the search when enough hits have been received.
Include <xesam-glib.h> as found in xesam-glib v0.5.0.

------------------------------------------------------------------------
r1373 | fabricecolin | 2008-09-20 15:18:09 +0800 (Sat, 20 Sep 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current translations, with updates from Aron Xu (Simplified Chinese) and
André Gondim (Brazilian Portuguese).

------------------------------------------------------------------------
r1372 | fabricecolin | 2008-09-18 22:48:09 +0800 (Thu, 18 Sep 2008) | 4 lines
Changed paths:
   M /trunk/configure.in

Bumped version number to 0.89. Force automatic reindexing of older versions so
that users benefit from the various bug fixes to CJKV, handling of basic types
as well as diacritics insensitivity.

------------------------------------------------------------------------
r1371 | fabricecolin | 2008-09-18 22:44:14 +0800 (Thu, 18 Sep 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS

Give credit to Loic Dachary for Unac, and to Constantin Teodorescu for his help
with testing diacritics (in)sensitivity.

------------------------------------------------------------------------
r1370 | fabricecolin | 2008-09-18 22:42:42 +0800 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp

DEBUG only output.

------------------------------------------------------------------------
r1369 | fabricecolin | 2008-09-18 22:41:44 +0800 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Added CVS, .svn and .torrent to the default blacklist.

------------------------------------------------------------------------
r1368 | fabricecolin | 2008-09-18 22:38:27 +0800 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Boolean operators are case sensitive since 0.88 !

------------------------------------------------------------------------
r1367 | fabricecolin | 2008-09-16 22:37:39 +0800 (Tue, 16 Sep 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Stems of terms without diacritics are indexed too.

------------------------------------------------------------------------
r1366 | fabricecolin | 2008-09-13 13:52:52 +0800 (Sat, 13 Sep 2008) | 3 lines
Changed paths:
   M /trunk/README

Clarify parts about stemming and blacklists. Mention stopwords removal and
query correction.

------------------------------------------------------------------------
r1365 | fabricecolin | 2008-09-13 13:51:06 +0800 (Sat, 13 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Create the stopwords directory even though there are no lists to copy there.

------------------------------------------------------------------------
r1364 | fabricecolin | 2008-09-13 13:07:02 +0800 (Sat, 13 Sep 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Assume query strings are sanitized by QueryProperty.

------------------------------------------------------------------------
r1363 | fabricecolin | 2008-09-13 13:01:56 +0800 (Sat, 13 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Monitor/INotifyMonitor.cpp

Include more headers to hopefully fix build issue on current Fedora 10.

------------------------------------------------------------------------
r1362 | fabricecolin | 2008-09-13 12:59:53 +0800 (Sat, 13 Sep 2008) | 9 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/ModuleExports.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.h

FileStopper implements a file-based Stopper. Language specific stopwords lists
are assumed to be at "$PREFIX/share/pinot/stopwords/stopwords.language_code".
Stopwords are removed from queries when stemming is on, and if the query
consists of more than one token. For non-CJKV queries, we rely on the number
of spaces in the query (which is okay for the languages stopwords removal is
useful for).
Cache the stopper object, and delete it when the back-end is unloaded.
Let QueryProperties sanitize the query string.

------------------------------------------------------------------------
r1361 | fabricecolin | 2008-09-13 12:31:24 +0800 (Sat, 13 Sep 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp

Clean up the query string : remove CRs, dehyphen on line breaks, replace line
breaks with spaces.

------------------------------------------------------------------------
r1360 | fabricecolin | 2008-09-09 21:21:07 +0800 (Tue, 09 Sep 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

If the query is not sensitive to diacritics, get QueryModifier to remove
them from query terms.
Fixed a (harmless ?) bug where a stray bracket would be appended to queries.

------------------------------------------------------------------------
r1359 | fabricecolin | 2008-09-09 21:17:59 +0800 (Tue, 09 Sep 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Unless_DIACRITICS_SENSITIVE is defined, always use our own TokensIndexer; terms
with diacritics are indexed with and without.
Only add a "XTOK:CJKV" term if CJKV was found.

------------------------------------------------------------------------
r1358 | fabricecolin | 2008-09-09 21:10:43 +0800 (Tue, 09 Sep 2008) | 2 lines
Changed paths:
   M /trunk/configure.in

Check for vsnprintf().

------------------------------------------------------------------------
r1357 | fabricecolin | 2008-09-08 21:41:21 +0800 (Mon, 08 Sep 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/QueryProperties.h

Added a diacriticSensitive property, false by default.

------------------------------------------------------------------------
r1356 | fabricecolin | 2008-09-08 21:40:13 +0800 (Mon, 08 Sep 2008) | 4 lines
Changed paths:
   M /trunk/Utils/Makefile.am
   M /trunk/Utils/StringManip.cpp
   M /trunk/Utils/StringManip.h
   A /trunk/Utils/unac
   A /trunk/Utils/unac/unac.c
   A /trunk/Utils/unac/unac.h

Embed a copy of unac 1.7.0 main files. Unac is Copyright (C) 2000, 2001, 2002
Loic Dachary.
StringManip::stripDiacritics() wraps unac_string().

------------------------------------------------------------------------
r1355 | fabricecolin | 2008-09-08 21:36:44 +0800 (Mon, 08 Sep 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

In add_query(), only merge queries if the new bit isn't in already. This
prevents automatically generated queries such as spelling corrections from
getting longer and longer when running the same query against the same index.

------------------------------------------------------------------------
r1354 | fabricecolin | 2008-09-08 21:34:46 +0800 (Mon, 08 Sep 2008) | 6 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp

When there's only one term, no abstract window would be chosen because the
default weights were zero.
Prefer the window leading to terms, rather than following.
Rely on terms' positions to determine whether terms should be highlighted as
sometimes one position may have more than one term.

------------------------------------------------------------------------
r1352 | fabricecolin | 2008-08-30 00:02:43 +0800 (Sat, 30 Aug 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Current log.

------------------------------------------------------------------------
r1351 | fabricecolin | 2008-08-29 23:58:52 +0800 (Fri, 29 Aug 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog-dijon
   M /trunk/NEWS

Updated NEWS and Dijon's ChangeLog.

------------------------------------------------------------------------
r1350 | fabricecolin | 2008-08-28 23:52:50 +0800 (Thu, 28 Aug 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/Google.src

Another plugin update.

------------------------------------------------------------------------
r1349 | fabricecolin | 2008-08-28 21:30:42 +0800 (Thu, 28 Aug 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/README
   M /trunk/TODO
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Bumped the version number, regenerated man pages.
Minor updates to TODO and README.

------------------------------------------------------------------------
r1348 | fabricecolin | 2008-08-28 21:14:48 +0800 (Thu, 28 Aug 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Move YahooBOSS.src out of the engines directory for the time being.

------------------------------------------------------------------------
r1347 | fabricecolin | 2008-08-28 21:08:46 +0800 (Thu, 28 Aug 2008) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/CreativeCommons.src

This is now a blog search. The actual content search is somewhat obfuscated.

------------------------------------------------------------------------
r1346 | fabricecolin | 2008-08-28 21:07:38 +0800 (Thu, 28 Aug 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/BitTorrent.src
   M /trunk/IndexSearch/Plugins/CreativeCommons.src
   M /trunk/IndexSearch/Plugins/Freshmeat.src
   M /trunk/IndexSearch/Plugins/GoogleCodeSearch.src
   M /trunk/IndexSearch/Plugins/RollYOTopNews.src
   M /trunk/IndexSearch/Plugins/Wikipedia.src

Search engine updates.

------------------------------------------------------------------------
r1345 | fabricecolin | 2008-08-27 22:28:47 +0800 (Wed, 27 Aug 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/README

Added rainofchaos to list of translators.
Rephrased part about engines and query syntaxes in section 6 of the README.

------------------------------------------------------------------------
r1344 | fabricecolin | 2008-08-25 22:46:08 +0800 (Mon, 25 Aug 2008) | 5 lines
Changed paths:
   M /trunk/IndexSearch/pinot-search.cpp
   M /trunk/README

Explain to what extent Xesam specs are supported; pinot-search's help text has
some examples now.
Clarify that building the Google API is not recommended, and how to use filters
in CJKV queries.

------------------------------------------------------------------------
r1343 | fabricecolin | 2008-08-24 12:43:33 +0800 (Sun, 24 Aug 2008) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current translations.

------------------------------------------------------------------------
r1342 | fabricecolin | 2008-08-23 22:39:04 +0800 (Sat, 23 Aug 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Create a bunch of useful default queries.

------------------------------------------------------------------------
r1341 | fabricecolin | 2008-08-23 22:37:10 +0800 (Sat, 23 Aug 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Google/ModuleExports.cpp

Fix previous commit.

------------------------------------------------------------------------
r1340 | fabricecolin | 2008-08-23 20:57:23 +0800 (Sat, 23 Aug 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

Show extra stats only when on.

------------------------------------------------------------------------
r1339 | fabricecolin | 2008-08-19 21:46:17 +0800 (Tue, 19 Aug 2008) | 2 lines
Changed paths:
   A /trunk/IndexSearch/Google/ModuleExports.cpp

Functions exported by this backend.

------------------------------------------------------------------------
r1338 | fabricecolin | 2008-08-19 21:43:52 +0800 (Tue, 19 Aug 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/EnginesTree.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/prefsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Synced with the new ModuleFactory::getSupportedEngines().
Replaced PinotSettings::Engine with ModuleProperties.

------------------------------------------------------------------------
r1337 | fabricecolin | 2008-08-19 21:40:26 +0800 (Tue, 19 Aug 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/ModuleFactory.h
   A /trunk/IndexSearch/ModuleProperties.h
   M /trunk/IndexSearch/SearchPluginProperties.cpp
   M /trunk/IndexSearch/SearchPluginProperties.h
   M /trunk/IndexSearch/Xapian/ModuleExports.cpp
   M /trunk/IndexSearch/XesamGLib/ModuleExports.cpp
   M /trunk/IndexSearch/pinot-index.cpp
   M /trunk/IndexSearch/pinot-search.cpp

Spun some properties out of SearchPluginProperties into ModuleProperties.
Backends must implement ModuleProperties *getModuleProperties() instead of
string getModuleType().

------------------------------------------------------------------------
r1336 | fabricecolin | 2008-08-19 21:38:49 +0800 (Tue, 19 Aug 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/SherlockParser.cpp

Forget about description of engines.

------------------------------------------------------------------------
r1335 | fabricecolin | 2008-08-16 13:57:59 +0800 (Sat, 16 Aug 2008) | 3 lines
Changed paths:
   M /trunk/configure.in

If GIO can sniff PNG, set USE_GIO and make sure programs link against it.
The test on GIO's sniffing abilities comes from gtk+'s configure.in.

------------------------------------------------------------------------
r1334 | fabricecolin | 2008-08-16 13:54:54 +0800 (Sat, 16 Aug 2008) | 3 lines
Changed paths:
   M /trunk/Utils/MIMEScanner.cpp

Compile getKeyValue() out if GIO is in use.
The xdgmime function to call in scanData() is xdg_mime_get_mime_type_for_data().

------------------------------------------------------------------------
r1333 | fabricecolin | 2008-08-15 22:47:45 +0800 (Fri, 15 Aug 2008) | 2 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h

New MIMEScanner::scanData() method, used when a filter returns "scan" as type.

------------------------------------------------------------------------
r1332 | fabricecolin | 2008-08-15 21:25:14 +0800 (Fri, 15 Aug 2008) | 4 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/FilterUtils.h
   M /trunk/Utils/CommandLine.cpp
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h

MIMEScanner::getParentTypes() needs the list of all supported types so that in
GIO mode it can determine which types are related with g_content_type_is_a().
This flattens the types hierarchy though, but this will do.

------------------------------------------------------------------------
r1331 | fabricecolin | 2008-08-14 21:34:54 +0800 (Thu, 14 Aug 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.cpp

If --showinfo is passed, show which actions are associated with the document's
MIME type.

------------------------------------------------------------------------
r1330 | fabricecolin | 2008-08-14 21:29:02 +0800 (Thu, 14 Aug 2008) | 4 lines
Changed paths:
   M /trunk/Utils/CommandLine.cpp
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h
   M /trunk/Utils/Makefile.am

Use GAppInfo at the same time as GContentType, instead of the MIMECache code.
This extends to CommandLine::runAsync().
Switched to USE_GIO for consistency with the HTTP stuff.

------------------------------------------------------------------------
r1329 | fabricecolin | 2008-08-11 15:43:11 +0800 (Mon, 11 Aug 2008) | 2 lines
Changed paths:
   M /trunk/Collect/FileCollector.cpp
   M /trunk/IndexSearch/pinot-index.cpp
   M /trunk/IndexSearch/pinot-search.cpp

Cosmetic changes.

------------------------------------------------------------------------
r1328 | fabricecolin | 2008-08-11 15:41:48 +0800 (Mon, 11 Aug 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Google/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/IndexSearch/XesamGLib/Makefile.am

Link all backends against BasicUtils.
For the Google API, bundle all source files as headers if support is turned off.

------------------------------------------------------------------------
r1327 | fabricecolin | 2008-08-11 15:39:22 +0800 (Mon, 11 Aug 2008) | 2 lines
Changed paths:
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h
   M /trunk/Utils/Makefile.am

Use GContentType instead of xdgmime if HAVE_GIO_MIME is set/defined.

------------------------------------------------------------------------
r1326 | fabricecolin | 2008-08-06 21:35:44 +0800 (Wed, 06 Aug 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

Removed dead functions. Both set/getLabels() rely on set/getMetadata().

------------------------------------------------------------------------
r1325 | fabricecolin | 2008-08-04 22:45:18 +0800 (Mon, 04 Aug 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Google API key fix.

------------------------------------------------------------------------
r1324 | fabricecolin | 2008-08-04 22:37:13 +0800 (Mon, 04 Aug 2008) | 2 lines
Changed paths:
   D /trunk/Tokenize/Tokenizer.cpp
   D /trunk/Tokenize/tokenizertest.cpp

These two were obsoleted quite some time ago...

------------------------------------------------------------------------
r1323 | fabricecolin | 2008-08-04 22:33:24 +0800 (Mon, 04 Aug 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/prefsDialog.cc

The Google API engine is now loaded dynamically, if available, and identified as
"Google API".

------------------------------------------------------------------------
r1322 | fabricecolin | 2008-08-04 22:31:35 +0800 (Mon, 04 Aug 2008) | 2 lines
Changed paths:
   D /trunk/IndexSearch/SOAPEnv.h
   D /trunk/IndexSearch/SOAPEnvH.h
   D /trunk/IndexSearch/SOAPEnvNS.cpp
   D /trunk/IndexSearch/SOAPEnvStub.h

These are no longer needed.

------------------------------------------------------------------------
r1321 | fabricecolin | 2008-08-04 22:22:08 +0800 (Mon, 04 Aug 2008) | 5 lines
Changed paths:
   M /trunk/IndexSearch/Google/GAPIC.cpp
   M /trunk/IndexSearch/Google/GAPIClient.cpp
   M /trunk/IndexSearch/Google/GAPIClientLib.cpp
   M /trunk/IndexSearch/Google/GAPIGoogleSearchBindingProxy.h
   M /trunk/IndexSearch/Google/GAPIH.h
   M /trunk/IndexSearch/Google/GAPIStub.h
   M /trunk/IndexSearch/Google/GoogleAPIEngine.cpp
   M /trunk/IndexSearch/Google/GoogleSearch.h
   M /trunk/IndexSearch/Google/Makefile.am

Regenerated code with gsoap 2.7.10.
Compile GAPIC and GAPIClient, and ignore GAPIClientLib as it defines a macro
that makes all the soap_ functions static. All this is built into a dynamic
backend.

------------------------------------------------------------------------
r1320 | fabricecolin | 2008-08-04 22:15:56 +0800 (Mon, 04 Aug 2008) | 6 lines
Changed paths:
   M /trunk/Collect/Makefile.am
   M /trunk/IndexSearch/FilterWrapper.h
   M /trunk/IndexSearch/IndexInterface.h
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/QueryProperties.h
   M /trunk/IndexSearch/SearchEngineInterface.h
   M /trunk/IndexSearch/WebEngine.h
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/IndexSearch/Xapian/ModuleExports.cpp
   M /trunk/IndexSearch/XesamGLib/Makefile.am
   M /trunk/IndexSearch/XesamGLib/ModuleExports.cpp
   M /trunk/Monitor/Makefile.am
   M /trunk/SQL/Makefile.am
   M /trunk/Tokenize/FilterUtils.h
   M /trunk/Tokenize/Makefile.am
   M /trunk/Tokenize/TextConverter.h
   M /trunk/Tokenize/Tokenizer.h
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/Utils/CommandLine.h
   M /trunk/Utils/Document.h
   M /trunk/Utils/DocumentInfo.h
   M /trunk/Utils/Languages.h
   M /trunk/Utils/MIMEScanner.h
   M /trunk/Utils/Makefile.am
   M /trunk/Utils/StringManip.h
   M /trunk/Utils/TimeConverter.h
   M /trunk/Utils/Timer.h
   M /trunk/Utils/Url.h
   M /trunk/configure.in

If gcc 4.x is available, set symbol visibility to hidden by default. Only export
stuff we know is required by the backends, and backend's entry points.
Don't build libSearchSOAP, and remove references to the Google API engine, this
will go into a separate backend.
-fPIC is set in CXXFLAGS by configure.in instead of in each Makefile.

------------------------------------------------------------------------
r1319 | fabricecolin | 2008-08-03 23:23:35 +0800 (Sun, 03 Aug 2008) | 2 lines
Changed paths:
   A /trunk/Utils/Visibility.h

Some macros to set symbol visibility.

------------------------------------------------------------------------
r1318 | fabricecolin | 2008-08-03 23:22:35 +0800 (Sun, 03 Aug 2008) | 3 lines
Changed paths:
   A /trunk/UI/GTK2/src/UniqueApplication.cpp
   A /trunk/UI/GTK2/src/UniqueApplication.h
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Moved code that enforced the daemon's uniqueness to UniqueApplication and
prepare for an eventual switch to Unique (http://www.gnome.org/~ebassi/source/).

------------------------------------------------------------------------
r1317 | fabricecolin | 2008-08-03 21:02:29 +0800 (Sun, 03 Aug 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/WorkerThreads.cpp

Time retrieveUrl().

------------------------------------------------------------------------
r1316 | fabricecolin | 2008-08-03 17:09:13 +0800 (Sun, 03 Aug 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

The flag QueryParser::FLAG_BOOLEAN_ANY_CASE causes more problems than it's worth,
especially when queries are pieces of text pasted from elsewhere.

------------------------------------------------------------------------
r1315 | fabricecolin | 2008-08-03 17:04:32 +0800 (Sun, 03 Aug 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/XesamGLib/XesamEngine.cpp

Use xesam:language and xesam:relevancyRating.
It's not clear in what language the languages list is supposed to be, so we
assume it's in the locale language.

------------------------------------------------------------------------
r1314 | fabricecolin | 2008-07-26 14:10:28 +0800 (Sat, 26 Jul 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/fr.po
   M /trunk/po/pt_BR.po
   M /trunk/po/sv.po

Updated de, pt_BR, sv and fr by Gena Haltmair, Rafael Porto Rodrigues, Daniel
Nylander and myself.

------------------------------------------------------------------------
r1313 | fabricecolin | 2008-07-26 12:20:04 +0800 (Sat, 26 Jul 2008) | 5 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/DBusIndex.h
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

Extended GetStatistics to return the flags "low disk space", "on battery" and
"crawling". The latter is new to the daemon and set while a DirectoryScanner is
running.
That information is displayed in the Status window.

------------------------------------------------------------------------
r1311 | fabricecolin | 2008-07-19 19:11:52 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current logs.

------------------------------------------------------------------------
r1310 | fabricecolin | 2008-07-19 19:00:19 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO

This release's details.

------------------------------------------------------------------------
r1309 | fabricecolin | 2008-07-19 18:58:19 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/pinot.desktop

Provide a comment for ru... in English, because it's not been translated yet.

------------------------------------------------------------------------
r1308 | fabricecolin | 2008-07-19 18:56:13 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current ranslations.

------------------------------------------------------------------------
r1307 | fabricecolin | 2008-07-19 18:49:20 +0800 (Sat, 19 Jul 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp
   M /trunk/IndexSearch/pinot-index.cpp

AbstractGenerator ignores the current term's other positions when weighting
abstract windows.
pinot-index only lists index-capable backends.

------------------------------------------------------------------------
r1306 | fabricecolin | 2008-07-19 18:47:28 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Bumped version number to 0.87, updated manual pages.

------------------------------------------------------------------------
r1305 | fabricecolin | 2008-07-19 17:59:53 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Don't move AmazonAPI out of the engines directory.

------------------------------------------------------------------------
r1304 | fabricecolin | 2008-07-19 17:58:39 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp

Follow META REFRESH if set.

------------------------------------------------------------------------
r1303 | fabricecolin | 2008-07-19 17:29:42 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/XesamGLib/XesamEngine.cpp

Fixed UL/QL mixup.

------------------------------------------------------------------------
r1302 | fabricecolin | 2008-07-19 14:44:20 +0800 (Sat, 19 Jul 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/XesamGLib/XesamEngine.cpp

Extract hits data, turn live search off, set the maximum number of results and
abort the search after a few seconds.

------------------------------------------------------------------------
r1301 | fabricecolin | 2008-07-19 14:24:35 +0800 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/mainWindow.cc

The UI will let foreground threads run for up to a minute.

------------------------------------------------------------------------
r1300 | fabricecolin | 2008-07-18 23:21:09 +0800 (Fri, 18 Jul 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/EnginesTree.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Add search-only backends to the Current User channel and make sure it stays at
the bottom of the engines tree.

------------------------------------------------------------------------
r1299 | fabricecolin | 2008-07-18 21:28:33 +0800 (Fri, 18 Jul 2008) | 6 lines
Changed paths:
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/Plugins/AmazonAPI.src
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/IndexSearch/pinot-search.cpp

pinot-search can set a plugin editable parameter with -e/--seteditable.
PluginWebEngine will output an error message if an editable parameter has no
value.
The Sherlock parser lower-cased input parameters for no specific reason.
Moved the Amazon API plugin to the Shopping channel.

------------------------------------------------------------------------
r1298 | fabricecolin | 2008-07-13 21:51:08 +0800 (Sun, 13 Jul 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/prefsDialog.cc
   M /trunk/UI/GTK2/src/prefsDialog.hh
   M /trunk/UI/GTK2/src/prefsDialog_glade.cc
   M /trunk/UI/GTK2/src/prefsDialog_glade.hh

Preferences let the user edit all editable parameters defined in the plugins.
Values are saved to and loaded from the configuration file, and are passed to
WebEngine-derived search engines.

------------------------------------------------------------------------
r1297 | fabricecolin | 2008-07-13 21:46:53 +0800 (Sun, 13 Jul 2008) | 8 lines
Changed paths:
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/OpenSearchParser.h
   M /trunk/IndexSearch/PluginParsers.h
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/PluginWebEngine.h
   M /trunk/IndexSearch/Plugins/A9.src
   M /trunk/IndexSearch/Plugins/AmazonAPI.src
   A /trunk/IndexSearch/Plugins/YahooBOSS.src
   M /trunk/IndexSearch/SearchPluginProperties.cpp
   M /trunk/IndexSearch/SearchPluginProperties.h
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/IndexSearch/SherlockParser.h
   M /trunk/IndexSearch/WebEngine.cpp
   M /trunk/IndexSearch/WebEngine.h

Plugins may define user-editable parameters by setting values to
EDIT:description. This is designed to let the user specify his/her own ID or
key for the Amazon API or the new Yahoo! BOSS API without having to edit
plugins.
For Sherlock plugins that don't specify a USER INPUT, append the query terms to
the action URL.
Always set input and output encodings, if defined, to UTF-8.

------------------------------------------------------------------------
r1296 | fabricecolin | 2008-07-11 14:21:03 +0800 (Fri, 11 Jul 2008) | 2 lines
Changed paths:
   M /trunk/README

Clarify some inaccuracies.

------------------------------------------------------------------------
r1295 | fabricecolin | 2008-07-11 14:17:47 +0800 (Fri, 11 Jul 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/ResultsTree.h

Use a TextView for extracts. This will allow dropping portions of the extract
in the queries list. A bold tag is applied to words to highlight.

------------------------------------------------------------------------
r1294 | fabricecolin | 2008-07-11 12:47:39 +0800 (Fri, 11 Jul 2008) | 6 lines
Changed paths:
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/importDialog.hh
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh

Support for drag-n-drop.
Dropping text on the stored queries list will create a new query with this text,
while dropping files will generate a query to find similar documents in the
indexes. If necessary, these files are indexed in My Web Pages.
Files can be dropped on the import dialog's location field too.

------------------------------------------------------------------------
r1293 | fabricecolin | 2008-07-11 12:41:53 +0800 (Fri, 11 Jul 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

Skip very short non-CJKV terms when expanding queries.

------------------------------------------------------------------------
r1292 | fabricecolin | 2008-07-06 21:07:46 +0800 (Sun, 06 Jul 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

The QueryModifier would sometimes append n-1 bytes of the last CJKV character.

------------------------------------------------------------------------
r1291 | fabricecolin | 2008-07-06 21:03:23 +0800 (Sun, 06 Jul 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/ModuleFactory.h
   A /trunk/IndexSearch/XesamGLib/ModuleExports.cpp

Backends that are search-only don't need to export index-related functions.

------------------------------------------------------------------------
r1290 | fabricecolin | 2008-06-28 20:34:01 +0800 (Sat, 28 Jun 2008) | 3 lines
Changed paths:
   A /trunk/IndexSearch/XesamGLib
   A /trunk/IndexSearch/XesamGLib/Makefile.am
   A /trunk/IndexSearch/XesamGLib/XesamEngine.cpp
   A /trunk/IndexSearch/XesamGLib/XesamEngine.h
   M /trunk/Makefile.am
   M /trunk/configure.in
   M /trunk/pinot.spec.in

Experimental backend based on xesam-glib to query Xesam servers. Pass
"--enable-xesam-glib=yes" to configure and "--with xesam-glib" to rpmbuild.

------------------------------------------------------------------------
r1288 | fabricecolin | 2008-06-21 16:16:00 +0800 (Sat, 21 Jun 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Update logs.

------------------------------------------------------------------------
r1287 | fabricecolin | 2008-06-21 16:11:47 +0800 (Sat, 21 Jun 2008) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/Accoona.src
   M /trunk/NEWS

Removing Accoona, it's now a B2B search engine.

------------------------------------------------------------------------
r1286 | fabricecolin | 2008-06-21 16:11:00 +0800 (Sat, 21 Jun 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/A9.src

Fixed results extraction.

------------------------------------------------------------------------
r1283 | fabricecolin | 2008-06-21 12:14:51 +0800 (Sat, 21 Jun 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current logs.

------------------------------------------------------------------------
r1282 | fabricecolin | 2008-06-21 12:06:37 +0800 (Sat, 21 Jun 2008) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Current translations.

------------------------------------------------------------------------
r1281 | fabricecolin | 2008-06-21 12:04:55 +0800 (Sat, 21 Jun 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/NEWS
   M /trunk/TODO
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Preparing for v0.86 release.

------------------------------------------------------------------------
r1280 | fabricecolin | 2008-06-19 23:05:50 +0800 (Thu, 19 Jun 2008) | 3 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp
   M /trunk/Collect/CurlDownloader.h
   M /trunk/Collect/DownloaderFactory.cpp
   M /trunk/Collect/DownloaderFactory.h
   M /trunk/Collect/DownloaderInterface.cpp
   M /trunk/Collect/DownloaderInterface.h
   M /trunk/Collect/FileCollector.cpp
   M /trunk/Collect/FileCollector.h
   M /trunk/Collect/MboxCollector.cpp
   M /trunk/Collect/MboxCollector.h
   M /trunk/Collect/NeonDownloader.cpp
   M /trunk/Collect/NeonDownloader.h
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/DBusIndex.h
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/IndexSearch/FilterWrapper.h
   M /trunk/IndexSearch/Google/GoogleAPIEngine.cpp
   M /trunk/IndexSearch/Google/GoogleAPIEngine.h
   M /trunk/IndexSearch/IndexInterface.h
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/ModuleFactory.h
   M /trunk/IndexSearch/OpenSearchParser.cpp
   M /trunk/IndexSearch/OpenSearchParser.h
   M /trunk/IndexSearch/PluginParsers.h
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/PluginWebEngine.h
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/QueryProperties.h
   M /trunk/IndexSearch/ResultsExporter.cpp
   M /trunk/IndexSearch/ResultsExporter.h
   M /trunk/IndexSearch/SOAPEnvH.h
   M /trunk/IndexSearch/SOAPEnvStub.h
   M /trunk/IndexSearch/SearchEngineInterface.cpp
   M /trunk/IndexSearch/SearchEngineInterface.h
   M /trunk/IndexSearch/SearchPluginProperties.cpp
   M /trunk/IndexSearch/SearchPluginProperties.h
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/IndexSearch/SherlockParser.h
   M /trunk/IndexSearch/WebEngine.cpp
   M /trunk/IndexSearch/WebEngine.h
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp
   M /trunk/IndexSearch/Xapian/AbstractGenerator.h
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   M /trunk/IndexSearch/Xapian/LanguageDetector.h
   M /trunk/IndexSearch/Xapian/ModuleExports.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.h
   M /trunk/IndexSearch/Xapian/XapianDatabaseFactory.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabaseFactory.h
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.h
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h
   M /trunk/IndexSearch/XesamLog.h
   M /trunk/IndexSearch/pinot-index.cpp
   M /trunk/IndexSearch/pinot-label.cpp
   M /trunk/IndexSearch/pinot-search.cpp
   M /trunk/Monitor/INotifyMonitor.cpp
   M /trunk/Monitor/INotifyMonitor.h
   M /trunk/Monitor/MonitorEvent.cpp
   M /trunk/Monitor/MonitorEvent.h
   M /trunk/Monitor/MonitorFactory.cpp
   M /trunk/Monitor/MonitorFactory.h
   M /trunk/Monitor/MonitorHandler.cpp
   M /trunk/Monitor/MonitorHandler.h
   M /trunk/Monitor/MonitorInterface.h
   M /trunk/SQL/ActionQueue.cpp
   M /trunk/SQL/ActionQueue.h
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/SQL/QueryHistory.h
   M /trunk/SQL/SQLDB.cpp
   M /trunk/SQL/SQLDB.h
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h
   M /trunk/SQL/ViewHistory.cpp
   M /trunk/SQL/ViewHistory.h
   M /trunk/SQL/historytest.cpp
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/FilterUtils.h
   M /trunk/Tokenize/TextConverter.cpp
   M /trunk/Tokenize/TextConverter.h
   M /trunk/Tokenize/Tokenizer.cpp
   M /trunk/Tokenize/Tokenizer.h
   M /trunk/Tokenize/tokenizertest.cpp
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/EnginesTree.cpp
   M /trunk/UI/GTK2/src/EnginesTree.h
   M /trunk/UI/GTK2/src/IndexPage.cpp
   M /trunk/UI/GTK2/src/IndexPage.h
   M /trunk/UI/GTK2/src/ModelColumns.cpp
   M /trunk/UI/GTK2/src/ModelColumns.h
   M /trunk/UI/GTK2/src/Notebook.cpp
   M /trunk/UI/GTK2/src/Notebook.h
   M /trunk/UI/GTK2/src/OnDiskHandler.h
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/PinotUtils.cpp
   M /trunk/UI/GTK2/src/PinotUtils.h
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/ResultsTree.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/importDialog.hh
   M /trunk/UI/GTK2/src/indexDialog.cc
   M /trunk/UI/GTK2/src/indexDialog.hh
   M /trunk/UI/GTK2/src/launcherDialog.cc
   M /trunk/UI/GTK2/src/launcherDialog.hh
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/prefsDialog.cc
   M /trunk/UI/GTK2/src/prefsDialog.hh
   M /trunk/UI/GTK2/src/propertiesDialog.cc
   M /trunk/UI/GTK2/src/propertiesDialog.hh
   M /trunk/UI/GTK2/src/queryDialog.cc
   M /trunk/UI/GTK2/src/queryDialog.hh
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh
   M /trunk/Utils/CommandLine.cpp
   M /trunk/Utils/CommandLine.h
   M /trunk/Utils/Document.cpp
   M /trunk/Utils/Document.h
   M /trunk/Utils/DocumentInfo.cpp
   M /trunk/Utils/DocumentInfo.h
   M /trunk/Utils/Languages.cpp
   M /trunk/Utils/Languages.h
   M /trunk/Utils/MIMEScanner.cpp
   M /trunk/Utils/MIMEScanner.h
   M /trunk/Utils/NLS.h
   M /trunk/Utils/StringManip.cpp
   M /trunk/Utils/StringManip.h
   M /trunk/Utils/TimeConverter.cpp
   M /trunk/Utils/TimeConverter.h
   M /trunk/Utils/Timer.cpp
   M /trunk/Utils/Timer.h
   M /trunk/Utils/Url.cpp
   M /trunk/Utils/Url.h

Generated SOAP headers with gsoap 2.7.10, removed erroneous reference to the
"Library General Public License" from all relevant files.

------------------------------------------------------------------------
r1279 | fabricecolin | 2008-06-18 20:29:58 +0800 (Wed, 18 Jun 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/Makefile.am

Added HTTP_CFLAGS, following recent changes to TimeConverter.

------------------------------------------------------------------------
r1278 | fabricecolin | 2008-06-18 20:28:59 +0800 (Wed, 18 Jun 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc

Hmm I would have sworn SIGTERM was caught here.

------------------------------------------------------------------------
r1277 | fabricecolin | 2008-06-15 22:28:43 +0800 (Sun, 15 Jun 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.am

New target "manuals" to generate man pages with help2man.

------------------------------------------------------------------------
r1276 | fabricecolin | 2008-06-15 22:25:01 +0800 (Sun, 15 Jun 2008) | 2 lines
Changed paths:
   M /trunk/pinot.desktop

Japanese and Simplified Chinese were missing in there.

------------------------------------------------------------------------
r1275 | fabricecolin | 2008-06-15 22:24:18 +0800 (Sun, 15 Jun 2008) | 6 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp

On a full scan, change the status of all entries in CrawlHistory so that we can
unindex orphaned documents at the end of the scan, ie documents that belong to
deleted sources. Documents that have been deleted since the last full scan are
still unindexed at the end of source scans.
Do full scans on Reload.

------------------------------------------------------------------------
r1274 | fabricecolin | 2008-06-15 22:19:55 +0800 (Sun, 15 Jun 2008) | 4 lines
Changed paths:
   M /trunk/Utils/TimeConverter.cpp
   M /trunk/Utils/TimeConverter.h

The string generated by toTimestamp() has a time zone spec, not a name. Replaced
fromTimestamp() with Neon's or Curl's date parsing function, depending on which
is enabled, Curl being the preferred option.

------------------------------------------------------------------------
r1273 | fabricecolin | 2008-06-15 22:15:24 +0800 (Sun, 15 Jun 2008) | 2 lines
Changed paths:
   M /trunk

Edited externals to use http, since BerliOS decided to drop svn adn svn+ssh.

------------------------------------------------------------------------
r1272 | fabricecolin | 2008-05-28 22:28:35 +0800 (Wed, 28 May 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/PluginWebEngine.cpp

In DEBUG mode, prefix the name of the file output is saved to with the engine's
hostname.

------------------------------------------------------------------------
r1271 | fabricecolin | 2008-05-28 22:26:25 +0800 (Wed, 28 May 2008) | 4 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp
   M /trunk/Collect/DownloaderInterface.cpp
   M /trunk/Collect/DownloaderInterface.h
   M /trunk/Collect/NeonDownloader.cpp

Both Neon and CurlDownloader look for a Last-Modified header and use that as
the document's timestamp.
In DownloaderInterface, the timeout is in seconds.

------------------------------------------------------------------------
r1270 | fabricecolin | 2008-05-23 23:31:01 +0800 (Fri, 23 May 2008) | 2 lines
Changed paths:
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/SQL/QueryHistory.h
   M /trunk/UI/GTK2/src/ResultsTree.cpp

We are actually interested in the date results are found and stored.

------------------------------------------------------------------------
r1269 | fabricecolin | 2008-05-23 23:27:37 +0800 (Fri, 23 May 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/Notebook.cpp
   M /trunk/UI/GTK2/src/Notebook.h

Use a custom style for tab buttons, as used by gnome-terminal.

------------------------------------------------------------------------
r1268 | fabricecolin | 2008-05-22 20:47:17 +0800 (Thu, 22 May 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/IndexPage.cpp
   M /trunk/UI/GTK2/src/IndexPage.h

Disconnect the queries combobox's changed signal before populating it and
reconnect when done.

------------------------------------------------------------------------
r1267 | fabricecolin | 2008-05-21 22:37:14 +0800 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp

We might as well trim spaces off the user-supplied query too.

------------------------------------------------------------------------
r1266 | fabricecolin | 2008-05-21 22:36:25 +0800 (Wed, 21 May 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Skip CJKV terms in getCloseTerms().

------------------------------------------------------------------------
r1265 | fabricecolin | 2008-05-20 22:47:50 +0800 (Tue, 20 May 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Synced with recent changes to QueryHistory.
Don't offer suggestions if the current live query term is a filter or a range.

------------------------------------------------------------------------
r1264 | fabricecolin | 2008-05-20 22:45:08 +0800 (Tue, 20 May 2008) | 3 lines
Changed paths:
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/SQL/QueryHistory.h
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp

We might as well drop the Language column since it was used as charset and all
the fields stored in this table are converted to UTF-8 prior to insertion.

------------------------------------------------------------------------
r1263 | fabricecolin | 2008-05-20 20:49:34 +0800 (Tue, 20 May 2008) | 3 lines
Changed paths:
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/SQL/QueryHistory.h

Date is now part of the primary key so that we can have several snapshots of
query results.

------------------------------------------------------------------------
r1262 | fabricecolin | 2008-05-19 18:05:32 +0800 (Mon, 19 May 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp

Trim spaces off query strings after removing filters to make sure we don't pass
strings consisting exclusively of spaces to Web engines.

------------------------------------------------------------------------
r1261 | fabricecolin | 2008-05-19 15:37:41 +0800 (Mon, 19 May 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/IndexPage.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Name *History objects in a uniform manner to facilitate grepping the source.

------------------------------------------------------------------------
r1260 | fabricecolin | 2008-05-19 11:45:29 +0800 (Mon, 19 May 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

In ignore-version mode, we'd better reset the index labels list too as
xapian-compact will <= 1.06 will have dropped it at the same time as the version
number.

------------------------------------------------------------------------
r1259 | fabricecolin | 2008-05-19 11:40:27 +0800 (Mon, 19 May 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml

The DocumentInfo methods also handle the "extract" field.

------------------------------------------------------------------------
r1258 | fabricecolin | 2008-05-19 11:33:01 +0800 (Mon, 19 May 2008) | 3 lines
Changed paths:
   M /trunk/scripts/python/pinot-module.py

Support for snippets. I am not convinced this is useful considering the current
Deskbar interface, so this is disabled for now.

------------------------------------------------------------------------
r1257 | fabricecolin | 2008-05-19 11:30:29 +0800 (Mon, 19 May 2008) | 3 lines
Changed paths:
   M /trunk/SQL/SQLDB.h
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h

Utility method alterTable() to work-around SQLite's limited implementation of
ALTER TABLE.

------------------------------------------------------------------------
r1256 | fabricecolin | 2008-05-16 23:22:46 +0800 (Fri, 16 May 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/mainWindow.cc

Refresh index lists with browse_index() when LabelUpdateThread returns, if
necessary. When the query combox is updated, the change of selection will lead
to a call to browse_index().

------------------------------------------------------------------------
r1255 | fabricecolin | 2008-05-16 23:08:07 +0800 (Fri, 16 May 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp

Don't serialize to DBus empty fields. Added extract to the mix.
Both getLabels() and getDocumentLabels() now always query the daemon and not
the index.

------------------------------------------------------------------------
r1254 | fabricecolin | 2008-05-16 21:54:18 +0800 (Fri, 16 May 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/Notebook.cpp
   M /trunk/UI/GTK2/src/Notebook.h

Prettier, but still too big, buttons in notebook tabs when _USE_BUTTON_TAB is
defined.

------------------------------------------------------------------------
r1252 | fabricecolin | 2008-05-11 17:27:37 +0800 (Sun, 11 May 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current ChangeLogs.

------------------------------------------------------------------------
r1251 | fabricecolin | 2008-05-11 10:17:10 +0800 (Sun, 11 May 2008) | 2 lines
Changed paths:
   M /trunk/NEWS

List latest changes.

------------------------------------------------------------------------
r1250 | fabricecolin | 2008-05-11 10:16:14 +0800 (Sun, 11 May 2008) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Synced with latest changes.

------------------------------------------------------------------------
r1249 | fabricecolin | 2008-05-09 21:35:29 +0800 (Fri, 09 May 2008) | 2 lines
Changed paths:
   M /trunk/Utils/xdgmime/ChangeLog
   M /trunk/Utils/xdgmime/xdgmime.c
   M /trunk/Utils/xdgmime/xdgmime.h
   M /trunk/Utils/xdgmime/xdgmimealias.h
   M /trunk/Utils/xdgmime/xdgmimecache.c
   M /trunk/Utils/xdgmime/xdgmimecache.h
   M /trunk/Utils/xdgmime/xdgmimemagic.c
   M /trunk/Utils/xdgmime/xdgmimemagic.h
   M /trunk/Utils/xdgmime/xdgmimeparent.h

Synced with current gtk+'s xdgmime.

------------------------------------------------------------------------
r1248 | fabricecolin | 2008-05-09 21:33:05 +0800 (Fri, 09 May 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp

Fix for previous checkin.

------------------------------------------------------------------------
r1247 | fabricecolin | 2008-05-09 21:32:20 +0800 (Fri, 09 May 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp

Only set a default title if the document is not to passed to another filter.

------------------------------------------------------------------------
r1246 | fabricecolin | 2008-05-09 00:36:04 +0800 (Fri, 09 May 2008) | 5 lines
Changed paths:
   M /trunk/IndexSearch/WebEngine.cpp
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

A fix for QueryModifier when the query is one CJKV character only.
AbstractGenerator needs to skip long n-grams early on when populating the
chosen window.
Cosmetic changes here and there.

------------------------------------------------------------------------
r1245 | fabricecolin | 2008-05-08 20:20:55 +0800 (Thu, 08 May 2008) | 6 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/WebEngine.cpp
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp

AbstractGenerator and WebEngine's TermHighlighter skip multi-character CJKV
terms to avoid repetition in extracts.
QueryProperties' FilterRemover does what the name implies and simply removes
filters and ranges from a query instead of trying to rebuild it one token at a
time.

------------------------------------------------------------------------
r1244 | fabricecolin | 2008-05-06 22:57:51 +0800 (Tue, 06 May 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

If the global configuration file couldn't be open, don't assume a first run.

------------------------------------------------------------------------
r1243 | fabricecolin | 2008-05-06 22:56:48 +0800 (Tue, 06 May 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/FilterWrapper.cpp
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/TextConverter.cpp
   M /trunk/Tokenize/TextConverter.h

Overloaded TextConverter::toUTF8(). FilterWrapper uses the new method
Filter::set_utf8_converter(). Some minor changes.

------------------------------------------------------------------------
r1242 | fabricecolin | 2008-05-05 20:36:21 +0800 (Mon, 05 May 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/NEWS
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Bumped version number to 0.85.

------------------------------------------------------------------------
r1241 | fabricecolin | 2008-05-05 20:07:50 +0800 (Mon, 05 May 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml

Removed JPEG from default blacklist.
Cosmetic modifications to pinot-dbus-daemon.xml.

------------------------------------------------------------------------
r1240 | fabricecolin | 2008-05-04 22:09:28 +0800 (Sun, 04 May 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h

In MonitorThread::stop(), write to the control pipe after the stop flag is set
by the call to the parent's method.
Removed unused method.

------------------------------------------------------------------------
r1239 | fabricecolin | 2008-05-03 14:25:58 +0800 (Sat, 03 May 2008) | 3 lines
Changed paths:
   M /trunk/README

Mention the limitation of mixed queries doesn't apply to 0.85 and newer and give
an example.

------------------------------------------------------------------------
r1238 | fabricecolin | 2008-05-03 14:17:10 +0800 (Sat, 03 May 2008) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/README
   M /trunk/pinot.spec.in

New dependency on libexif.
Added Mizuki-san to the AUTHORS file.

------------------------------------------------------------------------
r1237 | fabricecolin | 2008-05-03 14:13:44 +0800 (Sat, 03 May 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/WebEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

Rely on the CJKV TokensHandler interface to remove filters from queries and get
sets of terms (QueryProperties), highlight terms (WebEngine) and tweak mixed
CJKV queries (XapianEngine).

------------------------------------------------------------------------
r1236 | fabricecolin | 2008-05-03 14:10:08 +0800 (Sat, 03 May 2008) | 2 lines
Changed paths:
   M /trunk/Makefile.am

David Paleino suggests removing the dependency on the m4 directory.

------------------------------------------------------------------------
r1235 | fabricecolin | 2008-05-03 14:06:48 +0800 (Sat, 03 May 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/Tokenize/Makefile.am
   M /trunk/configure.in
   A /trunk/po/ja.po

CJKVTokenizer is useful to code outside of the Xapian back-end and should be
in libTokenize. The new Exif filter is also compiled.
Adding Mizuki-san's Japanese translation.

------------------------------------------------------------------------
r1234 | fabricecolin | 2008-04-29 20:57:49 +0800 (Tue, 29 Apr 2008) | 7 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h

We don't need to keep the Glib::Thread pointer around since all threads detach.
Therefore entries can be inserted in the threads list before the new thread
is started, and we get rid of a possible race condition between list insertion
and thread exit.
In ThreadsManager::get_thread(), the list should be locked in write mode since
entries are removed.

------------------------------------------------------------------------
r1233 | fabricecolin | 2008-04-23 22:42:02 +0800 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

If a language is already specified, don't use it blindly but see if it has a
stemmer. If it doesn't, then scan the document.

------------------------------------------------------------------------
r1232 | fabricecolin | 2008-04-23 22:40:21 +0800 (Wed, 23 Apr 2008) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/OnDiskHandler.cpp

In DaemonState, if new directories are queued for crawling, if there's no
DirectoryScanner thread running, they won't be picked up. Call start_crawling()
after an addition to the queue, this will start a new crawler if necessary.
OnDiskHandler wasn't able to get the source label of files.

------------------------------------------------------------------------
r1231 | fabricecolin | 2008-04-23 22:04:22 +0800 (Wed, 23 Apr 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

If the PID file is still there, open /proc/daemon_pid/cmdline and see whether
the given process is pinot-dbus-daemon.

------------------------------------------------------------------------
r1230 | fabricecolin | 2008-04-12 16:36:39 +0800 (Sat, 12 Apr 2008) | 3 lines
Changed paths:
   M /trunk/SQL/ActionQueue.cpp
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/Makefile.am
   M /trunk/SQL/QueryHistory.cpp
   A /trunk/SQL/SQLDB.cpp
   A /trunk/SQL/SQLDB.h
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h
   M /trunk/SQL/ViewHistory.cpp

Moved generic code to SQLDB. This should allow implementing support for
other databases, if there's ever a need to.

------------------------------------------------------------------------
r1229 | fabricecolin | 2008-04-11 23:40:10 +0800 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/SQL/QueryHistory.h
   M /trunk/SQL/SQLiteBase.cpp
   M /trunk/SQL/SQLiteBase.h
   M /trunk/SQL/ViewHistory.cpp
   M /trunk/SQL/ViewHistory.h

Mostly namespace related cleanups.

------------------------------------------------------------------------
r1228 | fabricecolin | 2008-04-03 21:07:15 +0800 (Thu, 03 Apr 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Open the PID file, exit if that process is still running.

------------------------------------------------------------------------
r1226 | fabricecolin | 2008-03-27 16:32:05 +0800 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Current ChangeLogs.

------------------------------------------------------------------------
r1225 | fabricecolin | 2008-03-27 16:28:56 +0800 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/NEWS

Forgot to mention the new plugin for UNdata.

------------------------------------------------------------------------
r1224 | fabricecolin | 2008-03-27 14:25:09 +0800 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/NEWS

List of changes since 0.83.

------------------------------------------------------------------------
r1223 | fabricecolin | 2008-03-27 10:09:44 +0800 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/TODO
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Preparing for 0.84 release.

------------------------------------------------------------------------
r1222 | fabricecolin | 2008-03-27 10:08:00 +0800 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/Makefile.am

Don't use -nostartfiles.

------------------------------------------------------------------------
r1221 | fabricecolin | 2008-03-27 10:00:36 +0800 (Thu, 27 Mar 2008) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Translations updates.

------------------------------------------------------------------------
r1220 | fabricecolin | 2008-03-26 14:24:03 +0800 (Wed, 26 Mar 2008) | 2 lines
Changed paths:
   M /trunk/FAQ

New FAQ entry about how to compact the index.

------------------------------------------------------------------------
r1219 | fabricecolin | 2008-03-26 14:11:14 +0800 (Wed, 26 Mar 2008) | 6 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Ignore the index version number, i.e. don't force an upgrade if it's lower than
what was expected, if -i/--ignore-version is passed as parameter.
This is useful when ~/.pinot/daemon was compacted with xapian-compact 1.0.6,
which unlike previous releases, doesn't bail out on index metadata, but fails
to carry metadata over to the compacted database.

------------------------------------------------------------------------
r1218 | fabricecolin | 2008-03-26 11:05:37 +0800 (Wed, 26 Mar 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/QueryProperties.h
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/queryDialog.cc
   M /trunk/UI/GTK2/src/queryDialog.hh
   M /trunk/UI/GTK2/src/queryDialog_glade.cc
   M /trunk/UI/GTK2/src/queryDialog_glade.hh

Queries can now index only new results.

------------------------------------------------------------------------
r1217 | fabricecolin | 2008-03-24 16:08:36 +0800 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   A /trunk/IndexSearch/Plugins/UNData.src

A plugin for UNdata.

------------------------------------------------------------------------
r1216 | fabricecolin | 2008-03-24 16:07:50 +0800 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/PluginWebEngine.cpp

Ensure scroll-by parameters are not empty before appending them to the URL.

------------------------------------------------------------------------
r1215 | fabricecolin | 2008-03-24 15:19:54 +0800 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure.in
   A /trunk/po/zh_CN.po

Simplified Chinese po by Ashlee Ma.

------------------------------------------------------------------------
r1214 | fabricecolin | 2008-03-24 14:42:58 +0800 (Mon, 24 Mar 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

Don't scan the document to index for its language if it's already known. As
things stand, it never is when indexDocument() is invoked.

------------------------------------------------------------------------
r1213 | fabricecolin | 2008-03-24 14:26:15 +0800 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/prefsDialog.cc
   M /trunk/UI/GTK2/src/prefsDialog.hh
   M /trunk/UI/GTK2/src/prefsDialog_glade.cc
   M /trunk/UI/GTK2/src/prefsDialog_glade.hh

In Preferences, patterns can be reset to default values.

------------------------------------------------------------------------
r1212 | fabricecolin | 2008-03-24 13:13:17 +0800 (Mon, 24 Mar 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Initialize the dbus-status metadata.

------------------------------------------------------------------------
r1211 | fabricecolin | 2008-03-22 00:18:50 +0800 (Sat, 22 Mar 2008) | 7 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/OnDiskHandler.cpp
   M /trunk/UI/GTK2/src/OnDiskHandler.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Pass parameters to the file_found signal by value, not reference.
DaemonState and mainWindow don't delete the monitor and handler objects when
destroyed because the Monitor thread might still be running.
Added flags for when the daemon receives Stop or Disconnected. This is saved
as database metadata, and shown by the Status window.
Some other minor mods.

------------------------------------------------------------------------
r1210 | fabricecolin | 2008-03-20 19:06:31 +0800 (Thu, 20 Mar 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/DBusIndex.h
   M /trunk/IndexSearch/IndexInterface.h
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h
   M /trunk/IndexSearch/pinot-index.cpp

Replaced get|setVersion() with get|setMetadata().
In showinfo mode, pinot-index shows the index version string.

------------------------------------------------------------------------
r1209 | fabricecolin | 2008-03-17 09:58:43 +0800 (Mon, 17 Mar 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

Missing header, minor mod.

------------------------------------------------------------------------
r1208 | fabricecolin | 2008-03-15 21:16:04 +0800 (Sat, 15 Mar 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/mainWindow.hh

Const'ified parameter to view_documents().

------------------------------------------------------------------------
r1207 | fabricecolin | 2008-03-15 21:15:02 +0800 (Sat, 15 Mar 2008) | 2 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp

Cosmetic changes.

------------------------------------------------------------------------
r1206 | fabricecolin | 2008-03-15 21:14:22 +0800 (Sat, 15 Mar 2008) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Monitor/linux-inotify-syscalls.h

A patch by Michael Biebl for m68k, mips, mipsel and hppa.

------------------------------------------------------------------------
r1205 | fabricecolin | 2008-03-15 21:12:46 +0800 (Sat, 15 Mar 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

Use the new CJKVTokenizer::TokensHandler class to tokenize CJKV. The spelling
database is populated.

------------------------------------------------------------------------
r1204 | fabricecolin | 2008-03-15 21:09:09 +0800 (Sat, 15 Mar 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/ResultsExporter.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Prefer snprintf() to sprintf().

------------------------------------------------------------------------
r1203 | fabricecolin | 2008-03-15 21:06:27 +0800 (Sat, 15 Mar 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.cpp

Close stuff at exit.

------------------------------------------------------------------------
r1202 | fabricecolin | 2008-03-08 17:18:12 +0800 (Sat, 08 Mar 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/OnDiskHandler.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h

Be careful when applying source labels.
IndexingThread redefined m_docInfo needlessly.

------------------------------------------------------------------------
r1201 | fabricecolin | 2008-03-04 19:55:08 +0800 (Tue, 04 Mar 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp

Prior to asking for a write lock, always request for a read/write database.
In practice, no harm is done since the database is open read/write at startup.

------------------------------------------------------------------------
r1200 | fabricecolin | 2008-03-03 19:45:01 +0800 (Mon, 03 Mar 2008) | 2 lines
Changed paths:
   M /trunk/README

Examples of what blacklisting does.

------------------------------------------------------------------------
r1198 | fabricecolin | 2008-02-28 19:02:07 +0800 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

Updated logs.

------------------------------------------------------------------------
r1197 | fabricecolin | 2008-02-28 18:58:50 +0800 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/TODO
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_TW.po

NEWS describes changes made since 0.82. Updated TODO and synced po's.

------------------------------------------------------------------------
r1196 | fabricecolin | 2008-02-27 23:12:26 +0800 (Wed, 27 Feb 2008) | 2 lines
Changed paths:
   M /trunk/Collect/CurlDownloader.cpp
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/PluginWebEngine.cpp
   M /trunk/IndexSearch/SherlockParser.cpp
   M /trunk/IndexSearch/Xapian/LanguageDetector.cpp
   M /trunk/IndexSearch/Xapian/XapianDatabase.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/pinot-label.cpp
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/QueryHistory.cpp
   M /trunk/SQL/ViewHistory.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/propertiesDialog.cc
   M /trunk/Utils/MIMEScanner.cpp

A patch by Adel Gadllah to compile with gcc 4.3.

------------------------------------------------------------------------
r1195 | fabricecolin | 2008-02-27 23:09:26 +0800 (Wed, 27 Feb 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/ServerThreads.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h

The scanner thread should run in the background because we don't want to stop
it after 5 minutes !
Threads that override stop() better call the base class method.

------------------------------------------------------------------------
r1194 | fabricecolin | 2008-02-26 22:17:42 +0800 (Tue, 26 Feb 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in

Increased version number.

------------------------------------------------------------------------
r1193 | fabricecolin | 2008-02-26 20:17:17 +0800 (Tue, 26 Feb 2008) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/README

Mention contributions of Yung-chung Lin (Dijon's CJKV tokenizer) and David
Paleino (.desktop files).
README describes to what extent CJKV is supported.

------------------------------------------------------------------------
r1192 | fabricecolin | 2008-02-25 23:54:15 +0800 (Mon, 25 Feb 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

Mostly cosmetic changes.

------------------------------------------------------------------------
r1191 | fabricecolin | 2008-02-25 21:50:45 +0800 (Mon, 25 Feb 2008) | 3 lines
Changed paths:
   M /trunk
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_TW.po

Added IndexSearch/cjkv to externals list.
Updated translations, including latest es.po pulled from Rosetta.

------------------------------------------------------------------------
r1190 | fabricecolin | 2008-02-25 21:48:25 +0800 (Mon, 25 Feb 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/Google/Makefile.am
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am

Build IndexSearch/cjkv/CJKVTokenizer, link libxapianbackend against MISC_LIBS.
Get soapcpp2 to look for includes in /usr/share/gsoap/import.
Link pinot-label with -rdynamic.

------------------------------------------------------------------------
r1189 | fabricecolin | 2008-02-25 19:30:55 +0800 (Mon, 25 Feb 2008) | 3 lines
Changed paths:
   M /trunk/pinot-dbus-daemon.desktop
   M /trunk/pinot.desktop

David Paleino points out that the Encoding key is deprecated. See
http://standards.freedesktop.org/desktop-entry-spec/latest/apc.html

------------------------------------------------------------------------
r1188 | fabricecolin | 2008-02-24 19:15:56 +0800 (Sun, 24 Feb 2008) | 7 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

First shot at CJKV support. Documents that have CJKV are processed with Dijon's
CJKVTokenizer and indexed in a manner compatible with TermGenerator's. Queries
that are exclusively CJKV are pre-processed by CJKVTokenizer, then fed to the
QueryParser.
Changed XapianIndex::removePostingsFromDocument() to reuse the term generation
code of addPostingsToDocument().

------------------------------------------------------------------------
r1187 | fabricecolin | 2008-02-22 22:22:26 +0800 (Fri, 22 Feb 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am
   A /trunk/IndexSearch/XesamLog.h

Provide XesamLog.h, required by the latest code in xesam/.

------------------------------------------------------------------------
r1186 | fabricecolin | 2008-02-22 21:43:26 +0800 (Fri, 22 Feb 2008) | 7 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/mainWindow.cc

Avoid rebuilding DocumentInfo objects, at least use the copy constructor to
avoid losing properties, for instance after importing a document into My Web
Pages.
The import dialog's OK button should alway be disabled if no URL is provided.
In ResultsTree, don't bother getting the extract in flat mode, ie when the tree
is embedded in an IndexPage.

------------------------------------------------------------------------
r1185 | fabricecolin | 2008-02-21 22:37:36 +0800 (Thu, 21 Feb 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Option --fullscan doesn't need a parameter !
Added flv to default blacklist, removed far too frequent DEBUG message.

------------------------------------------------------------------------
r1184 | fabricecolin | 2008-02-21 22:36:02 +0800 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Plugins/Google.src

Fixed parsing.

------------------------------------------------------------------------
r1183 | fabricecolin | 2008-02-21 22:35:29 +0800 (Thu, 21 Feb 2008) | 4 lines
Changed paths:
   M /trunk/SQL/CrawlHistory.cpp
   M /trunk/SQL/CrawlHistory.h
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

Modified CrawlHistory to provide errors' dates.
statisticsDialog could previously miss errors starting with the second source
because it didn't keep track of the latest error date for each source.

------------------------------------------------------------------------
r1182 | fabricecolin | 2008-02-21 22:32:49 +0800 (Thu, 21 Feb 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/ResultsTree.h

findResultsExtract() tries all engines the result belongs to until a proper
extract is found.

------------------------------------------------------------------------
r1181 | fabricecolin | 2008-02-20 22:40:56 +0800 (Wed, 20 Feb 2008) | 9 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/IndexSearch/pinot-search.cpp
   M /trunk/README

In XapianEngine, if the query matched a Z-prefixed term (ie a stem, because
stemming is enabled), find terms in each document that are potential unstems
and use those as seed terms to generate the abstract. This may throw false
positives as the matched stem isn't compared against those termss stemmed form.
The pinot-search program now has a "--stemming/-s" parameter to specify a
stemming language, in English not in the locale !
The README emphasizes that stemming is applied only if there is no exact match,
and that the directory filter is recursive.

------------------------------------------------------------------------
r1180 | fabricecolin | 2008-02-18 19:38:52 +0800 (Mon, 18 Feb 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Set the locale according to the environment variables.
Don't be silly and don't attempt to catch SIGKILL :-)

------------------------------------------------------------------------
r1179 | fabricecolin | 2008-02-18 19:35:17 +0800 (Mon, 18 Feb 2008) | 4 lines
Changed paths:
   M /trunk/Tokenize/FilterUtils.cpp
   M /trunk/Tokenize/Makefile.am
   A /trunk/Tokenize/TextConverter.cpp
   A /trunk/Tokenize/TextConverter.h

In FilterUtils::populateDocument(), look out for a charset in the filter's
output, and convert both title and content to UTF-8 using the new TextConverter
class.

------------------------------------------------------------------------
r1178 | fabricecolin | 2008-02-18 19:17:58 +0800 (Mon, 18 Feb 2008) | 5 lines
Changed paths:
   M /trunk/UI/GTK2/src/ResultsTree.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc

Make tabs reorderable. There's also no good reason why the notebook shouldn't
be scrollable...
ResultsTree expected a "Xapian" engine -not available since the move to
separate back-ends- and this broke the display of results extracts.

------------------------------------------------------------------------
r1177 | fabricecolin | 2008-02-17 13:53:55 +0800 (Sun, 17 Feb 2008) | 3 lines
Changed paths:
   M /trunk/Collect/Makefile.am
   M /trunk/IndexSearch/Google/Makefile.am
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/Makefile.am
   M /trunk/Monitor/Makefile.am
   M /trunk/SQL/Makefile.am
   M /trunk/UI/GTK2/src/Makefile.am

Build everything with fPIC ! Not doing that may cause nasty surprises.
In the top-level Makefile.am, only move libxapianbackend* not lib* !

------------------------------------------------------------------------
r1175 | fabricecolin | 2008-01-26 16:58:03 +0800 (Sat, 26 Jan 2008) | 3 lines
Changed paths:
   M /trunk
   M /trunk/ChangeLog
   M /trunk/ChangeLog-dijon

ChangeLogs are nice to have, they are up to date.
Set externals to point to Dijon's trunk.

------------------------------------------------------------------------
r1174 | fabricecolin | 2008-01-26 14:54:13 +0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.1
   M /trunk/IndexSearch/pinot-label.1
   M /trunk/IndexSearch/pinot-search.1
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_TW.po

Updated manual pages and translations.

------------------------------------------------------------------------
r1173 | fabricecolin | 2008-01-26 14:51:51 +0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am
   M /trunk/configure.in

Fixed building with support for the Google SOAP API.

------------------------------------------------------------------------
r1172 | fabricecolin | 2008-01-26 11:30:03 +0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/NEWS
   M /trunk/README
   M /trunk/TODO
   M /trunk/configure.in

Preparing for 0.82 release.

------------------------------------------------------------------------
r1171 | fabricecolin | 2008-01-26 11:06:10 +0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Blacklist ".cap".

------------------------------------------------------------------------
r1170 | fabricecolin | 2008-01-26 10:54:32 +0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Disable spelling correction on in-results queries.

------------------------------------------------------------------------
r1169 | fabricecolin | 2008-01-26 10:49:13 +0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/IndexSearch/pinot-index.cpp
   M /trunk/IndexSearch/pinot-search.cpp
   M /trunk/Makefile.am
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/pinot.spec.in

Prefer "backend(s)" to "module(s)".

------------------------------------------------------------------------
r1168 | fabricecolin | 2008-01-20 20:01:45 +0800 (Sun, 20 Jan 2008) | 5 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/pinot-index.cpp
   M /trunk/IndexSearch/pinot-search.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml

HasDocument is now exported over D-Bus. As a result, pinot-label doesn't have
to open the index.
Added a -b/--backend option to pinot-index (defaults to "xapian").
Minor changes to pinot-search.

------------------------------------------------------------------------
r1167 | fabricecolin | 2008-01-19 22:48:48 +0800 (Sat, 19 Jan 2008) | 6 lines
Changed paths:
   M /trunk/UI/GTK2/src/EnginesTree.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/statisticsDialog.cc

Tried to remove dependency on engine/index type xapian. Now use whatever backend
is specified in the configuration file (defaults to xapian). This should make it
possible to use something else.
Make sure the stemming language is saved in English.
When merging queries, use the boolean operator "or" and not "|".

------------------------------------------------------------------------
r1166 | fabricecolin | 2008-01-19 17:27:47 +0800 (Sat, 19 Jan 2008) | 2 lines
Changed paths:
   D /trunk/IndexSearch/IndexFactory.cpp
   D /trunk/IndexSearch/IndexFactory.h
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/ModuleFactory.cpp
   M /trunk/IndexSearch/ModuleFactory.h
   D /trunk/IndexSearch/SearchEngineFactory.cpp
   D /trunk/IndexSearch/SearchEngineFactory.h
   M /trunk/IndexSearch/Xapian/ModuleExports.cpp

Removed obsolete factory classes. Minor mods.

------------------------------------------------------------------------
r1165 | fabricecolin | 2008-01-19 17:24:39 +0800 (Sat, 19 Jan 2008) | 2 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/QueryProperties.h

Removed getFilter() method.

------------------------------------------------------------------------
r1164 | fabricecolin | 2008-01-12 21:39:06 +0800 (Sat, 12 Jan 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/queryDialog.cc

New MIME class filter.

------------------------------------------------------------------------
r1163 | fabricecolin | 2008-01-12 21:33:34 +0800 (Sat, 12 Jan 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am

Minimize the amount of stuff pinot-label links to.
Compile Xapian/ModuleExports.cpp not ModuleExports.cc.

------------------------------------------------------------------------
r1162 | fabricecolin | 2008-01-11 23:11:44 +0800 (Fri, 11 Jan 2008) | 2 lines
Changed paths:
   M /trunk/po/sv.po

Update from Zirro, pulled out of Rosetta.

------------------------------------------------------------------------
r1161 | fabricecolin | 2008-01-11 22:54:47 +0800 (Fri, 11 Jan 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp

Better keep using 'language' as the language filter (ie "lang:" and not
"language:" as previous versions incorrectly assumed) and save the new stemming
language property to 'stemlanguage'.

------------------------------------------------------------------------
r1160 | fabricecolin | 2008-01-11 22:52:20 +0800 (Fri, 11 Jan 2008) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h

When looking for a finished thread after being signaled, stop those that have
been running for more than 5 minutes.

------------------------------------------------------------------------
r1159 | fabricecolin | 2008-01-11 22:48:24 +0800 (Fri, 11 Jan 2008) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h

New XCLASS:-prefixed term for MIME type classes, eg audio, application...
When removing a term, remove the spelling too if spelling is enabled.

------------------------------------------------------------------------
r1158 | fabricecolin | 2008-01-06 14:42:36 +0800 (Sun, 06 Jan 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/mainWindow.cc

Updated about box message.

------------------------------------------------------------------------
r1157 | fabricecolin | 2008-01-05 13:30:11 +0800 (Sat, 05 Jan 2008) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/queryDialog.hh

Changes to queryDialog.

------------------------------------------------------------------------
r1156 | fabricecolin | 2008-01-05 12:52:37 +0800 (Sat, 05 Jan 2008) | 2 lines
Changed paths:
   A /trunk/IndexSearch/Xapian/ModuleExports.cpp

This should have been checked in some time ago.

------------------------------------------------------------------------
r1155 | fabricecolin | 2008-01-01 12:28:20 +0800 (Tue, 01 Jan 2008) | 3 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_TW.po

Synced po files with the latest from Rosetta. Updates from JW (nl) and Jesus
Tramullas (es).

------------------------------------------------------------------------
r1154 | fabricecolin | 2008-01-01 09:21:51 +0800 (Tue, 01 Jan 2008) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/queryDialog.cc
   M /trunk/UI/GTK2/src/queryDialog_glade.cc
   M /trunk/UI/GTK2/src/queryDialog_glade.hh

Load and save stored queries' stemming language attribute, make it configurable
in queryDialog.
EngineQueryThread uses it as the results' language if no lang filter is set.

------------------------------------------------------------------------
r1153 | fabricecolin | 2008-01-01 09:16:53 +0800 (Tue, 01 Jan 2008) | 4 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/QueryProperties.h

The language to stem queries with is separate from the lang filter, because
- language detection is not 100% accurate
- a document in language X may have words in language Y

------------------------------------------------------------------------
r1152 | fabricecolin | 2007-12-31 06:16:37 +0800 (Mon, 31 Dec 2007) | 7 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/AbstractGenerator.cpp
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp

Fixed query stemming. We should have used STEM_SOME at least since moving to
Xapian 1.0.
Ignore spelling suggestions if the query returned results.
Ignore prefixed terms when seeding the abstracts generator. The latter doesn't
mind if there are no seed terms.
Ignore stems in query expansion.

------------------------------------------------------------------------
r1151 | fabricecolin | 2007-12-23 01:23:20 +0800 (Sun, 23 Dec 2007) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/statisticsDialog.cc
   M /trunk/UI/GTK2/src/statisticsDialog.hh

Save and load queries' modified flag.
The status window now shows which engines are available. Some other minor mod.

------------------------------------------------------------------------
r1150 | fabricecolin | 2007-12-23 01:21:14 +0800 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/IndexSearch/ModuleFactory.cpp

Disable sherlock if HAVE_BOOST_SPIRIT is not defined.

------------------------------------------------------------------------
r1149 | fabricecolin | 2007-12-19 20:49:27 +0800 (Wed, 19 Dec 2007) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/IndexSearch/SherlockParser.cpp

The user input item, if not all lower case, wasn't removed from the input items
list and would thus appear twice in the URL.
This issue was reported by Claudio Bustos Navarrete.

------------------------------------------------------------------------
r1148 | fabricecolin | 2007-12-19 20:46:37 +0800 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/README
   M /trunk/TODO
   M /trunk/pinot.spec.in

Gtkmm 2.10 is needed. Updated TODO list. Spec file installs new Xapian module.

------------------------------------------------------------------------
r1147 | fabricecolin | 2007-12-19 20:41:48 +0800 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   D /trunk/IndexSearch/Plugins/WiseNut.src

Removing WiseNut plugin.

------------------------------------------------------------------------
r1146 | fabricecolin | 2007-12-19 20:39:39 +0800 (Wed, 19 Dec 2007) | 6 lines
Changed paths:
   M /trunk/IndexSearch/pinot-index.cpp
   M /trunk/IndexSearch/pinot-label.cpp
   M /trunk/IndexSearch/pinot-search.cpp
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc
   M /trunk/UI/GTK2/src/prefsDialog.cc

Rely on ModuleFactory instead of other other factories, load modules.
pinot-label uses a pure DBusIndex object, pinot-search sets proxy options only
if the engine is a WebEngine.
Added .a .la .o .so and backup files to blacklist in PinotSettings.
Don't aapply spelling correction to More Like and previously corrected queries.

------------------------------------------------------------------------
r1145 | fabricecolin | 2007-12-19 20:31:34 +0800 (Wed, 19 Dec 2007) | 6 lines
Changed paths:
   M /trunk/Collect/Makefile.am
   M /trunk/IndexSearch/Google/Makefile.am
   M /trunk/IndexSearch/Makefile.am
   M /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/Makefile.am
   M /trunk/Tokenize/Makefile.am
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/Utils/Makefile.am
   M /trunk/configure.in

Build IndexSearch/Xapian as a dynamic library, link programs with -rdynamic.
The libUtils library has only got classes with static data, the rest goes into
libBasicUtils.
Only link to necessary libraries, eg only the mbox filter needs to link against
GMime.

------------------------------------------------------------------------
r1144 | fabricecolin | 2007-12-19 20:26:57 +0800 (Wed, 19 Dec 2007) | 3 lines
Changed paths:
   A /trunk/IndexSearch/ModuleFactory.cpp
   A /trunk/IndexSearch/ModuleFactory.h

A class to eventuall replace Index and SearchEngine factories that can be
extended through dynamically-loaded modules.

------------------------------------------------------------------------
r1143 | fabricecolin | 2007-12-19 20:21:09 +0800 (Wed, 19 Dec 2007) | 3 lines
Changed paths:
   M /trunk/IndexSearch/QueryProperties.cpp
   M /trunk/IndexSearch/QueryProperties.h
   M /trunk/IndexSearch/SearchEngineInterface.cpp
   M /trunk/IndexSearch/SearchEngineInterface.h
   M /trunk/IndexSearch/WebEngine.h

Method getDownloader() is now specific to WebEngine.
QueryProperties has a modified flag to record automatic alterations.

------------------------------------------------------------------------
r1142 | fabricecolin | 2007-12-19 20:19:00 +0800 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/IndexSearch/DBusIndex.cpp
   M /trunk/IndexSearch/DBusIndex.h

DBus-enabled overloads are used automatically if there's no nested Index.

------------------------------------------------------------------------
r1141 | fabricecolin | 2007-12-19 20:15:54 +0800 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/Monitor/INotifyMonitor.cpp
   M /trunk/Monitor/INotifyMonitor.h

Remember whether inotify_add_watch() failed with ENOSPC.

------------------------------------------------------------------------
r1140 | fabricecolin | 2007-12-11 23:34:47 +0800 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/queryDialog.cc

Removed unused include.

------------------------------------------------------------------------
r1139 | fabricecolin | 2007-12-03 23:48:26 +0800 (Mon, 03 Dec 2007) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Xapian/XapianEngine.h
   M /trunk/UI/GTK2/src/OnDiskHandler.cpp
   M /trunk/UI/GTK2/src/OnDiskHandler.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/propertiesDialog.cc

Removed superfluous includes, replaced instances of XapianIndex with an object
obtained from PinotSettings::getIndex().

------------------------------------------------------------------------
r1138 | fabricecolin | 2007-12-01 22:52:21 +0800 (Sat, 01 Dec 2007) | 2 lines
Changed paths:
   M /trunk/pinot.spec.in

Now requires gtkmm24 >= 2.10.

------------------------------------------------------------------------
r1137 | fabricecolin | 2007-12-01 18:05:14 +0800 (Sat, 01 Dec 2007) | 2 lines
Changed paths:
   D /trunk/Index
   D /trunk/Search

Obsolete.

------------------------------------------------------------------------
r1136 | fabricecolin | 2007-12-01 17:50:05 +0800 (Sat, 01 Dec 2007) | 3 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/Makefile.am
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/ServerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc
   M /trunk/UI/GTK2/src/pinot.cc

Get headers and libraries from IndexSearch.
Obtain indexes from PinotSettings. Use new DBusIndex class.

------------------------------------------------------------------------
r1135 | fabricecolin | 2007-12-01 17:39:35 +0800 (Sat, 01 Dec 2007) | 3 lines
Changed paths:
   M /trunk/IndexSearch/Google/Makefile.am
   A /trunk/IndexSearch/Makefile.am
   A /trunk/IndexSearch/Xapian/Makefile.am
   M /trunk/Makefile.am
   M /trunk/configure.in

Build and distribute contents of IndexSearch.
Configure now checks for gtkmm >= 2.10.

------------------------------------------------------------------------
r1134 | fabricecolin | 2007-12-01 17:36:25 +0800 (Sat, 01 Dec 2007) | 3 lines
Changed paths:
   A /trunk/IndexSearch/DBusIndex.cpp
   A /trunk/IndexSearch/DBusIndex.h
   D /trunk/IndexSearch/DBusXapianIndex.cpp
   D /trunk/IndexSearch/DBusXapianIndex.h
   M /trunk/IndexSearch/IndexFactory.cpp
   M /trunk/IndexSearch/IndexInterface.h
   M /trunk/IndexSearch/Xapian/XapianEngine.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.cpp
   M /trunk/IndexSearch/Xapian/XapianIndex.h
   M /trunk/IndexSearch/pinot-label.cpp

Added IndexInterface::reopen(). Replaced DBusXapianIndex with DBusIndex.
Used IndexFactory whenever possible.

------------------------------------------------------------------------
r1133 | fabricecolin | 2007-12-01 17:25:54 +0800 (Sat, 01 Dec 2007) | 3 lines
Changed paths:
   D /trunk/Index/DBusXapianIndex.cpp
   D /trunk/Index/DBusXapianIndex.h
   D /trunk/Index/FilterWrapper.cpp
   D /trunk/Index/FilterWrapper.h
   D /trunk/Index/IndexFactory.cpp
   D /trunk/Index/IndexFactory.h
   D /trunk/Index/IndexInterface.h
   D /trunk/Index/LanguageDetector.cpp
   D /trunk/Index/LanguageDetector.h
   D /trunk/Index/XapianDatabase.cpp
   D /trunk/Index/XapianDatabase.h
   D /trunk/Index/XapianDatabaseFactory.cpp
   D /trunk/Index/XapianDatabaseFactory.h
   D /trunk/Index/XapianIndex.cpp
   D /trunk/Index/XapianIndex.h
   D /trunk/Index/pinot-index.1
   D /trunk/Index/pinot-index.cpp
   D /trunk/Index/pinot-label.1
   D /trunk/Index/pinot-label.cpp
   A /trunk/IndexSearch
   A /trunk/IndexSearch/DBusXapianIndex.cpp (from /trunk/Index/DBusXapianIndex.cpp:1132)
   A /trunk/IndexSearch/DBusXapianIndex.h (from /trunk/Index/DBusXapianIndex.h:1132)
   A /trunk/IndexSearch/FilterWrapper.cpp (from /trunk/Index/FilterWrapper.cpp:1132)
   A /trunk/IndexSearch/FilterWrapper.h (from /trunk/Index/FilterWrapper.h:1132)
   A /trunk/IndexSearch/Google (from /trunk/Search/Google:1132)
   A /trunk/IndexSearch/IndexFactory.cpp (from /trunk/Index/IndexFactory.cpp:1132)
   A /trunk/IndexSearch/IndexFactory.h (from /trunk/Index/IndexFactory.h:1132)
   A /trunk/IndexSearch/IndexInterface.h (from /trunk/Index/IndexInterface.h:1132)
   A /trunk/IndexSearch/OpenSearchParser.cpp (from /trunk/Search/OpenSearchParser.cpp:1132)
   A /trunk/IndexSearch/OpenSearchParser.h (from /trunk/Search/OpenSearchParser.h:1132)
   A /trunk/IndexSearch/PluginParsers.h (from /trunk/Search/PluginParsers.h:1132)
   A /trunk/IndexSearch/PluginWebEngine.cpp (from /trunk/Search/PluginWebEngine.cpp:1132)
   A /trunk/IndexSearch/PluginWebEngine.h (from /trunk/Search/PluginWebEngine.h:1132)
   A /trunk/IndexSearch/Plugins (from /trunk/Search/Plugins:1132)
   A /trunk/IndexSearch/QueryProperties.cpp (from /trunk/Search/QueryProperties.cpp:1132)
   A /trunk/IndexSearch/QueryProperties.h (from /trunk/Search/QueryProperties.h:1132)
   A /trunk/IndexSearch/ResultsExporter.cpp (from /trunk/Search/ResultsExporter.cpp:1132)
   A /trunk/IndexSearch/ResultsExporter.h (from /trunk/Search/ResultsExporter.h:1132)
   A /trunk/IndexSearch/SOAPEnv.h (from /trunk/Search/SOAPEnv.h:1132)
   A /trunk/IndexSearch/SOAPEnvH.h (from /trunk/Search/SOAPEnvH.h:1132)
   A /trunk/IndexSearch/SOAPEnvNS.cpp (from /trunk/Search/SOAPEnvNS.cpp:1132)
   A /trunk/IndexSearch/SOAPEnvStub.h (from /trunk/Search/SOAPEnvStub.h:1132)
   A /trunk/IndexSearch/SearchEngineFactory.cpp (from /trunk/Search/SearchEngineFactory.cpp:1132)
   A /trunk/IndexSearch/SearchEngineFactory.h (from /trunk/Search/SearchEngineFactory.h:1132)
   A /trunk/IndexSearch/SearchEngineInterface.cpp (from /trunk/Search/SearchEngineInterface.cpp:1132)
   A /trunk/IndexSearch/SearchEngineInterface.h (from /trunk/Search/SearchEngineInterface.h:1132)
   A /trunk/IndexSearch/SearchPluginProperties.cpp (from /trunk/Search/SearchPluginProperties.cpp:1132)
   A /trunk/IndexSearch/SearchPluginProperties.h (from /trunk/Search/SearchPluginProperties.h:1132)
   A /trunk/IndexSearch/SherlockParser.cpp (from /trunk/Search/SherlockParser.cpp:1132)
   A /trunk/IndexSearch/SherlockParser.h (from /trunk/Search/SherlockParser.h:1132)
   A /trunk/IndexSearch/WebEngine.cpp (from /trunk/Search/WebEngine.cpp:1132)
   A /trunk/IndexSearch/WebEngine.h (from /trunk/Search/WebEngine.h:1132)
   A /trunk/IndexSearch/Xapian
   A /trunk/IndexSearch/Xapian/AbstractGenerator.cpp (from /trunk/Search/AbstractGenerator.cpp:1132)
   A /trunk/IndexSearch/Xapian/AbstractGenerator.h (from /trunk/Search/AbstractGenerator.h:1132)
   A /trunk/IndexSearch/Xapian/LanguageDetector.cpp (from /trunk/Index/LanguageDetector.cpp:1132)
   A /trunk/IndexSearch/Xapian/LanguageDetector.h (from /trunk/Index/LanguageDetector.h:1132)
   A /trunk/IndexSearch/Xapian/XapianDatabase.cpp (from /trunk/Index/XapianDatabase.cpp:1132)
   A /trunk/IndexSearch/Xapian/XapianDatabase.h (from /trunk/Index/XapianDatabase.h:1132)
   A /trunk/IndexSearch/Xapian/XapianDatabaseFactory.cpp (from /trunk/Index/XapianDatabaseFactory.cpp:1132)
   A /trunk/IndexSearch/Xapian/XapianDatabaseFactory.h (from /trunk/Index/XapianDatabaseFactory.h:1132)
   A /trunk/IndexSearch/Xapian/XapianEngine.cpp (from /trunk/Search/XapianEngine.cpp:1132)
   A /trunk/IndexSearch/Xapian/XapianEngine.h (from /trunk/Search/XapianEngine.h:1132)
   A /trunk/IndexSearch/Xapian/XapianIndex.cpp (from /trunk/Index/XapianIndex.cpp:1132)
   A /trunk/IndexSearch/Xapian/XapianIndex.h (from /trunk/Index/XapianIndex.h:1132)
   A /trunk/IndexSearch/pinot-index.1 (from /trunk/Index/pinot-index.1:1132)
   A /trunk/IndexSearch/pinot-index.cpp (from /trunk/Index/pinot-index.cpp:1132)
   A /trunk/IndexSearch/pinot-label.1 (from /trunk/Index/pinot-label.1:1132)
   A /trunk/IndexSearch/pinot-label.cpp (from /trunk/Index/pinot-label.cpp:1132)
   A /trunk/IndexSearch/pinot-search.1 (from /trunk/Search/pinot-search.1:1132)
   A /trunk/IndexSearch/pinot-search.cpp (from /trunk/Search/pinot-search.cpp:1132)
   D /trunk/Search/AbstractGenerator.cpp
   D /trunk/Search/AbstractGenerator.h
   D /trunk/Search/Google
   D /trunk/Search/OpenSearchParser.cpp
   D /trunk/Search/OpenSearchParser.h
   D /trunk/Search/PluginParsers.h
   D /trunk/Search/PluginWebEngine.cpp
   D /trunk/Search/PluginWebEngine.h
   D /trunk/Search/Plugins
   D /trunk/Search/QueryProperties.cpp
   D /trunk/Search/QueryProperties.h
   D /trunk/Search/ResultsExporter.cpp
   D /trunk/Search/ResultsExporter.h
   D /trunk/Search/SOAPEnv.h
   D /trunk/Search/SOAPEnvH.h
   D /trunk/Search/SOAPEnvNS.cpp
   D /trunk/Search/SOAPEnvStub.h
   D /trunk/Search/SearchEngineFactory.cpp
   D /trunk/Search/SearchEngineFactory.h
   D /trunk/Search/SearchEngineInterface.cpp
   D /trunk/Search/SearchEngineInterface.h
   D /trunk/Search/SearchPluginProperties.cpp
   D /trunk/Search/SearchPluginProperties.h
   D /trunk/Search/SherlockParser.cpp
   D /trunk/Search/SherlockParser.h
   D /trunk/Search/WebEngine.cpp
   D /trunk/Search/WebEngine.h
   D /trunk/Search/XapianEngine.cpp
   D /trunk/Search/XapianEngine.h
   D /trunk/Search/pinot-search.1
   D /trunk/Search/pinot-search.cpp

Moved index and search code under IndexSearch, with anything depending on
Xapian in IndexSearch/Xapian.

------------------------------------------------------------------------
r1132 | fabricecolin | 2007-11-30 23:20:18 +0800 (Fri, 30 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Utils/Languages.cpp
   M /trunk/Utils/Languages.h

Const'ified some variables.

------------------------------------------------------------------------
r1131 | fabricecolin | 2007-11-30 23:19:28 +0800 (Fri, 30 Nov 2007) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/mainWindow.cc
   M /trunk/UI/GTK2/src/pinot.cc

Tell the user that the index needs updating with a MessageDialog and keep
pestering him until he clicks the "Don't warn me again" checkbox.
Be nice and give a title of all MessageDialog's.

------------------------------------------------------------------------
r1130 | fabricecolin | 2007-11-30 23:09:34 +0800 (Fri, 30 Nov 2007) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/src/OnDiskHandler.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.cpp

If the filter takes DOCUMENT_URI input, that means all non local schemes, not
just http.
Removed unused header.

------------------------------------------------------------------------
r1129 | fabricecolin | 2007-11-29 21:16:41 +0800 (Thu, 29 Nov 2007) | 4 lines
Changed paths:
   M /trunk/UI/GTK2/metase-gtk2.glade
   M /trunk/UI/GTK2/src/importDialog.cc
   M /trunk/UI/GTK2/src/importDialog.hh
   M /trunk/UI/GTK2/src/importDialog_glade.cc
   M /trunk/UI/GTK2/src/importDialog_glade.hh
   M /trunk/UI/GTK2/src/mainWindow.cc

Defer importing to the main window.
When viewing any document, add it to the list of recently used files. This
requires gtkmm >= 2.10.

------------------------------------------------------------------------
r1128 | fabricecolin | 2007-11-29 20:53:58 +0800 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Search/XapianEngine.cpp

Add ValueRangeProcessor's early so that it benefits XapianQueryBuilder.

------------------------------------------------------------------------
r1126 | fabricecolin | 2007-11-24 23:24:23 +0800 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   A /trunk/mkinstalldirs

Replaced symlink with actual file.

------------------------------------------------------------------------
r1125 | fabricecolin | 2007-11-24 23:23:42 +0800 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   D /trunk/mkinstalldirs

Removed symbolic link.

------------------------------------------------------------------------
r1124 | fabricecolin | 2007-11-23 23:39:37 +0800 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Search/Plugins/Freshmeat.src

Corrected extraction. It still doesn't cope well when there's just one match.

------------------------------------------------------------------------
r1123 | fabricecolin | 2007-11-23 23:36:49 +0800 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Index/pinot-index.1
   M /trunk/Index/pinot-label.1
   M /trunk/NEWS
   M /trunk/Search/pinot-search.1
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.1
   M /trunk/UI/GTK2/src/pinot.1
   M /trunk/configure.in
   M /trunk/po/de.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/nl.po
   M /trunk/po/pt.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/zh_TW.po

Preparing for 0.81 release.

------------------------------------------------------------------------
r1122 | fabricecolin | 2007-11-23 21:43:29 +0800 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/TODO

Current TODO list.

------------------------------------------------------------------------
r1121 | fabricecolin | 2007-11-23 21:42:51 +0800 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp

If sysctlbyname() is used, restart crawling when on AC.

------------------------------------------------------------------------
r1120 | fabricecolin | 2007-11-22 19:36:47 +0800 (Thu, 22 Nov 2007) | 2 lines
Changed paths:
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.xml

Advertise that org.freedesktop.DBus.Introspectable.Introspect is supported.

------------------------------------------------------------------------
r1119 | fabricecolin | 2007-11-22 19:35:50 +0800 (Thu, 22 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

look for data files to install in srcdir.

------------------------------------------------------------------------
r1118 | fabricecolin | 2007-11-22 19:29:14 +0800 (Thu, 22 Nov 2007) | 6 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/PinotSettings.cpp
   M /trunk/UI/GTK2/src/PinotSettings.h
   M /trunk/UI/GTK2/src/WorkerThreads.cpp
   M /trunk/UI/GTK2/src/WorkerThreads.h
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Locations to crawl are queued and only popped from the queue if the crawler
wasn't stopped. This allows restarting crawling more or less where it stopped
when the system went on battery.
The battery state is queried at startup (through D-Bus) and crawling is
restarted when the system goes on AC.

------------------------------------------------------------------------
r1117 | fabricecolin | 2007-11-22 19:20:31 +0800 (Thu, 22 Nov 2007) | 3 lines
Changed paths:
   M /trunk/Search/Makefile.am
   M /trunk/Search/XapianEngine.cpp

XesamULParser depends on boost Spirit and should be built conditionally, just
like SherlockParser. This was reported by Reuben Thomas.

------------------------------------------------------------------------
r1116 | fabricecolin | 2007-11-22 19:17:36 +0800 (Thu, 22 Nov 2007) | 3 lines
Changed paths:
   M /trunk/configure.in

The function statfs(2) may be in sys/vfs.h, sys/statfs.h or sys/mount.h so check
for those, as well as sys/statvfs.h and sysctlbyname(3).

------------------------------------------------------------------------
r1115 | fabricecolin | 2007-11-21 22:44:20 +0800 (Wed, 21 Nov 2007) | 7 lines
Changed paths:
   M /trunk/UI/GTK2/src/DaemonState.cpp
   M /trunk/UI/GTK2/src/DaemonState.h
   M /trunk/UI/GTK2/src/pinot-dbus-daemon.cc

Prox files can't be monitored with inotify so I am changing tactics. Now the
daemon listens for the battery state change signal sent on the message bus by
org.freedesktop.PowerManagement (as defined in the spec v0.1 and v0.2) as well
as the one from org.gnome.PowerManager (for older Gnome installations).
